/* CPU wrap for Gigabyte C621-SU8, BIOS v. F8

from DSDT 
        Name (_HID, "ACPI0007" /* Processor Device *_/)  // _HID: Hardware ID
        Method (_UID, 0, NotSerialized)  // _UID: Unique ID
        Method (_PXM, 0, NotSerialized)  // _PXM: Device Proximity
        Method (_STA, 0, NotSerialized)  // _STA: Status
        Method (_MAT, 0, NotSerialized)  // _MAT: Multiple APIC Table Entry
from SSDT-1 
        Method (HWPT, 0, NotSerialized)  // loads OEM2
        Method (ISTT, 0, NotSerialized)  // loads OEM1
        Method (TSTT, 0, NotSerialized)  // loads OEM3
        Method (CSTT, 0, NotSerialized)  // loads OEM4
        Method (_PDC, 1, Serialized)     // _PDC: Processor Driver Capabilities
        Method (_OSC, 4, Serialized)     // _OSC: Operating System Capabilities
        Method (_PSD, 0, NotSerialized)  // _PSD: Power State Dependencies
from OEM1   
        Method (_PPC, 0, NotSerialized)  // _PPC: Performance Present Capabilities
        Method (_PCT, 0, NotSerialized)  // _PCT: Performance Control
        Method (_PSS, 0, NotSerialized)  // _PSS: Performance Supported States
from OEM2   
        Method (_CPC, 0, NotSerialized)  // _CPC: Continuous Performance Control    
from OEM3  
        Method (_TPC, 0, NotSerialized)  // _TPC: Throttling Present Capabilities
        Method (_PTC, 0, NotSerialized)  // _PTC: Processor Throttling Control
        Method (_TSS, 0, NotSerialized)  // _TSS: Throttling Supported States    
from OEM4  
        Method (_CST, 0, NotSerialized)  // _CST: C-States
*/

DefinitionBlock ("", "SSDT", 2, "hack", "CPUWRAP", 0x00000000)
{
    External (_SB_.SCK0, DeviceObj)    
        External (_SB_.SCK0.CP00, DeviceObj)    
            External (_SB_.SCK0.CP00._HID, UnknownObj)   
            External (_SB_.SCK0.CP00._UID, UnknownObj)    
            External (_SB_.SCK0.CP00._PXM, MethodObj)    
            External (_SB_.SCK0.CP00._STA, MethodObj)    
            External (_SB_.SCK0.CP00._MAT, MethodObj)    
            External (_SB_.SCK0.CP00.HWPT, MethodObj)    
            External (_SB_.SCK0.CP00.ISTT, MethodObj)    
            External (_SB_.SCK0.CP00.TSTT, MethodObj)    
            External (_SB_.SCK0.CP00.CSTT, MethodObj)    
            External (_SB_.SCK0.CP00._PDC, MethodObj)    
            External (_SB_.SCK0.CP00._OSC, MethodObj)    
            External (_SB_.SCK0.CP00._PSD, MethodObj)                
            External (_SB_.SCK0.CP00._PPC, MethodObj)    
            External (_SB_.SCK0.CP00._PCT, MethodObj)    
            External (_SB_.SCK0.CP00._PSS, MethodObj)              
            External (_SB_.SCK0.CP00._CPC, MethodObj)    
            External (_SB_.SCK0.CP00._TPC, MethodObj)    
            External (_SB_.SCK0.CP00._PTC, MethodObj)    
            External (_SB_.SCK0.CP00._TSS, MethodObj)     
            External (_SB_.SCK0.CP00._CST, MethodObj)    
        External (_SB_.SCK0.CP01, DeviceObj)    
            External (_SB_.SCK0.CP01._HID, UnknownObj)   
            External (_SB_.SCK0.CP01._UID, UnknownObj)    
            External (_SB_.SCK0.CP01._PXM, MethodObj)    
            External (_SB_.SCK0.CP01._STA, MethodObj)    
            External (_SB_.SCK0.CP01._MAT, MethodObj)    
            External (_SB_.SCK0.CP01.HWPT, MethodObj)    
            External (_SB_.SCK0.CP01.ISTT, MethodObj)    
            External (_SB_.SCK0.CP01.TSTT, MethodObj)    
            External (_SB_.SCK0.CP01.CSTT, MethodObj)    
            External (_SB_.SCK0.CP01._PDC, MethodObj)    
            External (_SB_.SCK0.CP01._OSC, MethodObj)    
            External (_SB_.SCK0.CP01._PSD, MethodObj)                
            External (_SB_.SCK0.CP01._PPC, MethodObj)    
            External (_SB_.SCK0.CP01._PCT, MethodObj)    
            External (_SB_.SCK0.CP01._PSS, MethodObj)              
            External (_SB_.SCK0.CP01._CPC, MethodObj)    
            External (_SB_.SCK0.CP01._TPC, MethodObj)    
            External (_SB_.SCK0.CP01._PTC, MethodObj)    
            External (_SB_.SCK0.CP01._TSS, MethodObj)     
            External (_SB_.SCK0.CP01._CST, MethodObj)    
        External (_SB_.SCK0.CP02, DeviceObj)    
            External (_SB_.SCK0.CP02._HID, UnknownObj)   
            External (_SB_.SCK0.CP02._UID, UnknownObj)    
            External (_SB_.SCK0.CP02._PXM, MethodObj)    
            External (_SB_.SCK0.CP02._STA, MethodObj)    
            External (_SB_.SCK0.CP02._MAT, MethodObj)    
            External (_SB_.SCK0.CP02.HWPT, MethodObj)    
            External (_SB_.SCK0.CP02.ISTT, MethodObj)    
            External (_SB_.SCK0.CP02.TSTT, MethodObj)    
            External (_SB_.SCK0.CP02.CSTT, MethodObj)    
            External (_SB_.SCK0.CP02._PDC, MethodObj)    
            External (_SB_.SCK0.CP02._OSC, MethodObj)    
            External (_SB_.SCK0.CP02._PSD, MethodObj)                
            External (_SB_.SCK0.CP02._PPC, MethodObj)    
            External (_SB_.SCK0.CP02._PCT, MethodObj)    
            External (_SB_.SCK0.CP02._PSS, MethodObj)              
            External (_SB_.SCK0.CP02._CPC, MethodObj)    
            External (_SB_.SCK0.CP02._TPC, MethodObj)    
            External (_SB_.SCK0.CP02._PTC, MethodObj)    
            External (_SB_.SCK0.CP02._TSS, MethodObj)     
            External (_SB_.SCK0.CP02._CST, MethodObj)    
        External (_SB_.SCK0.CP03, DeviceObj)    
            External (_SB_.SCK0.CP03._HID, UnknownObj)   
            External (_SB_.SCK0.CP03._UID, UnknownObj)    
            External (_SB_.SCK0.CP03._PXM, MethodObj)    
            External (_SB_.SCK0.CP03._STA, MethodObj)    
            External (_SB_.SCK0.CP03._MAT, MethodObj)    
            External (_SB_.SCK0.CP03.HWPT, MethodObj)    
            External (_SB_.SCK0.CP03.ISTT, MethodObj)    
            External (_SB_.SCK0.CP03.TSTT, MethodObj)    
            External (_SB_.SCK0.CP03.CSTT, MethodObj)    
            External (_SB_.SCK0.CP03._PDC, MethodObj)    
            External (_SB_.SCK0.CP03._OSC, MethodObj)    
            External (_SB_.SCK0.CP03._PSD, MethodObj)                
            External (_SB_.SCK0.CP03._PPC, MethodObj)    
            External (_SB_.SCK0.CP03._PCT, MethodObj)    
            External (_SB_.SCK0.CP03._PSS, MethodObj)              
            External (_SB_.SCK0.CP03._CPC, MethodObj)    
            External (_SB_.SCK0.CP03._TPC, MethodObj)    
            External (_SB_.SCK0.CP03._PTC, MethodObj)    
            External (_SB_.SCK0.CP03._TSS, MethodObj)     
            External (_SB_.SCK0.CP03._CST, MethodObj)    
        External (_SB_.SCK0.CP04, DeviceObj)    
            External (_SB_.SCK0.CP04._HID, UnknownObj)   
            External (_SB_.SCK0.CP04._UID, UnknownObj)    
            External (_SB_.SCK0.CP04._PXM, MethodObj)    
            External (_SB_.SCK0.CP04._STA, MethodObj)    
            External (_SB_.SCK0.CP04._MAT, MethodObj)    
            External (_SB_.SCK0.CP04.HWPT, MethodObj)    
            External (_SB_.SCK0.CP04.ISTT, MethodObj)    
            External (_SB_.SCK0.CP04.TSTT, MethodObj)    
            External (_SB_.SCK0.CP04.CSTT, MethodObj)    
            External (_SB_.SCK0.CP04._PDC, MethodObj)    
            External (_SB_.SCK0.CP04._OSC, MethodObj)    
            External (_SB_.SCK0.CP04._PSD, MethodObj)                
            External (_SB_.SCK0.CP04._PPC, MethodObj)    
            External (_SB_.SCK0.CP04._PCT, MethodObj)    
            External (_SB_.SCK0.CP04._PSS, MethodObj)              
            External (_SB_.SCK0.CP04._CPC, MethodObj)    
            External (_SB_.SCK0.CP04._TPC, MethodObj)    
            External (_SB_.SCK0.CP04._PTC, MethodObj)    
            External (_SB_.SCK0.CP04._TSS, MethodObj)     
            External (_SB_.SCK0.CP04._CST, MethodObj)    
        External (_SB_.SCK0.CP05, DeviceObj)    
            External (_SB_.SCK0.CP05._HID, UnknownObj)   
            External (_SB_.SCK0.CP05._UID, UnknownObj)    
            External (_SB_.SCK0.CP05._PXM, MethodObj)    
            External (_SB_.SCK0.CP05._STA, MethodObj)    
            External (_SB_.SCK0.CP05._MAT, MethodObj)    
            External (_SB_.SCK0.CP05.HWPT, MethodObj)    
            External (_SB_.SCK0.CP05.ISTT, MethodObj)    
            External (_SB_.SCK0.CP05.TSTT, MethodObj)    
            External (_SB_.SCK0.CP05.CSTT, MethodObj)    
            External (_SB_.SCK0.CP05._PDC, MethodObj)    
            External (_SB_.SCK0.CP05._OSC, MethodObj)    
            External (_SB_.SCK0.CP05._PSD, MethodObj)                
            External (_SB_.SCK0.CP05._PPC, MethodObj)    
            External (_SB_.SCK0.CP05._PCT, MethodObj)    
            External (_SB_.SCK0.CP05._PSS, MethodObj)              
            External (_SB_.SCK0.CP05._CPC, MethodObj)    
            External (_SB_.SCK0.CP05._TPC, MethodObj)    
            External (_SB_.SCK0.CP05._PTC, MethodObj)    
            External (_SB_.SCK0.CP05._TSS, MethodObj)     
            External (_SB_.SCK0.CP05._CST, MethodObj)    
        External (_SB_.SCK0.CP06, DeviceObj)    
            External (_SB_.SCK0.CP06._HID, UnknownObj)   
            External (_SB_.SCK0.CP06._UID, UnknownObj)    
            External (_SB_.SCK0.CP06._PXM, MethodObj)    
            External (_SB_.SCK0.CP06._STA, MethodObj)    
            External (_SB_.SCK0.CP06._MAT, MethodObj)    
            External (_SB_.SCK0.CP06.HWPT, MethodObj)    
            External (_SB_.SCK0.CP06.ISTT, MethodObj)    
            External (_SB_.SCK0.CP06.TSTT, MethodObj)    
            External (_SB_.SCK0.CP06.CSTT, MethodObj)    
            External (_SB_.SCK0.CP06._PDC, MethodObj)    
            External (_SB_.SCK0.CP06._OSC, MethodObj)    
            External (_SB_.SCK0.CP06._PSD, MethodObj)                
            External (_SB_.SCK0.CP06._PPC, MethodObj)    
            External (_SB_.SCK0.CP06._PCT, MethodObj)    
            External (_SB_.SCK0.CP06._PSS, MethodObj)              
            External (_SB_.SCK0.CP06._CPC, MethodObj)    
            External (_SB_.SCK0.CP06._TPC, MethodObj)    
            External (_SB_.SCK0.CP06._PTC, MethodObj)    
            External (_SB_.SCK0.CP06._TSS, MethodObj)     
            External (_SB_.SCK0.CP06._CST, MethodObj)    
        External (_SB_.SCK0.CP07, DeviceObj)    
            External (_SB_.SCK0.CP07._HID, UnknownObj)   
            External (_SB_.SCK0.CP07._UID, UnknownObj)    
            External (_SB_.SCK0.CP07._PXM, MethodObj)    
            External (_SB_.SCK0.CP07._STA, MethodObj)    
            External (_SB_.SCK0.CP07._MAT, MethodObj)    
            External (_SB_.SCK0.CP07.HWPT, MethodObj)    
            External (_SB_.SCK0.CP07.ISTT, MethodObj)    
            External (_SB_.SCK0.CP07.TSTT, MethodObj)    
            External (_SB_.SCK0.CP07.CSTT, MethodObj)    
            External (_SB_.SCK0.CP07._PDC, MethodObj)    
            External (_SB_.SCK0.CP07._OSC, MethodObj)    
            External (_SB_.SCK0.CP07._PSD, MethodObj)                
            External (_SB_.SCK0.CP07._PPC, MethodObj)    
            External (_SB_.SCK0.CP07._PCT, MethodObj)    
            External (_SB_.SCK0.CP07._PSS, MethodObj)              
            External (_SB_.SCK0.CP07._CPC, MethodObj)    
            External (_SB_.SCK0.CP07._TPC, MethodObj)    
            External (_SB_.SCK0.CP07._PTC, MethodObj)    
            External (_SB_.SCK0.CP07._TSS, MethodObj)     
            External (_SB_.SCK0.CP07._CST, MethodObj)    
        External (_SB_.SCK0.CP08, DeviceObj)    
            External (_SB_.SCK0.CP08._HID, UnknownObj)   
            External (_SB_.SCK0.CP08._UID, UnknownObj)    
            External (_SB_.SCK0.CP08._PXM, MethodObj)    
            External (_SB_.SCK0.CP08._STA, MethodObj)    
            External (_SB_.SCK0.CP08._MAT, MethodObj)    
            External (_SB_.SCK0.CP08.HWPT, MethodObj)    
            External (_SB_.SCK0.CP08.ISTT, MethodObj)    
            External (_SB_.SCK0.CP08.TSTT, MethodObj)    
            External (_SB_.SCK0.CP08.CSTT, MethodObj)    
            External (_SB_.SCK0.CP08._PDC, MethodObj)    
            External (_SB_.SCK0.CP08._OSC, MethodObj)    
            External (_SB_.SCK0.CP08._PSD, MethodObj)                
            External (_SB_.SCK0.CP08._PPC, MethodObj)    
            External (_SB_.SCK0.CP08._PCT, MethodObj)    
            External (_SB_.SCK0.CP08._PSS, MethodObj)              
            External (_SB_.SCK0.CP08._CPC, MethodObj)    
            External (_SB_.SCK0.CP08._TPC, MethodObj)    
            External (_SB_.SCK0.CP08._PTC, MethodObj)    
            External (_SB_.SCK0.CP08._TSS, MethodObj)     
            External (_SB_.SCK0.CP08._CST, MethodObj)    
        External (_SB_.SCK0.CP09, DeviceObj)    
            External (_SB_.SCK0.CP09._HID, UnknownObj)   
            External (_SB_.SCK0.CP09._UID, UnknownObj)    
            External (_SB_.SCK0.CP09._PXM, MethodObj)    
            External (_SB_.SCK0.CP09._STA, MethodObj)    
            External (_SB_.SCK0.CP09._MAT, MethodObj)    
            External (_SB_.SCK0.CP09.HWPT, MethodObj)    
            External (_SB_.SCK0.CP09.ISTT, MethodObj)    
            External (_SB_.SCK0.CP09.TSTT, MethodObj)    
            External (_SB_.SCK0.CP09.CSTT, MethodObj)    
            External (_SB_.SCK0.CP09._PDC, MethodObj)    
            External (_SB_.SCK0.CP09._OSC, MethodObj)    
            External (_SB_.SCK0.CP09._PSD, MethodObj)                
            External (_SB_.SCK0.CP09._PPC, MethodObj)    
            External (_SB_.SCK0.CP09._PCT, MethodObj)    
            External (_SB_.SCK0.CP09._PSS, MethodObj)              
            External (_SB_.SCK0.CP09._CPC, MethodObj)    
            External (_SB_.SCK0.CP09._TPC, MethodObj)    
            External (_SB_.SCK0.CP09._PTC, MethodObj)    
            External (_SB_.SCK0.CP09._TSS, MethodObj)     
            External (_SB_.SCK0.CP09._CST, MethodObj)    
        External (_SB_.SCK0.CP0A, DeviceObj)    
            External (_SB_.SCK0.CP0A._HID, UnknownObj)   
            External (_SB_.SCK0.CP0A._UID, UnknownObj)    
            External (_SB_.SCK0.CP0A._PXM, MethodObj)    
            External (_SB_.SCK0.CP0A._STA, MethodObj)    
            External (_SB_.SCK0.CP0A._MAT, MethodObj)    
            External (_SB_.SCK0.CP0A.HWPT, MethodObj)    
            External (_SB_.SCK0.CP0A.ISTT, MethodObj)    
            External (_SB_.SCK0.CP0A.TSTT, MethodObj)    
            External (_SB_.SCK0.CP0A.CSTT, MethodObj)    
            External (_SB_.SCK0.CP0A._PDC, MethodObj)    
            External (_SB_.SCK0.CP0A._OSC, MethodObj)    
            External (_SB_.SCK0.CP0A._PSD, MethodObj)                
            External (_SB_.SCK0.CP0A._PPC, MethodObj)    
            External (_SB_.SCK0.CP0A._PCT, MethodObj)    
            External (_SB_.SCK0.CP0A._PSS, MethodObj)              
            External (_SB_.SCK0.CP0A._CPC, MethodObj)    
            External (_SB_.SCK0.CP0A._TPC, MethodObj)    
            External (_SB_.SCK0.CP0A._PTC, MethodObj)    
            External (_SB_.SCK0.CP0A._TSS, MethodObj)     
            External (_SB_.SCK0.CP0A._CST, MethodObj)    
        External (_SB_.SCK0.CP0B, DeviceObj)    
            External (_SB_.SCK0.CP0B._HID, UnknownObj)   
            External (_SB_.SCK0.CP0B._UID, UnknownObj)    
            External (_SB_.SCK0.CP0B._PXM, MethodObj)    
            External (_SB_.SCK0.CP0B._STA, MethodObj)    
            External (_SB_.SCK0.CP0B._MAT, MethodObj)    
            External (_SB_.SCK0.CP0B.HWPT, MethodObj)    
            External (_SB_.SCK0.CP0B.ISTT, MethodObj)    
            External (_SB_.SCK0.CP0B.TSTT, MethodObj)    
            External (_SB_.SCK0.CP0B.CSTT, MethodObj)    
            External (_SB_.SCK0.CP0B._PDC, MethodObj)    
            External (_SB_.SCK0.CP0B._OSC, MethodObj)    
            External (_SB_.SCK0.CP0B._PSD, MethodObj)                
            External (_SB_.SCK0.CP0B._PPC, MethodObj)    
            External (_SB_.SCK0.CP0B._PCT, MethodObj)    
            External (_SB_.SCK0.CP0B._PSS, MethodObj)              
            External (_SB_.SCK0.CP0B._CPC, MethodObj)    
            External (_SB_.SCK0.CP0B._TPC, MethodObj)    
            External (_SB_.SCK0.CP0B._PTC, MethodObj)    
            External (_SB_.SCK0.CP0B._TSS, MethodObj)     
            External (_SB_.SCK0.CP0B._CST, MethodObj)    
        External (_SB_.SCK0.CP0C, DeviceObj)    
            External (_SB_.SCK0.CP0C._HID, UnknownObj)   
            External (_SB_.SCK0.CP0C._UID, UnknownObj)    
            External (_SB_.SCK0.CP0C._PXM, MethodObj)    
            External (_SB_.SCK0.CP0C._STA, MethodObj)    
            External (_SB_.SCK0.CP0C._MAT, MethodObj)    
            External (_SB_.SCK0.CP0C.HWPT, MethodObj)    
            External (_SB_.SCK0.CP0C.ISTT, MethodObj)    
            External (_SB_.SCK0.CP0C.TSTT, MethodObj)    
            External (_SB_.SCK0.CP0C.CSTT, MethodObj)    
            External (_SB_.SCK0.CP0C._PDC, MethodObj)    
            External (_SB_.SCK0.CP0C._OSC, MethodObj)    
            External (_SB_.SCK0.CP0C._PSD, MethodObj)                
            External (_SB_.SCK0.CP0C._PPC, MethodObj)    
            External (_SB_.SCK0.CP0C._PCT, MethodObj)    
            External (_SB_.SCK0.CP0C._PSS, MethodObj)              
            External (_SB_.SCK0.CP0C._CPC, MethodObj)    
            External (_SB_.SCK0.CP0C._TPC, MethodObj)    
            External (_SB_.SCK0.CP0C._PTC, MethodObj)    
            External (_SB_.SCK0.CP0C._TSS, MethodObj)     
            External (_SB_.SCK0.CP0C._CST, MethodObj)    
        External (_SB_.SCK0.CP0D, DeviceObj)    
            External (_SB_.SCK0.CP0D._HID, UnknownObj)   
            External (_SB_.SCK0.CP0D._UID, UnknownObj)    
            External (_SB_.SCK0.CP0D._PXM, MethodObj)    
            External (_SB_.SCK0.CP0D._STA, MethodObj)    
            External (_SB_.SCK0.CP0D._MAT, MethodObj)    
            External (_SB_.SCK0.CP0D.HWPT, MethodObj)    
            External (_SB_.SCK0.CP0D.ISTT, MethodObj)    
            External (_SB_.SCK0.CP0D.TSTT, MethodObj)    
            External (_SB_.SCK0.CP0D.CSTT, MethodObj)    
            External (_SB_.SCK0.CP0D._PDC, MethodObj)    
            External (_SB_.SCK0.CP0D._OSC, MethodObj)    
            External (_SB_.SCK0.CP0D._PSD, MethodObj)                
            External (_SB_.SCK0.CP0D._PPC, MethodObj)    
            External (_SB_.SCK0.CP0D._PCT, MethodObj)    
            External (_SB_.SCK0.CP0D._PSS, MethodObj)              
            External (_SB_.SCK0.CP0D._CPC, MethodObj)    
            External (_SB_.SCK0.CP0D._TPC, MethodObj)    
            External (_SB_.SCK0.CP0D._PTC, MethodObj)    
            External (_SB_.SCK0.CP0D._TSS, MethodObj)     
            External (_SB_.SCK0.CP0D._CST, MethodObj)    
        External (_SB_.SCK0.CP0E, DeviceObj)    
            External (_SB_.SCK0.CP0E._HID, UnknownObj)   
            External (_SB_.SCK0.CP0E._UID, UnknownObj)    
            External (_SB_.SCK0.CP0E._PXM, MethodObj)    
            External (_SB_.SCK0.CP0E._STA, MethodObj)    
            External (_SB_.SCK0.CP0E._MAT, MethodObj)    
            External (_SB_.SCK0.CP0E.HWPT, MethodObj)    
            External (_SB_.SCK0.CP0E.ISTT, MethodObj)    
            External (_SB_.SCK0.CP0E.TSTT, MethodObj)    
            External (_SB_.SCK0.CP0E.CSTT, MethodObj)    
            External (_SB_.SCK0.CP0E._PDC, MethodObj)    
            External (_SB_.SCK0.CP0E._OSC, MethodObj)    
            External (_SB_.SCK0.CP0E._PSD, MethodObj)                
            External (_SB_.SCK0.CP0E._PPC, MethodObj)    
            External (_SB_.SCK0.CP0E._PCT, MethodObj)    
            External (_SB_.SCK0.CP0E._PSS, MethodObj)              
            External (_SB_.SCK0.CP0E._CPC, MethodObj)    
            External (_SB_.SCK0.CP0E._TPC, MethodObj)    
            External (_SB_.SCK0.CP0E._PTC, MethodObj)    
            External (_SB_.SCK0.CP0E._TSS, MethodObj)     
            External (_SB_.SCK0.CP0E._CST, MethodObj)    
        External (_SB_.SCK0.CP0F, DeviceObj)    
            External (_SB_.SCK0.CP0F._HID, UnknownObj)   
            External (_SB_.SCK0.CP0F._UID, UnknownObj)    
            External (_SB_.SCK0.CP0F._PXM, MethodObj)    
            External (_SB_.SCK0.CP0F._STA, MethodObj)    
            External (_SB_.SCK0.CP0F._MAT, MethodObj)    
            External (_SB_.SCK0.CP0F.HWPT, MethodObj)    
            External (_SB_.SCK0.CP0F.ISTT, MethodObj)    
            External (_SB_.SCK0.CP0F.TSTT, MethodObj)    
            External (_SB_.SCK0.CP0F.CSTT, MethodObj)    
            External (_SB_.SCK0.CP0F._PDC, MethodObj)    
            External (_SB_.SCK0.CP0F._OSC, MethodObj)    
            External (_SB_.SCK0.CP0F._PSD, MethodObj)                
            External (_SB_.SCK0.CP0F._PPC, MethodObj)    
            External (_SB_.SCK0.CP0F._PCT, MethodObj)    
            External (_SB_.SCK0.CP0F._PSS, MethodObj)              
            External (_SB_.SCK0.CP0F._CPC, MethodObj)    
            External (_SB_.SCK0.CP0F._TPC, MethodObj)    
            External (_SB_.SCK0.CP0F._PTC, MethodObj)    
            External (_SB_.SCK0.CP0F._TSS, MethodObj)     
            External (_SB_.SCK0.CP0F._CST, MethodObj)    
        External (_SB_.SCK0.CP10, DeviceObj)    
            External (_SB_.SCK0.CP10._HID, UnknownObj)   
            External (_SB_.SCK0.CP10._UID, UnknownObj)    
            External (_SB_.SCK0.CP10._PXM, MethodObj)    
            External (_SB_.SCK0.CP10._STA, MethodObj)    
            External (_SB_.SCK0.CP10._MAT, MethodObj)    
            External (_SB_.SCK0.CP10.HWPT, MethodObj)    
            External (_SB_.SCK0.CP10.ISTT, MethodObj)    
            External (_SB_.SCK0.CP10.TSTT, MethodObj)    
            External (_SB_.SCK0.CP10.CSTT, MethodObj)    
            External (_SB_.SCK0.CP10._PDC, MethodObj)    
            External (_SB_.SCK0.CP10._OSC, MethodObj)    
            External (_SB_.SCK0.CP10._PSD, MethodObj)                
            External (_SB_.SCK0.CP10._PPC, MethodObj)    
            External (_SB_.SCK0.CP10._PCT, MethodObj)    
            External (_SB_.SCK0.CP10._PSS, MethodObj)              
            External (_SB_.SCK0.CP10._CPC, MethodObj)    
            External (_SB_.SCK0.CP10._TPC, MethodObj)    
            External (_SB_.SCK0.CP10._PTC, MethodObj)    
            External (_SB_.SCK0.CP10._TSS, MethodObj)     
            External (_SB_.SCK0.CP10._CST, MethodObj)    
        External (_SB_.SCK0.CP11, DeviceObj)    
            External (_SB_.SCK0.CP11._HID, UnknownObj)   
            External (_SB_.SCK0.CP11._UID, UnknownObj)    
            External (_SB_.SCK0.CP11._PXM, MethodObj)    
            External (_SB_.SCK0.CP11._STA, MethodObj)    
            External (_SB_.SCK0.CP11._MAT, MethodObj)    
            External (_SB_.SCK0.CP11.HWPT, MethodObj)    
            External (_SB_.SCK0.CP11.ISTT, MethodObj)    
            External (_SB_.SCK0.CP11.TSTT, MethodObj)    
            External (_SB_.SCK0.CP11.CSTT, MethodObj)    
            External (_SB_.SCK0.CP11._PDC, MethodObj)    
            External (_SB_.SCK0.CP11._OSC, MethodObj)    
            External (_SB_.SCK0.CP11._PSD, MethodObj)                
            External (_SB_.SCK0.CP11._PPC, MethodObj)    
            External (_SB_.SCK0.CP11._PCT, MethodObj)    
            External (_SB_.SCK0.CP11._PSS, MethodObj)              
            External (_SB_.SCK0.CP11._CPC, MethodObj)    
            External (_SB_.SCK0.CP11._TPC, MethodObj)    
            External (_SB_.SCK0.CP11._PTC, MethodObj)    
            External (_SB_.SCK0.CP11._TSS, MethodObj)     
            External (_SB_.SCK0.CP11._CST, MethodObj)    
        External (_SB_.SCK0.CP12, DeviceObj)    
            External (_SB_.SCK0.CP12._HID, UnknownObj)   
            External (_SB_.SCK0.CP12._UID, UnknownObj)    
            External (_SB_.SCK0.CP12._PXM, MethodObj)    
            External (_SB_.SCK0.CP12._STA, MethodObj)    
            External (_SB_.SCK0.CP12._MAT, MethodObj)    
            External (_SB_.SCK0.CP12.HWPT, MethodObj)    
            External (_SB_.SCK0.CP12.ISTT, MethodObj)    
            External (_SB_.SCK0.CP12.TSTT, MethodObj)    
            External (_SB_.SCK0.CP12.CSTT, MethodObj)    
            External (_SB_.SCK0.CP12._PDC, MethodObj)    
            External (_SB_.SCK0.CP12._OSC, MethodObj)    
            External (_SB_.SCK0.CP12._PSD, MethodObj)                
            External (_SB_.SCK0.CP12._PPC, MethodObj)    
            External (_SB_.SCK0.CP12._PCT, MethodObj)    
            External (_SB_.SCK0.CP12._PSS, MethodObj)              
            External (_SB_.SCK0.CP12._CPC, MethodObj)    
            External (_SB_.SCK0.CP12._TPC, MethodObj)    
            External (_SB_.SCK0.CP12._PTC, MethodObj)    
            External (_SB_.SCK0.CP12._TSS, MethodObj)     
            External (_SB_.SCK0.CP12._CST, MethodObj)    
        External (_SB_.SCK0.CP13, DeviceObj)    
            External (_SB_.SCK0.CP13._HID, UnknownObj)   
            External (_SB_.SCK0.CP13._UID, UnknownObj)    
            External (_SB_.SCK0.CP13._PXM, MethodObj)    
            External (_SB_.SCK0.CP13._STA, MethodObj)    
            External (_SB_.SCK0.CP13._MAT, MethodObj)    
            External (_SB_.SCK0.CP13.HWPT, MethodObj)    
            External (_SB_.SCK0.CP13.ISTT, MethodObj)    
            External (_SB_.SCK0.CP13.TSTT, MethodObj)    
            External (_SB_.SCK0.CP13.CSTT, MethodObj)    
            External (_SB_.SCK0.CP13._PDC, MethodObj)    
            External (_SB_.SCK0.CP13._OSC, MethodObj)    
            External (_SB_.SCK0.CP13._PSD, MethodObj)                
            External (_SB_.SCK0.CP13._PPC, MethodObj)    
            External (_SB_.SCK0.CP13._PCT, MethodObj)    
            External (_SB_.SCK0.CP13._PSS, MethodObj)              
            External (_SB_.SCK0.CP13._CPC, MethodObj)    
            External (_SB_.SCK0.CP13._TPC, MethodObj)    
            External (_SB_.SCK0.CP13._PTC, MethodObj)    
            External (_SB_.SCK0.CP13._TSS, MethodObj)     
            External (_SB_.SCK0.CP13._CST, MethodObj)    
        External (_SB_.SCK0.CP14, DeviceObj)    
            External (_SB_.SCK0.CP14._HID, UnknownObj)   
            External (_SB_.SCK0.CP14._UID, UnknownObj)    
            External (_SB_.SCK0.CP14._PXM, MethodObj)    
            External (_SB_.SCK0.CP14._STA, MethodObj)    
            External (_SB_.SCK0.CP14._MAT, MethodObj)    
            External (_SB_.SCK0.CP14.HWPT, MethodObj)    
            External (_SB_.SCK0.CP14.ISTT, MethodObj)    
            External (_SB_.SCK0.CP14.TSTT, MethodObj)    
            External (_SB_.SCK0.CP14.CSTT, MethodObj)    
            External (_SB_.SCK0.CP14._PDC, MethodObj)    
            External (_SB_.SCK0.CP14._OSC, MethodObj)    
            External (_SB_.SCK0.CP14._PSD, MethodObj)                
            External (_SB_.SCK0.CP14._PPC, MethodObj)    
            External (_SB_.SCK0.CP14._PCT, MethodObj)    
            External (_SB_.SCK0.CP14._PSS, MethodObj)              
            External (_SB_.SCK0.CP14._CPC, MethodObj)    
            External (_SB_.SCK0.CP14._TPC, MethodObj)    
            External (_SB_.SCK0.CP14._PTC, MethodObj)    
            External (_SB_.SCK0.CP14._TSS, MethodObj)     
            External (_SB_.SCK0.CP14._CST, MethodObj)    
        External (_SB_.SCK0.CP15, DeviceObj)    
            External (_SB_.SCK0.CP15._HID, UnknownObj)   
            External (_SB_.SCK0.CP15._UID, UnknownObj)    
            External (_SB_.SCK0.CP15._PXM, MethodObj)    
            External (_SB_.SCK0.CP15._STA, MethodObj)    
            External (_SB_.SCK0.CP15._MAT, MethodObj)    
            External (_SB_.SCK0.CP15.HWPT, MethodObj)    
            External (_SB_.SCK0.CP15.ISTT, MethodObj)    
            External (_SB_.SCK0.CP15.TSTT, MethodObj)    
            External (_SB_.SCK0.CP15.CSTT, MethodObj)    
            External (_SB_.SCK0.CP15._PDC, MethodObj)    
            External (_SB_.SCK0.CP15._OSC, MethodObj)    
            External (_SB_.SCK0.CP15._PSD, MethodObj)                
            External (_SB_.SCK0.CP15._PPC, MethodObj)    
            External (_SB_.SCK0.CP15._PCT, MethodObj)    
            External (_SB_.SCK0.CP15._PSS, MethodObj)              
            External (_SB_.SCK0.CP15._CPC, MethodObj)    
            External (_SB_.SCK0.CP15._TPC, MethodObj)    
            External (_SB_.SCK0.CP15._PTC, MethodObj)    
            External (_SB_.SCK0.CP15._TSS, MethodObj)     
            External (_SB_.SCK0.CP15._CST, MethodObj)    
        External (_SB_.SCK0.CP16, DeviceObj)    
            External (_SB_.SCK0.CP16._HID, UnknownObj)   
            External (_SB_.SCK0.CP16._UID, UnknownObj)    
            External (_SB_.SCK0.CP16._PXM, MethodObj)    
            External (_SB_.SCK0.CP16._STA, MethodObj)    
            External (_SB_.SCK0.CP16._MAT, MethodObj)    
            External (_SB_.SCK0.CP16.HWPT, MethodObj)    
            External (_SB_.SCK0.CP16.ISTT, MethodObj)    
            External (_SB_.SCK0.CP16.TSTT, MethodObj)    
            External (_SB_.SCK0.CP16.CSTT, MethodObj)    
            External (_SB_.SCK0.CP16._PDC, MethodObj)    
            External (_SB_.SCK0.CP16._OSC, MethodObj)    
            External (_SB_.SCK0.CP16._PSD, MethodObj)                
            External (_SB_.SCK0.CP16._PPC, MethodObj)    
            External (_SB_.SCK0.CP16._PCT, MethodObj)    
            External (_SB_.SCK0.CP16._PSS, MethodObj)              
            External (_SB_.SCK0.CP16._CPC, MethodObj)    
            External (_SB_.SCK0.CP16._TPC, MethodObj)    
            External (_SB_.SCK0.CP16._PTC, MethodObj)    
            External (_SB_.SCK0.CP16._TSS, MethodObj)     
            External (_SB_.SCK0.CP16._CST, MethodObj)    
        External (_SB_.SCK0.CP17, DeviceObj)    
            External (_SB_.SCK0.CP17._HID, UnknownObj)   
            External (_SB_.SCK0.CP17._UID, UnknownObj)    
            External (_SB_.SCK0.CP17._PXM, MethodObj)    
            External (_SB_.SCK0.CP17._STA, MethodObj)    
            External (_SB_.SCK0.CP17._MAT, MethodObj)    
            External (_SB_.SCK0.CP17.HWPT, MethodObj)    
            External (_SB_.SCK0.CP17.ISTT, MethodObj)    
            External (_SB_.SCK0.CP17.TSTT, MethodObj)    
            External (_SB_.SCK0.CP17.CSTT, MethodObj)    
            External (_SB_.SCK0.CP17._PDC, MethodObj)    
            External (_SB_.SCK0.CP17._OSC, MethodObj)    
            External (_SB_.SCK0.CP17._PSD, MethodObj)                
            External (_SB_.SCK0.CP17._PPC, MethodObj)    
            External (_SB_.SCK0.CP17._PCT, MethodObj)    
            External (_SB_.SCK0.CP17._PSS, MethodObj)              
            External (_SB_.SCK0.CP17._CPC, MethodObj)    
            External (_SB_.SCK0.CP17._TPC, MethodObj)    
            External (_SB_.SCK0.CP17._PTC, MethodObj)    
            External (_SB_.SCK0.CP17._TSS, MethodObj)     
            External (_SB_.SCK0.CP17._CST, MethodObj)    
        External (_SB_.SCK0.CP18, DeviceObj)    
            External (_SB_.SCK0.CP18._HID, UnknownObj)   
            External (_SB_.SCK0.CP18._UID, UnknownObj)    
            External (_SB_.SCK0.CP18._PXM, MethodObj)    
            External (_SB_.SCK0.CP18._STA, MethodObj)    
            External (_SB_.SCK0.CP18._MAT, MethodObj)    
            External (_SB_.SCK0.CP18.HWPT, MethodObj)    
            External (_SB_.SCK0.CP18.ISTT, MethodObj)    
            External (_SB_.SCK0.CP18.TSTT, MethodObj)    
            External (_SB_.SCK0.CP18.CSTT, MethodObj)    
            External (_SB_.SCK0.CP18._PDC, MethodObj)    
            External (_SB_.SCK0.CP18._OSC, MethodObj)    
            External (_SB_.SCK0.CP18._PSD, MethodObj)                
            External (_SB_.SCK0.CP18._PPC, MethodObj)    
            External (_SB_.SCK0.CP18._PCT, MethodObj)    
            External (_SB_.SCK0.CP18._PSS, MethodObj)              
            External (_SB_.SCK0.CP18._CPC, MethodObj)    
            External (_SB_.SCK0.CP18._TPC, MethodObj)    
            External (_SB_.SCK0.CP18._PTC, MethodObj)    
            External (_SB_.SCK0.CP18._TSS, MethodObj)     
            External (_SB_.SCK0.CP18._CST, MethodObj)    
        External (_SB_.SCK0.CP19, DeviceObj)    
            External (_SB_.SCK0.CP19._HID, UnknownObj)   
            External (_SB_.SCK0.CP19._UID, UnknownObj)    
            External (_SB_.SCK0.CP19._PXM, MethodObj)    
            External (_SB_.SCK0.CP19._STA, MethodObj)    
            External (_SB_.SCK0.CP19._MAT, MethodObj)    
            External (_SB_.SCK0.CP19.HWPT, MethodObj)    
            External (_SB_.SCK0.CP19.ISTT, MethodObj)    
            External (_SB_.SCK0.CP19.TSTT, MethodObj)    
            External (_SB_.SCK0.CP19.CSTT, MethodObj)    
            External (_SB_.SCK0.CP19._PDC, MethodObj)    
            External (_SB_.SCK0.CP19._OSC, MethodObj)    
            External (_SB_.SCK0.CP19._PSD, MethodObj)                
            External (_SB_.SCK0.CP19._PPC, MethodObj)    
            External (_SB_.SCK0.CP19._PCT, MethodObj)    
            External (_SB_.SCK0.CP19._PSS, MethodObj)              
            External (_SB_.SCK0.CP19._CPC, MethodObj)    
            External (_SB_.SCK0.CP19._TPC, MethodObj)    
            External (_SB_.SCK0.CP19._PTC, MethodObj)    
            External (_SB_.SCK0.CP19._TSS, MethodObj)     
            External (_SB_.SCK0.CP19._CST, MethodObj)    
        External (_SB_.SCK0.CP1A, DeviceObj)    
            External (_SB_.SCK0.CP1A._HID, UnknownObj)   
            External (_SB_.SCK0.CP1A._UID, UnknownObj)    
            External (_SB_.SCK0.CP1A._PXM, MethodObj)    
            External (_SB_.SCK0.CP1A._STA, MethodObj)    
            External (_SB_.SCK0.CP1A._MAT, MethodObj)    
            External (_SB_.SCK0.CP1A.HWPT, MethodObj)    
            External (_SB_.SCK0.CP1A.ISTT, MethodObj)    
            External (_SB_.SCK0.CP1A.TSTT, MethodObj)    
            External (_SB_.SCK0.CP1A.CSTT, MethodObj)    
            External (_SB_.SCK0.CP1A._PDC, MethodObj)    
            External (_SB_.SCK0.CP1A._OSC, MethodObj)    
            External (_SB_.SCK0.CP1A._PSD, MethodObj)                
            External (_SB_.SCK0.CP1A._PPC, MethodObj)    
            External (_SB_.SCK0.CP1A._PCT, MethodObj)    
            External (_SB_.SCK0.CP1A._PSS, MethodObj)              
            External (_SB_.SCK0.CP1A._CPC, MethodObj)    
            External (_SB_.SCK0.CP1A._TPC, MethodObj)    
            External (_SB_.SCK0.CP1A._PTC, MethodObj)    
            External (_SB_.SCK0.CP1A._TSS, MethodObj)     
            External (_SB_.SCK0.CP1A._CST, MethodObj)    
        External (_SB_.SCK0.CP1B, DeviceObj)    
            External (_SB_.SCK0.CP1B._HID, UnknownObj)   
            External (_SB_.SCK0.CP1B._UID, UnknownObj)    
            External (_SB_.SCK0.CP1B._PXM, MethodObj)    
            External (_SB_.SCK0.CP1B._STA, MethodObj)    
            External (_SB_.SCK0.CP1B._MAT, MethodObj)    
            External (_SB_.SCK0.CP1B.HWPT, MethodObj)    
            External (_SB_.SCK0.CP1B.ISTT, MethodObj)    
            External (_SB_.SCK0.CP1B.TSTT, MethodObj)    
            External (_SB_.SCK0.CP1B.CSTT, MethodObj)    
            External (_SB_.SCK0.CP1B._PDC, MethodObj)    
            External (_SB_.SCK0.CP1B._OSC, MethodObj)    
            External (_SB_.SCK0.CP1B._PSD, MethodObj)                
            External (_SB_.SCK0.CP1B._PPC, MethodObj)    
            External (_SB_.SCK0.CP1B._PCT, MethodObj)    
            External (_SB_.SCK0.CP1B._PSS, MethodObj)              
            External (_SB_.SCK0.CP1B._CPC, MethodObj)    
            External (_SB_.SCK0.CP1B._TPC, MethodObj)    
            External (_SB_.SCK0.CP1B._PTC, MethodObj)    
            External (_SB_.SCK0.CP1B._TSS, MethodObj)     
            External (_SB_.SCK0.CP1B._CST, MethodObj)    
        External (_SB_.SCK0.CP1C, DeviceObj)    
            External (_SB_.SCK0.CP1C._HID, UnknownObj)   
            External (_SB_.SCK0.CP1C._UID, UnknownObj)    
            External (_SB_.SCK0.CP1C._PXM, MethodObj)    
            External (_SB_.SCK0.CP1C._STA, MethodObj)    
            External (_SB_.SCK0.CP1C._MAT, MethodObj)    
            External (_SB_.SCK0.CP1C.HWPT, MethodObj)    
            External (_SB_.SCK0.CP1C.ISTT, MethodObj)    
            External (_SB_.SCK0.CP1C.TSTT, MethodObj)    
            External (_SB_.SCK0.CP1C.CSTT, MethodObj)    
            External (_SB_.SCK0.CP1C._PDC, MethodObj)    
            External (_SB_.SCK0.CP1C._OSC, MethodObj)    
            External (_SB_.SCK0.CP1C._PSD, MethodObj)                
            External (_SB_.SCK0.CP1C._PPC, MethodObj)    
            External (_SB_.SCK0.CP1C._PCT, MethodObj)    
            External (_SB_.SCK0.CP1C._PSS, MethodObj)              
            External (_SB_.SCK0.CP1C._CPC, MethodObj)    
            External (_SB_.SCK0.CP1C._TPC, MethodObj)    
            External (_SB_.SCK0.CP1C._PTC, MethodObj)    
            External (_SB_.SCK0.CP1C._TSS, MethodObj)     
            External (_SB_.SCK0.CP1C._CST, MethodObj)    
        External (_SB_.SCK0.CP1D, DeviceObj)    
            External (_SB_.SCK0.CP1D._HID, UnknownObj)   
            External (_SB_.SCK0.CP1D._UID, UnknownObj)    
            External (_SB_.SCK0.CP1D._PXM, MethodObj)    
            External (_SB_.SCK0.CP1D._STA, MethodObj)    
            External (_SB_.SCK0.CP1D._MAT, MethodObj)    
            External (_SB_.SCK0.CP1D.HWPT, MethodObj)    
            External (_SB_.SCK0.CP1D.ISTT, MethodObj)    
            External (_SB_.SCK0.CP1D.TSTT, MethodObj)    
            External (_SB_.SCK0.CP1D.CSTT, MethodObj)    
            External (_SB_.SCK0.CP1D._PDC, MethodObj)    
            External (_SB_.SCK0.CP1D._OSC, MethodObj)    
            External (_SB_.SCK0.CP1D._PSD, MethodObj)                
            External (_SB_.SCK0.CP1D._PPC, MethodObj)    
            External (_SB_.SCK0.CP1D._PCT, MethodObj)    
            External (_SB_.SCK0.CP1D._PSS, MethodObj)              
            External (_SB_.SCK0.CP1D._CPC, MethodObj)    
            External (_SB_.SCK0.CP1D._TPC, MethodObj)    
            External (_SB_.SCK0.CP1D._PTC, MethodObj)    
            External (_SB_.SCK0.CP1D._TSS, MethodObj)     
            External (_SB_.SCK0.CP1D._CST, MethodObj)    
        External (_SB_.SCK0.CP1E, DeviceObj)    
            External (_SB_.SCK0.CP1E._HID, UnknownObj)   
            External (_SB_.SCK0.CP1E._UID, UnknownObj)    
            External (_SB_.SCK0.CP1E._PXM, MethodObj)    
            External (_SB_.SCK0.CP1E._STA, MethodObj)    
            External (_SB_.SCK0.CP1E._MAT, MethodObj)    
            External (_SB_.SCK0.CP1E.HWPT, MethodObj)    
            External (_SB_.SCK0.CP1E.ISTT, MethodObj)    
            External (_SB_.SCK0.CP1E.TSTT, MethodObj)    
            External (_SB_.SCK0.CP1E.CSTT, MethodObj)    
            External (_SB_.SCK0.CP1E._PDC, MethodObj)    
            External (_SB_.SCK0.CP1E._OSC, MethodObj)    
            External (_SB_.SCK0.CP1E._PSD, MethodObj)                
            External (_SB_.SCK0.CP1E._PPC, MethodObj)    
            External (_SB_.SCK0.CP1E._PCT, MethodObj)    
            External (_SB_.SCK0.CP1E._PSS, MethodObj)              
            External (_SB_.SCK0.CP1E._CPC, MethodObj)    
            External (_SB_.SCK0.CP1E._TPC, MethodObj)    
            External (_SB_.SCK0.CP1E._PTC, MethodObj)    
            External (_SB_.SCK0.CP1E._TSS, MethodObj)     
            External (_SB_.SCK0.CP1E._CST, MethodObj)    
        External (_SB_.SCK0.CP1F, DeviceObj)    
            External (_SB_.SCK0.CP1F._HID, UnknownObj)   
            External (_SB_.SCK0.CP1F._UID, UnknownObj)    
            External (_SB_.SCK0.CP1F._PXM, MethodObj)    
            External (_SB_.SCK0.CP1F._STA, MethodObj)    
            External (_SB_.SCK0.CP1F._MAT, MethodObj)    
            External (_SB_.SCK0.CP1F.HWPT, MethodObj)    
            External (_SB_.SCK0.CP1F.ISTT, MethodObj)    
            External (_SB_.SCK0.CP1F.TSTT, MethodObj)    
            External (_SB_.SCK0.CP1F.CSTT, MethodObj)    
            External (_SB_.SCK0.CP1F._PDC, MethodObj)    
            External (_SB_.SCK0.CP1F._OSC, MethodObj)    
            External (_SB_.SCK0.CP1F._PSD, MethodObj)                
            External (_SB_.SCK0.CP1F._PPC, MethodObj)    
            External (_SB_.SCK0.CP1F._PCT, MethodObj)    
            External (_SB_.SCK0.CP1F._PSS, MethodObj)              
            External (_SB_.SCK0.CP1F._CPC, MethodObj)    
            External (_SB_.SCK0.CP1F._TPC, MethodObj)    
            External (_SB_.SCK0.CP1F._PTC, MethodObj)    
            External (_SB_.SCK0.CP1F._TSS, MethodObj)     
            External (_SB_.SCK0.CP1F._CST, MethodObj)    
        External (_SB_.SCK0.CP20, DeviceObj)    
            External (_SB_.SCK0.CP20._HID, UnknownObj)   
            External (_SB_.SCK0.CP20._UID, UnknownObj)    
            External (_SB_.SCK0.CP20._PXM, MethodObj)    
            External (_SB_.SCK0.CP20._STA, MethodObj)    
            External (_SB_.SCK0.CP20._MAT, MethodObj)    
            External (_SB_.SCK0.CP20.HWPT, MethodObj)    
            External (_SB_.SCK0.CP20.ISTT, MethodObj)    
            External (_SB_.SCK0.CP20.TSTT, MethodObj)    
            External (_SB_.SCK0.CP20.CSTT, MethodObj)    
            External (_SB_.SCK0.CP20._PDC, MethodObj)    
            External (_SB_.SCK0.CP20._OSC, MethodObj)    
            External (_SB_.SCK0.CP20._PSD, MethodObj)                
            External (_SB_.SCK0.CP20._PPC, MethodObj)    
            External (_SB_.SCK0.CP20._PCT, MethodObj)    
            External (_SB_.SCK0.CP20._PSS, MethodObj)              
            External (_SB_.SCK0.CP20._CPC, MethodObj)    
            External (_SB_.SCK0.CP20._TPC, MethodObj)    
            External (_SB_.SCK0.CP20._PTC, MethodObj)    
            External (_SB_.SCK0.CP20._TSS, MethodObj)     
            External (_SB_.SCK0.CP20._CST, MethodObj)    
        External (_SB_.SCK0.CP21, DeviceObj)    
            External (_SB_.SCK0.CP21._HID, UnknownObj)   
            External (_SB_.SCK0.CP21._UID, UnknownObj)    
            External (_SB_.SCK0.CP21._PXM, MethodObj)    
            External (_SB_.SCK0.CP21._STA, MethodObj)    
            External (_SB_.SCK0.CP21._MAT, MethodObj)    
            External (_SB_.SCK0.CP21.HWPT, MethodObj)    
            External (_SB_.SCK0.CP21.ISTT, MethodObj)    
            External (_SB_.SCK0.CP21.TSTT, MethodObj)    
            External (_SB_.SCK0.CP21.CSTT, MethodObj)    
            External (_SB_.SCK0.CP21._PDC, MethodObj)    
            External (_SB_.SCK0.CP21._OSC, MethodObj)    
            External (_SB_.SCK0.CP21._PSD, MethodObj)                
            External (_SB_.SCK0.CP21._PPC, MethodObj)    
            External (_SB_.SCK0.CP21._PCT, MethodObj)    
            External (_SB_.SCK0.CP21._PSS, MethodObj)              
            External (_SB_.SCK0.CP21._CPC, MethodObj)    
            External (_SB_.SCK0.CP21._TPC, MethodObj)    
            External (_SB_.SCK0.CP21._PTC, MethodObj)    
            External (_SB_.SCK0.CP21._TSS, MethodObj)     
            External (_SB_.SCK0.CP21._CST, MethodObj)    
        External (_SB_.SCK0.CP22, DeviceObj)    
            External (_SB_.SCK0.CP22._HID, UnknownObj)   
            External (_SB_.SCK0.CP22._UID, UnknownObj)    
            External (_SB_.SCK0.CP22._PXM, MethodObj)    
            External (_SB_.SCK0.CP22._STA, MethodObj)    
            External (_SB_.SCK0.CP22._MAT, MethodObj)    
            External (_SB_.SCK0.CP22.HWPT, MethodObj)    
            External (_SB_.SCK0.CP22.ISTT, MethodObj)    
            External (_SB_.SCK0.CP22.TSTT, MethodObj)    
            External (_SB_.SCK0.CP22.CSTT, MethodObj)    
            External (_SB_.SCK0.CP22._PDC, MethodObj)    
            External (_SB_.SCK0.CP22._OSC, MethodObj)    
            External (_SB_.SCK0.CP22._PSD, MethodObj)                
            External (_SB_.SCK0.CP22._PPC, MethodObj)    
            External (_SB_.SCK0.CP22._PCT, MethodObj)    
            External (_SB_.SCK0.CP22._PSS, MethodObj)              
            External (_SB_.SCK0.CP22._CPC, MethodObj)    
            External (_SB_.SCK0.CP22._TPC, MethodObj)    
            External (_SB_.SCK0.CP22._PTC, MethodObj)    
            External (_SB_.SCK0.CP22._TSS, MethodObj)     
            External (_SB_.SCK0.CP22._CST, MethodObj)    
        External (_SB_.SCK0.CP23, DeviceObj)    
            External (_SB_.SCK0.CP23._HID, UnknownObj)   
            External (_SB_.SCK0.CP23._UID, UnknownObj)    
            External (_SB_.SCK0.CP23._PXM, MethodObj)    
            External (_SB_.SCK0.CP23._STA, MethodObj)    
            External (_SB_.SCK0.CP23._MAT, MethodObj)    
            External (_SB_.SCK0.CP23.HWPT, MethodObj)    
            External (_SB_.SCK0.CP23.ISTT, MethodObj)    
            External (_SB_.SCK0.CP23.TSTT, MethodObj)    
            External (_SB_.SCK0.CP23.CSTT, MethodObj)    
            External (_SB_.SCK0.CP23._PDC, MethodObj)    
            External (_SB_.SCK0.CP23._OSC, MethodObj)    
            External (_SB_.SCK0.CP23._PSD, MethodObj)                
            External (_SB_.SCK0.CP23._PPC, MethodObj)    
            External (_SB_.SCK0.CP23._PCT, MethodObj)    
            External (_SB_.SCK0.CP23._PSS, MethodObj)              
            External (_SB_.SCK0.CP23._CPC, MethodObj)    
            External (_SB_.SCK0.CP23._TPC, MethodObj)    
            External (_SB_.SCK0.CP23._PTC, MethodObj)    
            External (_SB_.SCK0.CP23._TSS, MethodObj)     
            External (_SB_.SCK0.CP23._CST, MethodObj)    
        External (_SB_.SCK0.CP24, DeviceObj)    
            External (_SB_.SCK0.CP24._HID, UnknownObj)   
            External (_SB_.SCK0.CP24._UID, UnknownObj)    
            External (_SB_.SCK0.CP24._PXM, MethodObj)    
            External (_SB_.SCK0.CP24._STA, MethodObj)    
            External (_SB_.SCK0.CP24._MAT, MethodObj)    
            External (_SB_.SCK0.CP24.HWPT, MethodObj)    
            External (_SB_.SCK0.CP24.ISTT, MethodObj)    
            External (_SB_.SCK0.CP24.TSTT, MethodObj)    
            External (_SB_.SCK0.CP24.CSTT, MethodObj)    
            External (_SB_.SCK0.CP24._PDC, MethodObj)    
            External (_SB_.SCK0.CP24._OSC, MethodObj)    
            External (_SB_.SCK0.CP24._PSD, MethodObj)                
            External (_SB_.SCK0.CP24._PPC, MethodObj)    
            External (_SB_.SCK0.CP24._PCT, MethodObj)    
            External (_SB_.SCK0.CP24._PSS, MethodObj)              
            External (_SB_.SCK0.CP24._CPC, MethodObj)    
            External (_SB_.SCK0.CP24._TPC, MethodObj)    
            External (_SB_.SCK0.CP24._PTC, MethodObj)    
            External (_SB_.SCK0.CP24._TSS, MethodObj)     
            External (_SB_.SCK0.CP24._CST, MethodObj)    
        External (_SB_.SCK0.CP25, DeviceObj)    
            External (_SB_.SCK0.CP25._HID, UnknownObj)   
            External (_SB_.SCK0.CP25._UID, UnknownObj)    
            External (_SB_.SCK0.CP25._PXM, MethodObj)    
            External (_SB_.SCK0.CP25._STA, MethodObj)    
            External (_SB_.SCK0.CP25._MAT, MethodObj)    
            External (_SB_.SCK0.CP25.HWPT, MethodObj)    
            External (_SB_.SCK0.CP25.ISTT, MethodObj)    
            External (_SB_.SCK0.CP25.TSTT, MethodObj)    
            External (_SB_.SCK0.CP25.CSTT, MethodObj)    
            External (_SB_.SCK0.CP25._PDC, MethodObj)    
            External (_SB_.SCK0.CP25._OSC, MethodObj)    
            External (_SB_.SCK0.CP25._PSD, MethodObj)                
            External (_SB_.SCK0.CP25._PPC, MethodObj)    
            External (_SB_.SCK0.CP25._PCT, MethodObj)    
            External (_SB_.SCK0.CP25._PSS, MethodObj)              
            External (_SB_.SCK0.CP25._CPC, MethodObj)    
            External (_SB_.SCK0.CP25._TPC, MethodObj)    
            External (_SB_.SCK0.CP25._PTC, MethodObj)    
            External (_SB_.SCK0.CP25._TSS, MethodObj)     
            External (_SB_.SCK0.CP25._CST, MethodObj)    
        External (_SB_.SCK0.CP26, DeviceObj)    
            External (_SB_.SCK0.CP26._HID, UnknownObj)   
            External (_SB_.SCK0.CP26._UID, UnknownObj)    
            External (_SB_.SCK0.CP26._PXM, MethodObj)    
            External (_SB_.SCK0.CP26._STA, MethodObj)    
            External (_SB_.SCK0.CP26._MAT, MethodObj)    
            External (_SB_.SCK0.CP26.HWPT, MethodObj)    
            External (_SB_.SCK0.CP26.ISTT, MethodObj)    
            External (_SB_.SCK0.CP26.TSTT, MethodObj)    
            External (_SB_.SCK0.CP26.CSTT, MethodObj)    
            External (_SB_.SCK0.CP26._PDC, MethodObj)    
            External (_SB_.SCK0.CP26._OSC, MethodObj)    
            External (_SB_.SCK0.CP26._PSD, MethodObj)                
            External (_SB_.SCK0.CP26._PPC, MethodObj)    
            External (_SB_.SCK0.CP26._PCT, MethodObj)    
            External (_SB_.SCK0.CP26._PSS, MethodObj)              
            External (_SB_.SCK0.CP26._CPC, MethodObj)    
            External (_SB_.SCK0.CP26._TPC, MethodObj)    
            External (_SB_.SCK0.CP26._PTC, MethodObj)    
            External (_SB_.SCK0.CP26._TSS, MethodObj)     
            External (_SB_.SCK0.CP26._CST, MethodObj)    
        External (_SB_.SCK0.CP27, DeviceObj)    
            External (_SB_.SCK0.CP27._HID, UnknownObj)   
            External (_SB_.SCK0.CP27._UID, UnknownObj)    
            External (_SB_.SCK0.CP27._PXM, MethodObj)    
            External (_SB_.SCK0.CP27._STA, MethodObj)    
            External (_SB_.SCK0.CP27._MAT, MethodObj)    
            External (_SB_.SCK0.CP27.HWPT, MethodObj)    
            External (_SB_.SCK0.CP27.ISTT, MethodObj)    
            External (_SB_.SCK0.CP27.TSTT, MethodObj)    
            External (_SB_.SCK0.CP27.CSTT, MethodObj)    
            External (_SB_.SCK0.CP27._PDC, MethodObj)    
            External (_SB_.SCK0.CP27._OSC, MethodObj)    
            External (_SB_.SCK0.CP27._PSD, MethodObj)                
            External (_SB_.SCK0.CP27._PPC, MethodObj)    
            External (_SB_.SCK0.CP27._PCT, MethodObj)    
            External (_SB_.SCK0.CP27._PSS, MethodObj)              
            External (_SB_.SCK0.CP27._CPC, MethodObj)    
            External (_SB_.SCK0.CP27._TPC, MethodObj)    
            External (_SB_.SCK0.CP27._PTC, MethodObj)    
            External (_SB_.SCK0.CP27._TSS, MethodObj)     
            External (_SB_.SCK0.CP27._CST, MethodObj)    
        External (_SB_.SCK0.CP28, DeviceObj)    
            External (_SB_.SCK0.CP28._HID, UnknownObj)   
            External (_SB_.SCK0.CP28._UID, UnknownObj)    
            External (_SB_.SCK0.CP28._PXM, MethodObj)    
            External (_SB_.SCK0.CP28._STA, MethodObj)    
            External (_SB_.SCK0.CP28._MAT, MethodObj)    
            External (_SB_.SCK0.CP28.HWPT, MethodObj)    
            External (_SB_.SCK0.CP28.ISTT, MethodObj)    
            External (_SB_.SCK0.CP28.TSTT, MethodObj)    
            External (_SB_.SCK0.CP28.CSTT, MethodObj)    
            External (_SB_.SCK0.CP28._PDC, MethodObj)    
            External (_SB_.SCK0.CP28._OSC, MethodObj)    
            External (_SB_.SCK0.CP28._PSD, MethodObj)                
            External (_SB_.SCK0.CP28._PPC, MethodObj)    
            External (_SB_.SCK0.CP28._PCT, MethodObj)    
            External (_SB_.SCK0.CP28._PSS, MethodObj)              
            External (_SB_.SCK0.CP28._CPC, MethodObj)    
            External (_SB_.SCK0.CP28._TPC, MethodObj)    
            External (_SB_.SCK0.CP28._PTC, MethodObj)    
            External (_SB_.SCK0.CP28._TSS, MethodObj)     
            External (_SB_.SCK0.CP28._CST, MethodObj)    
        External (_SB_.SCK0.CP29, DeviceObj)    
            External (_SB_.SCK0.CP29._HID, UnknownObj)   
            External (_SB_.SCK0.CP29._UID, UnknownObj)    
            External (_SB_.SCK0.CP29._PXM, MethodObj)    
            External (_SB_.SCK0.CP29._STA, MethodObj)    
            External (_SB_.SCK0.CP29._MAT, MethodObj)    
            External (_SB_.SCK0.CP29.HWPT, MethodObj)    
            External (_SB_.SCK0.CP29.ISTT, MethodObj)    
            External (_SB_.SCK0.CP29.TSTT, MethodObj)    
            External (_SB_.SCK0.CP29.CSTT, MethodObj)    
            External (_SB_.SCK0.CP29._PDC, MethodObj)    
            External (_SB_.SCK0.CP29._OSC, MethodObj)    
            External (_SB_.SCK0.CP29._PSD, MethodObj)                
            External (_SB_.SCK0.CP29._PPC, MethodObj)    
            External (_SB_.SCK0.CP29._PCT, MethodObj)    
            External (_SB_.SCK0.CP29._PSS, MethodObj)              
            External (_SB_.SCK0.CP29._CPC, MethodObj)    
            External (_SB_.SCK0.CP29._TPC, MethodObj)    
            External (_SB_.SCK0.CP29._PTC, MethodObj)    
            External (_SB_.SCK0.CP29._TSS, MethodObj)     
            External (_SB_.SCK0.CP29._CST, MethodObj)    
        External (_SB_.SCK0.CP2A, DeviceObj)    
            External (_SB_.SCK0.CP2A._HID, UnknownObj)   
            External (_SB_.SCK0.CP2A._UID, UnknownObj)    
            External (_SB_.SCK0.CP2A._PXM, MethodObj)    
            External (_SB_.SCK0.CP2A._STA, MethodObj)    
            External (_SB_.SCK0.CP2A._MAT, MethodObj)    
            External (_SB_.SCK0.CP2A.HWPT, MethodObj)    
            External (_SB_.SCK0.CP2A.ISTT, MethodObj)    
            External (_SB_.SCK0.CP2A.TSTT, MethodObj)    
            External (_SB_.SCK0.CP2A.CSTT, MethodObj)    
            External (_SB_.SCK0.CP2A._PDC, MethodObj)    
            External (_SB_.SCK0.CP2A._OSC, MethodObj)    
            External (_SB_.SCK0.CP2A._PSD, MethodObj)                
            External (_SB_.SCK0.CP2A._PPC, MethodObj)    
            External (_SB_.SCK0.CP2A._PCT, MethodObj)    
            External (_SB_.SCK0.CP2A._PSS, MethodObj)              
            External (_SB_.SCK0.CP2A._CPC, MethodObj)    
            External (_SB_.SCK0.CP2A._TPC, MethodObj)    
            External (_SB_.SCK0.CP2A._PTC, MethodObj)    
            External (_SB_.SCK0.CP2A._TSS, MethodObj)     
            External (_SB_.SCK0.CP2A._CST, MethodObj)    
        External (_SB_.SCK0.CP2B, DeviceObj)    
            External (_SB_.SCK0.CP2B._HID, UnknownObj)   
            External (_SB_.SCK0.CP2B._UID, UnknownObj)    
            External (_SB_.SCK0.CP2B._PXM, MethodObj)    
            External (_SB_.SCK0.CP2B._STA, MethodObj)    
            External (_SB_.SCK0.CP2B._MAT, MethodObj)    
            External (_SB_.SCK0.CP2B.HWPT, MethodObj)    
            External (_SB_.SCK0.CP2B.ISTT, MethodObj)    
            External (_SB_.SCK0.CP2B.TSTT, MethodObj)    
            External (_SB_.SCK0.CP2B.CSTT, MethodObj)    
            External (_SB_.SCK0.CP2B._PDC, MethodObj)    
            External (_SB_.SCK0.CP2B._OSC, MethodObj)    
            External (_SB_.SCK0.CP2B._PSD, MethodObj)                
            External (_SB_.SCK0.CP2B._PPC, MethodObj)    
            External (_SB_.SCK0.CP2B._PCT, MethodObj)    
            External (_SB_.SCK0.CP2B._PSS, MethodObj)              
            External (_SB_.SCK0.CP2B._CPC, MethodObj)    
            External (_SB_.SCK0.CP2B._TPC, MethodObj)    
            External (_SB_.SCK0.CP2B._PTC, MethodObj)    
            External (_SB_.SCK0.CP2B._TSS, MethodObj)     
            External (_SB_.SCK0.CP2B._CST, MethodObj)    
        External (_SB_.SCK0.CP2C, DeviceObj)    
            External (_SB_.SCK0.CP2C._HID, UnknownObj)   
            External (_SB_.SCK0.CP2C._UID, UnknownObj)    
            External (_SB_.SCK0.CP2C._PXM, MethodObj)    
            External (_SB_.SCK0.CP2C._STA, MethodObj)    
            External (_SB_.SCK0.CP2C._MAT, MethodObj)    
            External (_SB_.SCK0.CP2C.HWPT, MethodObj)    
            External (_SB_.SCK0.CP2C.ISTT, MethodObj)    
            External (_SB_.SCK0.CP2C.TSTT, MethodObj)    
            External (_SB_.SCK0.CP2C.CSTT, MethodObj)    
            External (_SB_.SCK0.CP2C._PDC, MethodObj)    
            External (_SB_.SCK0.CP2C._OSC, MethodObj)    
            External (_SB_.SCK0.CP2C._PSD, MethodObj)                
            External (_SB_.SCK0.CP2C._PPC, MethodObj)    
            External (_SB_.SCK0.CP2C._PCT, MethodObj)    
            External (_SB_.SCK0.CP2C._PSS, MethodObj)              
            External (_SB_.SCK0.CP2C._CPC, MethodObj)    
            External (_SB_.SCK0.CP2C._TPC, MethodObj)    
            External (_SB_.SCK0.CP2C._PTC, MethodObj)    
            External (_SB_.SCK0.CP2C._TSS, MethodObj)     
            External (_SB_.SCK0.CP2C._CST, MethodObj)    
        External (_SB_.SCK0.CP2D, DeviceObj)    
            External (_SB_.SCK0.CP2D._HID, UnknownObj)   
            External (_SB_.SCK0.CP2D._UID, UnknownObj)    
            External (_SB_.SCK0.CP2D._PXM, MethodObj)    
            External (_SB_.SCK0.CP2D._STA, MethodObj)    
            External (_SB_.SCK0.CP2D._MAT, MethodObj)    
            External (_SB_.SCK0.CP2D.HWPT, MethodObj)    
            External (_SB_.SCK0.CP2D.ISTT, MethodObj)    
            External (_SB_.SCK0.CP2D.TSTT, MethodObj)    
            External (_SB_.SCK0.CP2D.CSTT, MethodObj)    
            External (_SB_.SCK0.CP2D._PDC, MethodObj)    
            External (_SB_.SCK0.CP2D._OSC, MethodObj)    
            External (_SB_.SCK0.CP2D._PSD, MethodObj)                
            External (_SB_.SCK0.CP2D._PPC, MethodObj)    
            External (_SB_.SCK0.CP2D._PCT, MethodObj)    
            External (_SB_.SCK0.CP2D._PSS, MethodObj)              
            External (_SB_.SCK0.CP2D._CPC, MethodObj)    
            External (_SB_.SCK0.CP2D._TPC, MethodObj)    
            External (_SB_.SCK0.CP2D._PTC, MethodObj)    
            External (_SB_.SCK0.CP2D._TSS, MethodObj)     
            External (_SB_.SCK0.CP2D._CST, MethodObj)    
        External (_SB_.SCK0.CP2E, DeviceObj)    
            External (_SB_.SCK0.CP2E._HID, UnknownObj)   
            External (_SB_.SCK0.CP2E._UID, UnknownObj)    
            External (_SB_.SCK0.CP2E._PXM, MethodObj)    
            External (_SB_.SCK0.CP2E._STA, MethodObj)    
            External (_SB_.SCK0.CP2E._MAT, MethodObj)    
            External (_SB_.SCK0.CP2E.HWPT, MethodObj)    
            External (_SB_.SCK0.CP2E.ISTT, MethodObj)    
            External (_SB_.SCK0.CP2E.TSTT, MethodObj)    
            External (_SB_.SCK0.CP2E.CSTT, MethodObj)    
            External (_SB_.SCK0.CP2E._PDC, MethodObj)    
            External (_SB_.SCK0.CP2E._OSC, MethodObj)    
            External (_SB_.SCK0.CP2E._PSD, MethodObj)                
            External (_SB_.SCK0.CP2E._PPC, MethodObj)    
            External (_SB_.SCK0.CP2E._PCT, MethodObj)    
            External (_SB_.SCK0.CP2E._PSS, MethodObj)              
            External (_SB_.SCK0.CP2E._CPC, MethodObj)    
            External (_SB_.SCK0.CP2E._TPC, MethodObj)    
            External (_SB_.SCK0.CP2E._PTC, MethodObj)    
            External (_SB_.SCK0.CP2E._TSS, MethodObj)     
            External (_SB_.SCK0.CP2E._CST, MethodObj)    
        External (_SB_.SCK0.CP2F, DeviceObj)    
            External (_SB_.SCK0.CP2F._HID, UnknownObj)   
            External (_SB_.SCK0.CP2F._UID, UnknownObj)    
            External (_SB_.SCK0.CP2F._PXM, MethodObj)    
            External (_SB_.SCK0.CP2F._STA, MethodObj)    
            External (_SB_.SCK0.CP2F._MAT, MethodObj)    
            External (_SB_.SCK0.CP2F.HWPT, MethodObj)    
            External (_SB_.SCK0.CP2F.ISTT, MethodObj)    
            External (_SB_.SCK0.CP2F.TSTT, MethodObj)    
            External (_SB_.SCK0.CP2F.CSTT, MethodObj)    
            External (_SB_.SCK0.CP2F._PDC, MethodObj)    
            External (_SB_.SCK0.CP2F._OSC, MethodObj)    
            External (_SB_.SCK0.CP2F._PSD, MethodObj)                
            External (_SB_.SCK0.CP2F._PPC, MethodObj)    
            External (_SB_.SCK0.CP2F._PCT, MethodObj)    
            External (_SB_.SCK0.CP2F._PSS, MethodObj)              
            External (_SB_.SCK0.CP2F._CPC, MethodObj)    
            External (_SB_.SCK0.CP2F._TPC, MethodObj)    
            External (_SB_.SCK0.CP2F._PTC, MethodObj)    
            External (_SB_.SCK0.CP2F._TSS, MethodObj)     
            External (_SB_.SCK0.CP2F._CST, MethodObj)    
        External (_SB_.SCK0.CP30, DeviceObj)    
            External (_SB_.SCK0.CP30._HID, UnknownObj)   
            External (_SB_.SCK0.CP30._UID, UnknownObj)    
            External (_SB_.SCK0.CP30._PXM, MethodObj)    
            External (_SB_.SCK0.CP30._STA, MethodObj)    
            External (_SB_.SCK0.CP30._MAT, MethodObj)    
            External (_SB_.SCK0.CP30.HWPT, MethodObj)    
            External (_SB_.SCK0.CP30.ISTT, MethodObj)    
            External (_SB_.SCK0.CP30.TSTT, MethodObj)    
            External (_SB_.SCK0.CP30.CSTT, MethodObj)    
            External (_SB_.SCK0.CP30._PDC, MethodObj)    
            External (_SB_.SCK0.CP30._OSC, MethodObj)    
            External (_SB_.SCK0.CP30._PSD, MethodObj)                
            External (_SB_.SCK0.CP30._PPC, MethodObj)    
            External (_SB_.SCK0.CP30._PCT, MethodObj)    
            External (_SB_.SCK0.CP30._PSS, MethodObj)              
            External (_SB_.SCK0.CP30._CPC, MethodObj)    
            External (_SB_.SCK0.CP30._TPC, MethodObj)    
            External (_SB_.SCK0.CP30._PTC, MethodObj)    
            External (_SB_.SCK0.CP30._TSS, MethodObj)     
            External (_SB_.SCK0.CP30._CST, MethodObj)    
        External (_SB_.SCK0.CP31, DeviceObj)    
            External (_SB_.SCK0.CP31._HID, UnknownObj)   
            External (_SB_.SCK0.CP31._UID, UnknownObj)    
            External (_SB_.SCK0.CP31._PXM, MethodObj)    
            External (_SB_.SCK0.CP31._STA, MethodObj)    
            External (_SB_.SCK0.CP31._MAT, MethodObj)    
            External (_SB_.SCK0.CP31.HWPT, MethodObj)    
            External (_SB_.SCK0.CP31.ISTT, MethodObj)    
            External (_SB_.SCK0.CP31.TSTT, MethodObj)    
            External (_SB_.SCK0.CP31.CSTT, MethodObj)    
            External (_SB_.SCK0.CP31._PDC, MethodObj)    
            External (_SB_.SCK0.CP31._OSC, MethodObj)    
            External (_SB_.SCK0.CP31._PSD, MethodObj)                
            External (_SB_.SCK0.CP31._PPC, MethodObj)    
            External (_SB_.SCK0.CP31._PCT, MethodObj)    
            External (_SB_.SCK0.CP31._PSS, MethodObj)              
            External (_SB_.SCK0.CP31._CPC, MethodObj)    
            External (_SB_.SCK0.CP31._TPC, MethodObj)    
            External (_SB_.SCK0.CP31._PTC, MethodObj)    
            External (_SB_.SCK0.CP31._TSS, MethodObj)     
            External (_SB_.SCK0.CP31._CST, MethodObj)    
        External (_SB_.SCK0.CP32, DeviceObj)    
            External (_SB_.SCK0.CP32._HID, UnknownObj)   
            External (_SB_.SCK0.CP32._UID, UnknownObj)    
            External (_SB_.SCK0.CP32._PXM, MethodObj)    
            External (_SB_.SCK0.CP32._STA, MethodObj)    
            External (_SB_.SCK0.CP32._MAT, MethodObj)    
            External (_SB_.SCK0.CP32.HWPT, MethodObj)    
            External (_SB_.SCK0.CP32.ISTT, MethodObj)    
            External (_SB_.SCK0.CP32.TSTT, MethodObj)    
            External (_SB_.SCK0.CP32.CSTT, MethodObj)    
            External (_SB_.SCK0.CP32._PDC, MethodObj)    
            External (_SB_.SCK0.CP32._OSC, MethodObj)    
            External (_SB_.SCK0.CP32._PSD, MethodObj)                
            External (_SB_.SCK0.CP32._PPC, MethodObj)    
            External (_SB_.SCK0.CP32._PCT, MethodObj)    
            External (_SB_.SCK0.CP32._PSS, MethodObj)              
            External (_SB_.SCK0.CP32._CPC, MethodObj)    
            External (_SB_.SCK0.CP32._TPC, MethodObj)    
            External (_SB_.SCK0.CP32._PTC, MethodObj)    
            External (_SB_.SCK0.CP32._TSS, MethodObj)     
            External (_SB_.SCK0.CP32._CST, MethodObj)    
        External (_SB_.SCK0.CP33, DeviceObj)    
            External (_SB_.SCK0.CP33._HID, UnknownObj)   
            External (_SB_.SCK0.CP33._UID, UnknownObj)    
            External (_SB_.SCK0.CP33._PXM, MethodObj)    
            External (_SB_.SCK0.CP33._STA, MethodObj)    
            External (_SB_.SCK0.CP33._MAT, MethodObj)    
            External (_SB_.SCK0.CP33.HWPT, MethodObj)    
            External (_SB_.SCK0.CP33.ISTT, MethodObj)    
            External (_SB_.SCK0.CP33.TSTT, MethodObj)    
            External (_SB_.SCK0.CP33.CSTT, MethodObj)    
            External (_SB_.SCK0.CP33._PDC, MethodObj)    
            External (_SB_.SCK0.CP33._OSC, MethodObj)    
            External (_SB_.SCK0.CP33._PSD, MethodObj)                
            External (_SB_.SCK0.CP33._PPC, MethodObj)    
            External (_SB_.SCK0.CP33._PCT, MethodObj)    
            External (_SB_.SCK0.CP33._PSS, MethodObj)              
            External (_SB_.SCK0.CP33._CPC, MethodObj)    
            External (_SB_.SCK0.CP33._TPC, MethodObj)    
            External (_SB_.SCK0.CP33._PTC, MethodObj)    
            External (_SB_.SCK0.CP33._TSS, MethodObj)     
            External (_SB_.SCK0.CP33._CST, MethodObj)    
        External (_SB_.SCK0.CP34, DeviceObj)    
            External (_SB_.SCK0.CP34._HID, UnknownObj)   
            External (_SB_.SCK0.CP34._UID, UnknownObj)    
            External (_SB_.SCK0.CP34._PXM, MethodObj)    
            External (_SB_.SCK0.CP34._STA, MethodObj)    
            External (_SB_.SCK0.CP34._MAT, MethodObj)    
            External (_SB_.SCK0.CP34.HWPT, MethodObj)    
            External (_SB_.SCK0.CP34.ISTT, MethodObj)    
            External (_SB_.SCK0.CP34.TSTT, MethodObj)    
            External (_SB_.SCK0.CP34.CSTT, MethodObj)    
            External (_SB_.SCK0.CP34._PDC, MethodObj)    
            External (_SB_.SCK0.CP34._OSC, MethodObj)    
            External (_SB_.SCK0.CP34._PSD, MethodObj)                
            External (_SB_.SCK0.CP34._PPC, MethodObj)    
            External (_SB_.SCK0.CP34._PCT, MethodObj)    
            External (_SB_.SCK0.CP34._PSS, MethodObj)              
            External (_SB_.SCK0.CP34._CPC, MethodObj)    
            External (_SB_.SCK0.CP34._TPC, MethodObj)    
            External (_SB_.SCK0.CP34._PTC, MethodObj)    
            External (_SB_.SCK0.CP34._TSS, MethodObj)     
            External (_SB_.SCK0.CP34._CST, MethodObj)    
        External (_SB_.SCK0.CP35, DeviceObj)    
            External (_SB_.SCK0.CP35._HID, UnknownObj)   
            External (_SB_.SCK0.CP35._UID, UnknownObj)    
            External (_SB_.SCK0.CP35._PXM, MethodObj)    
            External (_SB_.SCK0.CP35._STA, MethodObj)    
            External (_SB_.SCK0.CP35._MAT, MethodObj)    
            External (_SB_.SCK0.CP35.HWPT, MethodObj)    
            External (_SB_.SCK0.CP35.ISTT, MethodObj)    
            External (_SB_.SCK0.CP35.TSTT, MethodObj)    
            External (_SB_.SCK0.CP35.CSTT, MethodObj)    
            External (_SB_.SCK0.CP35._PDC, MethodObj)    
            External (_SB_.SCK0.CP35._OSC, MethodObj)    
            External (_SB_.SCK0.CP35._PSD, MethodObj)                
            External (_SB_.SCK0.CP35._PPC, MethodObj)    
            External (_SB_.SCK0.CP35._PCT, MethodObj)    
            External (_SB_.SCK0.CP35._PSS, MethodObj)              
            External (_SB_.SCK0.CP35._CPC, MethodObj)    
            External (_SB_.SCK0.CP35._TPC, MethodObj)    
            External (_SB_.SCK0.CP35._PTC, MethodObj)    
            External (_SB_.SCK0.CP35._TSS, MethodObj)     
            External (_SB_.SCK0.CP35._CST, MethodObj)    
        External (_SB_.SCK0.CP36, DeviceObj)    
            External (_SB_.SCK0.CP36._HID, UnknownObj)   
            External (_SB_.SCK0.CP36._UID, UnknownObj)    
            External (_SB_.SCK0.CP36._PXM, MethodObj)    
            External (_SB_.SCK0.CP36._STA, MethodObj)    
            External (_SB_.SCK0.CP36._MAT, MethodObj)    
            External (_SB_.SCK0.CP36.HWPT, MethodObj)    
            External (_SB_.SCK0.CP36.ISTT, MethodObj)    
            External (_SB_.SCK0.CP36.TSTT, MethodObj)    
            External (_SB_.SCK0.CP36.CSTT, MethodObj)    
            External (_SB_.SCK0.CP36._PDC, MethodObj)    
            External (_SB_.SCK0.CP36._OSC, MethodObj)    
            External (_SB_.SCK0.CP36._PSD, MethodObj)                
            External (_SB_.SCK0.CP36._PPC, MethodObj)    
            External (_SB_.SCK0.CP36._PCT, MethodObj)    
            External (_SB_.SCK0.CP36._PSS, MethodObj)              
            External (_SB_.SCK0.CP36._CPC, MethodObj)    
            External (_SB_.SCK0.CP36._TPC, MethodObj)    
            External (_SB_.SCK0.CP36._PTC, MethodObj)    
            External (_SB_.SCK0.CP36._TSS, MethodObj)     
            External (_SB_.SCK0.CP36._CST, MethodObj)    
        External (_SB_.SCK0.CP37, DeviceObj)    
            External (_SB_.SCK0.CP37._HID, UnknownObj)   
            External (_SB_.SCK0.CP37._UID, UnknownObj)    
            External (_SB_.SCK0.CP37._PXM, MethodObj)    
            External (_SB_.SCK0.CP37._STA, MethodObj)    
            External (_SB_.SCK0.CP37._MAT, MethodObj)    
            External (_SB_.SCK0.CP37.HWPT, MethodObj)    
            External (_SB_.SCK0.CP37.ISTT, MethodObj)    
            External (_SB_.SCK0.CP37.TSTT, MethodObj)    
            External (_SB_.SCK0.CP37.CSTT, MethodObj)    
            External (_SB_.SCK0.CP37._PDC, MethodObj)    
            External (_SB_.SCK0.CP37._OSC, MethodObj)    
            External (_SB_.SCK0.CP37._PSD, MethodObj)                
            External (_SB_.SCK0.CP37._PPC, MethodObj)    
            External (_SB_.SCK0.CP37._PCT, MethodObj)    
            External (_SB_.SCK0.CP37._PSS, MethodObj)              
            External (_SB_.SCK0.CP37._CPC, MethodObj)    
            External (_SB_.SCK0.CP37._TPC, MethodObj)    
            External (_SB_.SCK0.CP37._PTC, MethodObj)    
            External (_SB_.SCK0.CP37._TSS, MethodObj)     
            External (_SB_.SCK0.CP37._CST, MethodObj)           
        
    Scope (\_SB.SCK0)
    {
        Processor (PR00, 0x00, 0x00000510, 0x06)
        {
            Method (_HID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP00._HID)
            }

            Method (_UID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP00._UID)
            }

            Method (_PXM, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP00._PXM ())
            }

            Method (_STA, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP00._STA ())
            }

            Method (_MAT, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP00._MAT ())
            }

            Method (HWPT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP00.HWPT))
                {
                    Return (\_SB.SCK0.CP00.HWPT ())
                }
            }

            Method (ISTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP00.ISTT))
                {
                    Return (\_SB.SCK0.CP00.ISTT ())
                }
            }

            Method (TSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP00.TSTT))
                {
                    Return (\_SB.SCK0.CP00.TSTT ())
                }
            }

            Method (CSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP00.CSTT))
                {
                    Return (\_SB.SCK0.CP00.CSTT ())
                }
            }

            Method (_PDC, 1, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP00._PDC))
                {
                    Return (\_SB.SCK0.CP00._PDC (Arg0))
                }
            }

            Method (_OSC, 4, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP00._OSC))
                {
                    Return (\_SB.SCK0.CP00._OSC (Arg0, Arg1, Arg2, Arg3))
                }
            }

            Method (_PSD, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP00._PSD))
                {
                    Return (\_SB.SCK0.CP00._PSD ())
                }
            }

            Method (_PPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP00._PPC))
                {
                    Return (\_SB.SCK0.CP00._PPC ())
                }
            }

            Method (_PCT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP00._PCT))
                {
                    Return (\_SB.SCK0.CP00._PCT ())
                }
            }

            Method (_PSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP00._PSS))
                {
                    Return (\_SB.SCK0.CP00._PSS ())
                }
            }

            Method (_CPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP00._CPC))
                {
                    Return (\_SB.SCK0.CP00._CPC ())
                }
            }

            Method (_TPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP00._TPC))
                {
                    Return (\_SB.SCK0.CP00._TPC ())
                }
            }

            Method (_PTC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP00._PTC))
                {
                    Return (\_SB.SCK0.CP00._PTC ())
                }
            }

            Method (_TSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP00._TSS))
                {
                    Return (\_SB.SCK0.CP00._TSS ())
                }
            }
            
            Method (_CST, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP00._CST))
                {
                    Return (\_SB.SCK0.CP00._CST ())
                }
            }
        }
    
        Processor (PR01, 0x01, 0x00000510, 0x06)
        {
            Method (_HID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP01._HID)
            }

            Method (_UID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP01._UID)
            }

            Method (_PXM, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP01._PXM ())
            }

            Method (_STA, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP01._STA ())
            }

            Method (_MAT, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP01._MAT ())
            }

            Method (HWPT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP01.HWPT))
                {
                    Return (\_SB.SCK0.CP01.HWPT ())
                }
            }

            Method (ISTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP01.ISTT))
                {
                    Return (\_SB.SCK0.CP01.ISTT ())
                }
            }

            Method (TSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP01.TSTT))
                {
                    Return (\_SB.SCK0.CP01.TSTT ())
                }
            }

            Method (CSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP01.CSTT))
                {
                    Return (\_SB.SCK0.CP01.CSTT ())
                }
            }

            Method (_PDC, 1, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP01._PDC))
                {
                    Return (\_SB.SCK0.CP01._PDC (Arg0))
                }
            }

            Method (_OSC, 4, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP01._OSC))
                {
                    Return (\_SB.SCK0.CP01._OSC (Arg0, Arg1, Arg2, Arg3))
                }
            }

            Method (_PSD, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP01._PSD))
                {
                    Return (\_SB.SCK0.CP01._PSD ())
                }
            }

            Method (_PPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP01._PPC))
                {
                    Return (\_SB.SCK0.CP01._PPC ())
                }
            }

            Method (_PCT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP01._PCT))
                {
                    Return (\_SB.SCK0.CP01._PCT ())
                }
            }

            Method (_PSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP01._PSS))
                {
                    Return (\_SB.SCK0.CP01._PSS ())
                }
            }

            Method (_CPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP01._CPC))
                {
                    Return (\_SB.SCK0.CP01._CPC ())
                }
            }

            Method (_TPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP01._TPC))
                {
                    Return (\_SB.SCK0.CP01._TPC ())
                }
            }

            Method (_PTC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP01._PTC))
                {
                    Return (\_SB.SCK0.CP01._PTC ())
                }
            }

            Method (_TSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP01._TSS))
                {
                    Return (\_SB.SCK0.CP01._TSS ())
                }
            }
            
            Method (_CST, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP01._CST))
                {
                    Return (\_SB.SCK0.CP01._CST ())
                }
            }
        }
        
        Processor (PR02, 0x02, 0x00000510, 0x06)
        {
            Method (_HID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP02._HID)
            }

            Method (_UID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP02._UID)
            }

            Method (_PXM, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP02._PXM ())
            }

            Method (_STA, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP02._STA ())
            }

            Method (_MAT, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP02._MAT ())
            }

            Method (HWPT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP02.HWPT))
                {
                    Return (\_SB.SCK0.CP02.HWPT ())
                }
            }

            Method (ISTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP02.ISTT))
                {
                    Return (\_SB.SCK0.CP02.ISTT ())
                }
            }

            Method (TSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP02.TSTT))
                {
                    Return (\_SB.SCK0.CP02.TSTT ())
                }
            }

            Method (CSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP02.CSTT))
                {
                    Return (\_SB.SCK0.CP02.CSTT ())
                }
            }

            Method (_PDC, 1, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP02._PDC))
                {
                    Return (\_SB.SCK0.CP02._PDC (Arg0))
                }
            }

            Method (_OSC, 4, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP02._OSC))
                {
                    Return (\_SB.SCK0.CP02._OSC (Arg0, Arg1, Arg2, Arg3))
                }
            }

            Method (_PSD, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP02._PSD))
                {
                    Return (\_SB.SCK0.CP02._PSD ())
                }
            }

            Method (_PPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP02._PPC))
                {
                    Return (\_SB.SCK0.CP02._PPC ())
                }
            }

            Method (_PCT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP02._PCT))
                {
                    Return (\_SB.SCK0.CP02._PCT ())
                }
            }

            Method (_PSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP02._PSS))
                {
                    Return (\_SB.SCK0.CP02._PSS ())
                }
            }

            Method (_CPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP02._CPC))
                {
                    Return (\_SB.SCK0.CP02._CPC ())
                }
            }

            Method (_TPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP02._TPC))
                {
                    Return (\_SB.SCK0.CP02._TPC ())
                }
            }

            Method (_PTC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP02._PTC))
                {
                    Return (\_SB.SCK0.CP02._PTC ())
                }
            }

            Method (_TSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP02._TSS))
                {
                    Return (\_SB.SCK0.CP02._TSS ())
                }
            }
            
            Method (_CST, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP02._CST))
                {
                    Return (\_SB.SCK0.CP02._CST ())
                }
            }
        }
        
        Processor (PR03, 0x03, 0x00000510, 0x06)
        {
            Method (_HID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP03._HID)
            }

            Method (_UID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP03._UID)
            }

            Method (_PXM, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP03._PXM ())
            }

            Method (_STA, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP03._STA ())
            }

            Method (_MAT, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP03._MAT ())
            }

            Method (HWPT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP03.HWPT))
                {
                    Return (\_SB.SCK0.CP03.HWPT ())
                }
            }

            Method (ISTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP03.ISTT))
                {
                    Return (\_SB.SCK0.CP03.ISTT ())
                }
            }

            Method (TSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP03.TSTT))
                {
                    Return (\_SB.SCK0.CP03.TSTT ())
                }
            }

            Method (CSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP03.CSTT))
                {
                    Return (\_SB.SCK0.CP03.CSTT ())
                }
            }

            Method (_PDC, 1, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP03._PDC))
                {
                    Return (\_SB.SCK0.CP03._PDC (Arg0))
                }
            }

            Method (_OSC, 4, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP03._OSC))
                {
                    Return (\_SB.SCK0.CP03._OSC (Arg0, Arg1, Arg2, Arg3))
                }
            }

            Method (_PSD, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP03._PSD))
                {
                    Return (\_SB.SCK0.CP03._PSD ())
                }
            }

            Method (_PPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP03._PPC))
                {
                    Return (\_SB.SCK0.CP03._PPC ())
                }
            }

            Method (_PCT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP03._PCT))
                {
                    Return (\_SB.SCK0.CP03._PCT ())
                }
            }

            Method (_PSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP03._PSS))
                {
                    Return (\_SB.SCK0.CP03._PSS ())
                }
            }

            Method (_CPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP03._CPC))
                {
                    Return (\_SB.SCK0.CP03._CPC ())
                }
            }

            Method (_TPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP03._TPC))
                {
                    Return (\_SB.SCK0.CP03._TPC ())
                }
            }

            Method (_PTC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP03._PTC))
                {
                    Return (\_SB.SCK0.CP03._PTC ())
                }
            }

            Method (_TSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP03._TSS))
                {
                    Return (\_SB.SCK0.CP03._TSS ())
                }
            }
            
            Method (_CST, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP03._CST))
                {
                    Return (\_SB.SCK0.CP03._CST ())
                }
            }
        }
        
        Processor (PR04, 0x04, 0x00000510, 0x06)
        {
            Method (_HID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP04._HID)
            }

            Method (_UID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP04._UID)
            }

            Method (_PXM, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP04._PXM ())
            }

            Method (_STA, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP04._STA ())
            }

            Method (_MAT, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP04._MAT ())
            }

            Method (HWPT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP04.HWPT))
                {
                    Return (\_SB.SCK0.CP04.HWPT ())
                }
            }

            Method (ISTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP04.ISTT))
                {
                    Return (\_SB.SCK0.CP04.ISTT ())
                }
            }

            Method (TSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP04.TSTT))
                {
                    Return (\_SB.SCK0.CP04.TSTT ())
                }
            }

            Method (CSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP04.CSTT))
                {
                    Return (\_SB.SCK0.CP04.CSTT ())
                }
            }

            Method (_PDC, 1, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP04._PDC))
                {
                    Return (\_SB.SCK0.CP04._PDC (Arg0))
                }
            }

            Method (_OSC, 4, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP04._OSC))
                {
                    Return (\_SB.SCK0.CP04._OSC (Arg0, Arg1, Arg2, Arg3))
                }
            }

            Method (_PSD, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP04._PSD))
                {
                    Return (\_SB.SCK0.CP04._PSD ())
                }
            }

            Method (_PPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP04._PPC))
                {
                    Return (\_SB.SCK0.CP04._PPC ())
                }
            }

            Method (_PCT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP04._PCT))
                {
                    Return (\_SB.SCK0.CP04._PCT ())
                }
            }

            Method (_PSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP04._PSS))
                {
                    Return (\_SB.SCK0.CP04._PSS ())
                }
            }

            Method (_CPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP04._CPC))
                {
                    Return (\_SB.SCK0.CP04._CPC ())
                }
            }

            Method (_TPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP04._TPC))
                {
                    Return (\_SB.SCK0.CP04._TPC ())
                }
            }

            Method (_PTC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP04._PTC))
                {
                    Return (\_SB.SCK0.CP04._PTC ())
                }
            }

            Method (_TSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP04._TSS))
                {
                    Return (\_SB.SCK0.CP04._TSS ())
                }
            }
            
            Method (_CST, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP04._CST))
                {
                    Return (\_SB.SCK0.CP04._CST ())
                }
            }
        }
        
        Processor (PR05, 0x05, 0x00000510, 0x06)
        {
            Method (_HID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP05._HID)
            }

            Method (_UID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP05._UID)
            }

            Method (_PXM, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP05._PXM ())
            }

            Method (_STA, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP05._STA ())
            }

            Method (_MAT, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP05._MAT ())
            }

            Method (HWPT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP05.HWPT))
                {
                    Return (\_SB.SCK0.CP05.HWPT ())
                }
            }

            Method (ISTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP05.ISTT))
                {
                    Return (\_SB.SCK0.CP05.ISTT ())
                }
            }

            Method (TSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP05.TSTT))
                {
                    Return (\_SB.SCK0.CP05.TSTT ())
                }
            }

            Method (CSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP05.CSTT))
                {
                    Return (\_SB.SCK0.CP05.CSTT ())
                }
            }

            Method (_PDC, 1, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP05._PDC))
                {
                    Return (\_SB.SCK0.CP05._PDC (Arg0))
                }
            }

            Method (_OSC, 4, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP05._OSC))
                {
                    Return (\_SB.SCK0.CP05._OSC (Arg0, Arg1, Arg2, Arg3))
                }
            }

            Method (_PSD, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP05._PSD))
                {
                    Return (\_SB.SCK0.CP05._PSD ())
                }
            }

            Method (_PPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP05._PPC))
                {
                    Return (\_SB.SCK0.CP05._PPC ())
                }
            }

            Method (_PCT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP05._PCT))
                {
                    Return (\_SB.SCK0.CP05._PCT ())
                }
            }

            Method (_PSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP05._PSS))
                {
                    Return (\_SB.SCK0.CP05._PSS ())
                }
            }

            Method (_CPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP05._CPC))
                {
                    Return (\_SB.SCK0.CP05._CPC ())
                }
            }

            Method (_TPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP05._TPC))
                {
                    Return (\_SB.SCK0.CP05._TPC ())
                }
            }

            Method (_PTC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP05._PTC))
                {
                    Return (\_SB.SCK0.CP05._PTC ())
                }
            }

            Method (_TSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP05._TSS))
                {
                    Return (\_SB.SCK0.CP05._TSS ())
                }
            }
            
            Method (_CST, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP05._CST))
                {
                    Return (\_SB.SCK0.CP05._CST ())
                }
            }
        }
        
        Processor (PR06, 0x06, 0x00000510, 0x06)
        {
            Method (_HID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP06._HID)
            }

            Method (_UID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP06._UID)
            }

            Method (_PXM, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP06._PXM ())
            }

            Method (_STA, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP06._STA ())
            }

            Method (_MAT, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP06._MAT ())
            }

            Method (HWPT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP06.HWPT))
                {
                    Return (\_SB.SCK0.CP06.HWPT ())
                }
            }

            Method (ISTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP06.ISTT))
                {
                    Return (\_SB.SCK0.CP06.ISTT ())
                }
            }

            Method (TSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP06.TSTT))
                {
                    Return (\_SB.SCK0.CP06.TSTT ())
                }
            }

            Method (CSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP06.CSTT))
                {
                    Return (\_SB.SCK0.CP06.CSTT ())
                }
            }

            Method (_PDC, 1, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP06._PDC))
                {
                    Return (\_SB.SCK0.CP06._PDC (Arg0))
                }
            }

            Method (_OSC, 4, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP06._OSC))
                {
                    Return (\_SB.SCK0.CP06._OSC (Arg0, Arg1, Arg2, Arg3))
                }
            }

            Method (_PSD, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP06._PSD))
                {
                    Return (\_SB.SCK0.CP06._PSD ())
                }
            }

            Method (_PPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP06._PPC))
                {
                    Return (\_SB.SCK0.CP06._PPC ())
                }
            }

            Method (_PCT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP06._PCT))
                {
                    Return (\_SB.SCK0.CP06._PCT ())
                }
            }

            Method (_PSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP06._PSS))
                {
                    Return (\_SB.SCK0.CP06._PSS ())
                }
            }

            Method (_CPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP06._CPC))
                {
                    Return (\_SB.SCK0.CP06._CPC ())
                }
            }

            Method (_TPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP06._TPC))
                {
                    Return (\_SB.SCK0.CP06._TPC ())
                }
            }

            Method (_PTC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP06._PTC))
                {
                    Return (\_SB.SCK0.CP06._PTC ())
                }
            }

            Method (_TSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP06._TSS))
                {
                    Return (\_SB.SCK0.CP06._TSS ())
                }
            }
            
            Method (_CST, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP06._CST))
                {
                    Return (\_SB.SCK0.CP06._CST ())
                }
            }
        }
        
        Processor (PR07, 0x07, 0x00000510, 0x06)
        {
            Method (_HID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP07._HID)
            }

            Method (_UID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP07._UID)
            }

            Method (_PXM, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP07._PXM ())
            }

            Method (_STA, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP07._STA ())
            }

            Method (_MAT, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP07._MAT ())
            }

            Method (HWPT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP07.HWPT))
                {
                    Return (\_SB.SCK0.CP07.HWPT ())
                }
            }

            Method (ISTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP07.ISTT))
                {
                    Return (\_SB.SCK0.CP07.ISTT ())
                }
            }

            Method (TSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP07.TSTT))
                {
                    Return (\_SB.SCK0.CP07.TSTT ())
                }
            }

            Method (CSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP07.CSTT))
                {
                    Return (\_SB.SCK0.CP07.CSTT ())
                }
            }

            Method (_PDC, 1, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP07._PDC))
                {
                    Return (\_SB.SCK0.CP07._PDC (Arg0))
                }
            }

            Method (_OSC, 4, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP07._OSC))
                {
                    Return (\_SB.SCK0.CP07._OSC (Arg0, Arg1, Arg2, Arg3))
                }
            }

            Method (_PSD, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP07._PSD))
                {
                    Return (\_SB.SCK0.CP07._PSD ())
                }
            }

            Method (_PPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP07._PPC))
                {
                    Return (\_SB.SCK0.CP07._PPC ())
                }
            }

            Method (_PCT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP07._PCT))
                {
                    Return (\_SB.SCK0.CP07._PCT ())
                }
            }

            Method (_PSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP07._PSS))
                {
                    Return (\_SB.SCK0.CP07._PSS ())
                }
            }

            Method (_CPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP07._CPC))
                {
                    Return (\_SB.SCK0.CP07._CPC ())
                }
            }

            Method (_TPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP07._TPC))
                {
                    Return (\_SB.SCK0.CP07._TPC ())
                }
            }

            Method (_PTC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP07._PTC))
                {
                    Return (\_SB.SCK0.CP07._PTC ())
                }
            }

            Method (_TSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP07._TSS))
                {
                    Return (\_SB.SCK0.CP07._TSS ())
                }
            }
            
            Method (_CST, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP07._CST))
                {
                    Return (\_SB.SCK0.CP07._CST ())
                }
            }
        }
        
        Processor (PR08, 0x08, 0x00000510, 0x06)
        {
            Method (_HID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP08._HID)
            }

            Method (_UID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP08._UID)
            }

            Method (_PXM, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP08._PXM ())
            }

            Method (_STA, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP08._STA ())
            }

            Method (_MAT, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP08._MAT ())
            }

            Method (HWPT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP08.HWPT))
                {
                    Return (\_SB.SCK0.CP08.HWPT ())
                }
            }

            Method (ISTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP08.ISTT))
                {
                    Return (\_SB.SCK0.CP08.ISTT ())
                }
            }

            Method (TSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP08.TSTT))
                {
                    Return (\_SB.SCK0.CP08.TSTT ())
                }
            }

            Method (CSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP08.CSTT))
                {
                    Return (\_SB.SCK0.CP08.CSTT ())
                }
            }

            Method (_PDC, 1, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP08._PDC))
                {
                    Return (\_SB.SCK0.CP08._PDC (Arg0))
                }
            }

            Method (_OSC, 4, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP08._OSC))
                {
                    Return (\_SB.SCK0.CP08._OSC (Arg0, Arg1, Arg2, Arg3))
                }
            }

            Method (_PSD, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP08._PSD))
                {
                    Return (\_SB.SCK0.CP08._PSD ())
                }
            }

            Method (_PPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP08._PPC))
                {
                    Return (\_SB.SCK0.CP08._PPC ())
                }
            }

            Method (_PCT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP08._PCT))
                {
                    Return (\_SB.SCK0.CP08._PCT ())
                }
            }

            Method (_PSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP08._PSS))
                {
                    Return (\_SB.SCK0.CP08._PSS ())
                }
            }

            Method (_CPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP08._CPC))
                {
                    Return (\_SB.SCK0.CP08._CPC ())
                }
            }

            Method (_TPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP08._TPC))
                {
                    Return (\_SB.SCK0.CP08._TPC ())
                }
            }

            Method (_PTC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP08._PTC))
                {
                    Return (\_SB.SCK0.CP08._PTC ())
                }
            }

            Method (_TSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP08._TSS))
                {
                    Return (\_SB.SCK0.CP08._TSS ())
                }
            }
            
            Method (_CST, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP08._CST))
                {
                    Return (\_SB.SCK0.CP08._CST ())
                }
            }
        }
    
        Processor (PR09, 0x09, 0x00000510, 0x06)
        {
            Method (_HID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP09._HID)
            }

            Method (_UID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP09._UID)
            }

            Method (_PXM, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP09._PXM ())
            }

            Method (_STA, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP09._STA ())
            }

            Method (_MAT, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP09._MAT ())
            }

            Method (HWPT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP09.HWPT))
                {
                    Return (\_SB.SCK0.CP09.HWPT ())
                }
            }

            Method (ISTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP09.ISTT))
                {
                    Return (\_SB.SCK0.CP09.ISTT ())
                }
            }

            Method (TSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP09.TSTT))
                {
                    Return (\_SB.SCK0.CP09.TSTT ())
                }
            }

            Method (CSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP09.CSTT))
                {
                    Return (\_SB.SCK0.CP09.CSTT ())
                }
            }

            Method (_PDC, 1, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP09._PDC))
                {
                    Return (\_SB.SCK0.CP09._PDC (Arg0))
                }
            }

            Method (_OSC, 4, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP09._OSC))
                {
                    Return (\_SB.SCK0.CP09._OSC (Arg0, Arg1, Arg2, Arg3))
                }
            }

            Method (_PSD, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP09._PSD))
                {
                    Return (\_SB.SCK0.CP09._PSD ())
                }
            }

            Method (_PPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP09._PPC))
                {
                    Return (\_SB.SCK0.CP09._PPC ())
                }
            }

            Method (_PCT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP09._PCT))
                {
                    Return (\_SB.SCK0.CP09._PCT ())
                }
            }

            Method (_PSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP09._PSS))
                {
                    Return (\_SB.SCK0.CP09._PSS ())
                }
            }

            Method (_CPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP09._CPC))
                {
                    Return (\_SB.SCK0.CP09._CPC ())
                }
            }

            Method (_TPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP09._TPC))
                {
                    Return (\_SB.SCK0.CP09._TPC ())
                }
            }

            Method (_PTC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP09._PTC))
                {
                    Return (\_SB.SCK0.CP09._PTC ())
                }
            }

            Method (_TSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP09._TSS))
                {
                    Return (\_SB.SCK0.CP09._TSS ())
                }
            }
            
            Method (_CST, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP09._CST))
                {
                    Return (\_SB.SCK0.CP09._CST ())
                }
            }
        }
        
        Processor (PR10, 0x0A, 0x00000510, 0x06)
        {
            Method (_HID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP0A._HID)
            }

            Method (_UID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP0A._UID)
            }

            Method (_PXM, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP0A._PXM ())
            }

            Method (_STA, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP0A._STA ())
            }

            Method (_MAT, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP0A._MAT ())
            }

            Method (HWPT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0A.HWPT))
                {
                    Return (\_SB.SCK0.CP0A.HWPT ())
                }
            }

            Method (ISTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0A.ISTT))
                {
                    Return (\_SB.SCK0.CP0A.ISTT ())
                }
            }

            Method (TSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0A.TSTT))
                {
                    Return (\_SB.SCK0.CP0A.TSTT ())
                }
            }

            Method (CSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0A.CSTT))
                {
                    Return (\_SB.SCK0.CP0A.CSTT ())
                }
            }

            Method (_PDC, 1, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0A._PDC))
                {
                    Return (\_SB.SCK0.CP0A._PDC (Arg0))
                }
            }

            Method (_OSC, 4, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0A._OSC))
                {
                    Return (\_SB.SCK0.CP0A._OSC (Arg0, Arg1, Arg2, Arg3))
                }
            }

            Method (_PSD, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0A._PSD))
                {
                    Return (\_SB.SCK0.CP0A._PSD ())
                }
            }

            Method (_PPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0A._PPC))
                {
                    Return (\_SB.SCK0.CP0A._PPC ())
                }
            }

            Method (_PCT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0A._PCT))
                {
                    Return (\_SB.SCK0.CP0A._PCT ())
                }
            }

            Method (_PSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0A._PSS))
                {
                    Return (\_SB.SCK0.CP0A._PSS ())
                }
            }

            Method (_CPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0A._CPC))
                {
                    Return (\_SB.SCK0.CP0A._CPC ())
                }
            }

            Method (_TPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0A._TPC))
                {
                    Return (\_SB.SCK0.CP0A._TPC ())
                }
            }

            Method (_PTC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0A._PTC))
                {
                    Return (\_SB.SCK0.CP0A._PTC ())
                }
            }

            Method (_TSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0A._TSS))
                {
                    Return (\_SB.SCK0.CP0A._TSS ())
                }
            }
            
            Method (_CST, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0A._CST))
                {
                    Return (\_SB.SCK0.CP0A._CST ())
                }
            }
        }
        
        Processor (PR11, 0x0B, 0x00000510, 0x06)
        {
            Method (_HID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP0B._HID)
            }

            Method (_UID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP0B._UID)
            }

            Method (_PXM, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP0B._PXM ())
            }

            Method (_STA, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP0B._STA ())
            }

            Method (_MAT, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP0B._MAT ())
            }

            Method (HWPT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0B.HWPT))
                {
                    Return (\_SB.SCK0.CP0B.HWPT ())
                }
            }

            Method (ISTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0B.ISTT))
                {
                    Return (\_SB.SCK0.CP0B.ISTT ())
                }
            }

            Method (TSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0B.TSTT))
                {
                    Return (\_SB.SCK0.CP0B.TSTT ())
                }
            }

            Method (CSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0B.CSTT))
                {
                    Return (\_SB.SCK0.CP0B.CSTT ())
                }
            }

            Method (_PDC, 1, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0B._PDC))
                {
                    Return (\_SB.SCK0.CP0B._PDC (Arg0))
                }
            }

            Method (_OSC, 4, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0B._OSC))
                {
                    Return (\_SB.SCK0.CP0B._OSC (Arg0, Arg1, Arg2, Arg3))
                }
            }

            Method (_PSD, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0B._PSD))
                {
                    Return (\_SB.SCK0.CP0B._PSD ())
                }
            }

            Method (_PPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0B._PPC))
                {
                    Return (\_SB.SCK0.CP0B._PPC ())
                }
            }

            Method (_PCT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0B._PCT))
                {
                    Return (\_SB.SCK0.CP0B._PCT ())
                }
            }

            Method (_PSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0B._PSS))
                {
                    Return (\_SB.SCK0.CP0B._PSS ())
                }
            }

            Method (_CPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0B._CPC))
                {
                    Return (\_SB.SCK0.CP0B._CPC ())
                }
            }

            Method (_TPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0B._TPC))
                {
                    Return (\_SB.SCK0.CP0B._TPC ())
                }
            }

            Method (_PTC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0B._PTC))
                {
                    Return (\_SB.SCK0.CP0B._PTC ())
                }
            }

            Method (_TSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0B._TSS))
                {
                    Return (\_SB.SCK0.CP0B._TSS ())
                }
            }
            
            Method (_CST, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0B._CST))
                {
                    Return (\_SB.SCK0.CP0B._CST ())
                }
            }
        }
        
        Processor (PR12, 0x0C, 0x00000510, 0x06)
        {
            Method (_HID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP0C._HID)
            }

            Method (_UID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP0C._UID)
            }

            Method (_PXM, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP0C._PXM ())
            }

            Method (_STA, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP0C._STA ())
            }

            Method (_MAT, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP0C._MAT ())
            }

            Method (HWPT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0C.HWPT))
                {
                    Return (\_SB.SCK0.CP0C.HWPT ())
                }
            }

            Method (ISTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0C.ISTT))
                {
                    Return (\_SB.SCK0.CP0C.ISTT ())
                }
            }

            Method (TSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0C.TSTT))
                {
                    Return (\_SB.SCK0.CP0C.TSTT ())
                }
            }

            Method (CSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0C.CSTT))
                {
                    Return (\_SB.SCK0.CP0C.CSTT ())
                }
            }

            Method (_PDC, 1, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0C._PDC))
                {
                    Return (\_SB.SCK0.CP0C._PDC (Arg0))
                }
            }

            Method (_OSC, 4, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0C._OSC))
                {
                    Return (\_SB.SCK0.CP0C._OSC (Arg0, Arg1, Arg2, Arg3))
                }
            }

            Method (_PSD, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0C._PSD))
                {
                    Return (\_SB.SCK0.CP0C._PSD ())
                }
            }

            Method (_PPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0C._PPC))
                {
                    Return (\_SB.SCK0.CP0C._PPC ())
                }
            }

            Method (_PCT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0C._PCT))
                {
                    Return (\_SB.SCK0.CP0C._PCT ())
                }
            }

            Method (_PSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0C._PSS))
                {
                    Return (\_SB.SCK0.CP0C._PSS ())
                }
            }

            Method (_CPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0C._CPC))
                {
                    Return (\_SB.SCK0.CP0C._CPC ())
                }
            }

            Method (_TPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0C._TPC))
                {
                    Return (\_SB.SCK0.CP0C._TPC ())
                }
            }

            Method (_PTC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0C._PTC))
                {
                    Return (\_SB.SCK0.CP0C._PTC ())
                }
            }

            Method (_TSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0C._TSS))
                {
                    Return (\_SB.SCK0.CP0C._TSS ())
                }
            }
            
            Method (_CST, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0C._CST))
                {
                    Return (\_SB.SCK0.CP0C._CST ())
                }
            }
        }
        
        Processor (PR13, 0x0D, 0x00000510, 0x06)
        {
            Method (_HID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP0D._HID)
            }

            Method (_UID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP0D._UID)
            }

            Method (_PXM, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP0D._PXM ())
            }

            Method (_STA, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP0D._STA ())
            }

            Method (_MAT, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP0D._MAT ())
            }

            Method (HWPT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0D.HWPT))
                {
                    Return (\_SB.SCK0.CP0D.HWPT ())
                }
            }

            Method (ISTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0D.ISTT))
                {
                    Return (\_SB.SCK0.CP0D.ISTT ())
                }
            }

            Method (TSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0D.TSTT))
                {
                    Return (\_SB.SCK0.CP0D.TSTT ())
                }
            }

            Method (CSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0D.CSTT))
                {
                    Return (\_SB.SCK0.CP0D.CSTT ())
                }
            }

            Method (_PDC, 1, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0D._PDC))
                {
                    Return (\_SB.SCK0.CP0D._PDC (Arg0))
                }
            }

            Method (_OSC, 4, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0D._OSC))
                {
                    Return (\_SB.SCK0.CP0D._OSC (Arg0, Arg1, Arg2, Arg3))
                }
            }

            Method (_PSD, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0D._PSD))
                {
                    Return (\_SB.SCK0.CP0D._PSD ())
                }
            }

            Method (_PPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0D._PPC))
                {
                    Return (\_SB.SCK0.CP0D._PPC ())
                }
            }

            Method (_PCT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0D._PCT))
                {
                    Return (\_SB.SCK0.CP0D._PCT ())
                }
            }

            Method (_PSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0D._PSS))
                {
                    Return (\_SB.SCK0.CP0D._PSS ())
                }
            }

            Method (_CPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0D._CPC))
                {
                    Return (\_SB.SCK0.CP0D._CPC ())
                }
            }

            Method (_TPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0D._TPC))
                {
                    Return (\_SB.SCK0.CP0D._TPC ())
                }
            }

            Method (_PTC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0D._PTC))
                {
                    Return (\_SB.SCK0.CP0D._PTC ())
                }
            }

            Method (_TSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0D._TSS))
                {
                    Return (\_SB.SCK0.CP0D._TSS ())
                }
            }
            
            Method (_CST, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0D._CST))
                {
                    Return (\_SB.SCK0.CP0D._CST ())
                }
            }
        }
        
        Processor (PR14, 0x0E, 0x00000510, 0x06)
        {
            Method (_HID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP0E._HID)
            }

            Method (_UID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP0E._UID)
            }

            Method (_PXM, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP0E._PXM ())
            }

            Method (_STA, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP0E._STA ())
            }

            Method (_MAT, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP0E._MAT ())
            }

            Method (HWPT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0E.HWPT))
                {
                    Return (\_SB.SCK0.CP0E.HWPT ())
                }
            }

            Method (ISTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0E.ISTT))
                {
                    Return (\_SB.SCK0.CP0E.ISTT ())
                }
            }

            Method (TSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0E.TSTT))
                {
                    Return (\_SB.SCK0.CP0E.TSTT ())
                }
            }

            Method (CSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0E.CSTT))
                {
                    Return (\_SB.SCK0.CP0E.CSTT ())
                }
            }

            Method (_PDC, 1, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0E._PDC))
                {
                    Return (\_SB.SCK0.CP0E._PDC (Arg0))
                }
            }

            Method (_OSC, 4, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0E._OSC))
                {
                    Return (\_SB.SCK0.CP0E._OSC (Arg0, Arg1, Arg2, Arg3))
                }
            }

            Method (_PSD, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0E._PSD))
                {
                    Return (\_SB.SCK0.CP0E._PSD ())
                }
            }

            Method (_PPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0E._PPC))
                {
                    Return (\_SB.SCK0.CP0E._PPC ())
                }
            }

            Method (_PCT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0E._PCT))
                {
                    Return (\_SB.SCK0.CP0E._PCT ())
                }
            }

            Method (_PSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0E._PSS))
                {
                    Return (\_SB.SCK0.CP0E._PSS ())
                }
            }

            Method (_CPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0E._CPC))
                {
                    Return (\_SB.SCK0.CP0E._CPC ())
                }
            }

            Method (_TPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0E._TPC))
                {
                    Return (\_SB.SCK0.CP0E._TPC ())
                }
            }

            Method (_PTC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0E._PTC))
                {
                    Return (\_SB.SCK0.CP0E._PTC ())
                }
            }

            Method (_TSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0E._TSS))
                {
                    Return (\_SB.SCK0.CP0E._TSS ())
                }
            }
            
            Method (_CST, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0E._CST))
                {
                    Return (\_SB.SCK0.CP0E._CST ())
                }
            }
        }
        
        Processor (PR15, 0x0F, 0x00000510, 0x06)
        {
            Method (_HID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP0F._HID)
            }

            Method (_UID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP0F._UID)
            }

            Method (_PXM, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP0F._PXM ())
            }

            Method (_STA, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP0F._STA ())
            }

            Method (_MAT, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP0F._MAT ())
            }

            Method (HWPT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0F.HWPT))
                {
                    Return (\_SB.SCK0.CP0F.HWPT ())
                }
            }

            Method (ISTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0F.ISTT))
                {
                    Return (\_SB.SCK0.CP0F.ISTT ())
                }
            }

            Method (TSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0F.TSTT))
                {
                    Return (\_SB.SCK0.CP0F.TSTT ())
                }
            }

            Method (CSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0F.CSTT))
                {
                    Return (\_SB.SCK0.CP0F.CSTT ())
                }
            }

            Method (_PDC, 1, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0F._PDC))
                {
                    Return (\_SB.SCK0.CP0F._PDC (Arg0))
                }
            }

            Method (_OSC, 4, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0F._OSC))
                {
                    Return (\_SB.SCK0.CP0F._OSC (Arg0, Arg1, Arg2, Arg3))
                }
            }

            Method (_PSD, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0F._PSD))
                {
                    Return (\_SB.SCK0.CP0F._PSD ())
                }
            }

            Method (_PPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0F._PPC))
                {
                    Return (\_SB.SCK0.CP0F._PPC ())
                }
            }

            Method (_PCT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0F._PCT))
                {
                    Return (\_SB.SCK0.CP0F._PCT ())
                }
            }

            Method (_PSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0F._PSS))
                {
                    Return (\_SB.SCK0.CP0F._PSS ())
                }
            }

            Method (_CPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0F._CPC))
                {
                    Return (\_SB.SCK0.CP0F._CPC ())
                }
            }

            Method (_TPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0F._TPC))
                {
                    Return (\_SB.SCK0.CP0F._TPC ())
                }
            }

            Method (_PTC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0F._PTC))
                {
                    Return (\_SB.SCK0.CP0F._PTC ())
                }
            }

            Method (_TSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0F._TSS))
                {
                    Return (\_SB.SCK0.CP0F._TSS ())
                }
            }
            
            Method (_CST, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP0F._CST))
                {
                    Return (\_SB.SCK0.CP0F._CST ())
                }
            }
        }

        Processor (PR16, 0x10, 0x00000510, 0x06)
        {
            Method (_HID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP10._HID)
            }

            Method (_UID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP10._UID)
            }

            Method (_PXM, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP10._PXM ())
            }

            Method (_STA, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP10._STA ())
            }

            Method (_MAT, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP10._MAT ())
            }

            Method (HWPT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP10.HWPT))
                {
                    Return (\_SB.SCK0.CP10.HWPT ())
                }
            }

            Method (ISTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP10.ISTT))
                {
                    Return (\_SB.SCK0.CP10.ISTT ())
                }
            }

            Method (TSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP10.TSTT))
                {
                    Return (\_SB.SCK0.CP10.TSTT ())
                }
            }

            Method (CSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP10.CSTT))
                {
                    Return (\_SB.SCK0.CP10.CSTT ())
                }
            }

            Method (_PDC, 1, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP10._PDC))
                {
                    Return (\_SB.SCK0.CP10._PDC (Arg0))
                }
            }

            Method (_OSC, 4, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP10._OSC))
                {
                    Return (\_SB.SCK0.CP10._OSC (Arg0, Arg1, Arg2, Arg3))
                }
            }

            Method (_PSD, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP10._PSD))
                {
                    Return (\_SB.SCK0.CP10._PSD ())
                }
            }

            Method (_PPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP10._PPC))
                {
                    Return (\_SB.SCK0.CP10._PPC ())
                }
            }

            Method (_PCT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP10._PCT))
                {
                    Return (\_SB.SCK0.CP10._PCT ())
                }
            }

            Method (_PSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP10._PSS))
                {
                    Return (\_SB.SCK0.CP10._PSS ())
                }
            }

            Method (_CPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP10._CPC))
                {
                    Return (\_SB.SCK0.CP10._CPC ())
                }
            }

            Method (_TPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP10._TPC))
                {
                    Return (\_SB.SCK0.CP10._TPC ())
                }
            }

            Method (_PTC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP10._PTC))
                {
                    Return (\_SB.SCK0.CP10._PTC ())
                }
            }

            Method (_TSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP10._TSS))
                {
                    Return (\_SB.SCK0.CP10._TSS ())
                }
            }
            
            Method (_CST, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP10._CST))
                {
                    Return (\_SB.SCK0.CP10._CST ())
                }
            }
        }
    
        Processor (PR17, 0x11, 0x00000510, 0x06)
        {
            Method (_HID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP11._HID)
            }

            Method (_UID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP11._UID)
            }

            Method (_PXM, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP11._PXM ())
            }

            Method (_STA, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP11._STA ())
            }

            Method (_MAT, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP11._MAT ())
            }

            Method (HWPT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP11.HWPT))
                {
                    Return (\_SB.SCK0.CP11.HWPT ())
                }
            }

            Method (ISTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP11.ISTT))
                {
                    Return (\_SB.SCK0.CP11.ISTT ())
                }
            }

            Method (TSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP11.TSTT))
                {
                    Return (\_SB.SCK0.CP11.TSTT ())
                }
            }

            Method (CSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP11.CSTT))
                {
                    Return (\_SB.SCK0.CP11.CSTT ())
                }
            }

            Method (_PDC, 1, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP11._PDC))
                {
                    Return (\_SB.SCK0.CP11._PDC (Arg0))
                }
            }

            Method (_OSC, 4, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP11._OSC))
                {
                    Return (\_SB.SCK0.CP11._OSC (Arg0, Arg1, Arg2, Arg3))
                }
            }

            Method (_PSD, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP11._PSD))
                {
                    Return (\_SB.SCK0.CP11._PSD ())
                }
            }

            Method (_PPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP11._PPC))
                {
                    Return (\_SB.SCK0.CP11._PPC ())
                }
            }

            Method (_PCT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP11._PCT))
                {
                    Return (\_SB.SCK0.CP11._PCT ())
                }
            }

            Method (_PSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP11._PSS))
                {
                    Return (\_SB.SCK0.CP11._PSS ())
                }
            }

            Method (_CPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP11._CPC))
                {
                    Return (\_SB.SCK0.CP11._CPC ())
                }
            }

            Method (_TPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP11._TPC))
                {
                    Return (\_SB.SCK0.CP11._TPC ())
                }
            }

            Method (_PTC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP11._PTC))
                {
                    Return (\_SB.SCK0.CP11._PTC ())
                }
            }

            Method (_TSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP11._TSS))
                {
                    Return (\_SB.SCK0.CP11._TSS ())
                }
            }
            
            Method (_CST, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP11._CST))
                {
                    Return (\_SB.SCK0.CP11._CST ())
                }
            }
        }
        
        Processor (PR18, 0x12, 0x00000510, 0x06)
        {
            Method (_HID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP12._HID)
            }

            Method (_UID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP12._UID)
            }

            Method (_PXM, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP12._PXM ())
            }

            Method (_STA, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP12._STA ())
            }

            Method (_MAT, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP12._MAT ())
            }

            Method (HWPT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP12.HWPT))
                {
                    Return (\_SB.SCK0.CP12.HWPT ())
                }
            }

            Method (ISTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP12.ISTT))
                {
                    Return (\_SB.SCK0.CP12.ISTT ())
                }
            }

            Method (TSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP12.TSTT))
                {
                    Return (\_SB.SCK0.CP12.TSTT ())
                }
            }

            Method (CSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP12.CSTT))
                {
                    Return (\_SB.SCK0.CP12.CSTT ())
                }
            }

            Method (_PDC, 1, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP12._PDC))
                {
                    Return (\_SB.SCK0.CP12._PDC (Arg0))
                }
            }

            Method (_OSC, 4, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP12._OSC))
                {
                    Return (\_SB.SCK0.CP12._OSC (Arg0, Arg1, Arg2, Arg3))
                }
            }

            Method (_PSD, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP12._PSD))
                {
                    Return (\_SB.SCK0.CP12._PSD ())
                }
            }

            Method (_PPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP12._PPC))
                {
                    Return (\_SB.SCK0.CP12._PPC ())
                }
            }

            Method (_PCT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP12._PCT))
                {
                    Return (\_SB.SCK0.CP12._PCT ())
                }
            }

            Method (_PSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP12._PSS))
                {
                    Return (\_SB.SCK0.CP12._PSS ())
                }
            }

            Method (_CPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP12._CPC))
                {
                    Return (\_SB.SCK0.CP12._CPC ())
                }
            }

            Method (_TPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP12._TPC))
                {
                    Return (\_SB.SCK0.CP12._TPC ())
                }
            }

            Method (_PTC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP12._PTC))
                {
                    Return (\_SB.SCK0.CP12._PTC ())
                }
            }

            Method (_TSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP12._TSS))
                {
                    Return (\_SB.SCK0.CP12._TSS ())
                }
            }
            
            Method (_CST, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP12._CST))
                {
                    Return (\_SB.SCK0.CP12._CST ())
                }
            }
        }
        
        Processor (PR19, 0x13, 0x00000510, 0x06)
        {
            Method (_HID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP13._HID)
            }

            Method (_UID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP13._UID)
            }

            Method (_PXM, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP13._PXM ())
            }

            Method (_STA, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP13._STA ())
            }

            Method (_MAT, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP13._MAT ())
            }

            Method (HWPT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP13.HWPT))
                {
                    Return (\_SB.SCK0.CP13.HWPT ())
                }
            }

            Method (ISTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP13.ISTT))
                {
                    Return (\_SB.SCK0.CP13.ISTT ())
                }
            }

            Method (TSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP13.TSTT))
                {
                    Return (\_SB.SCK0.CP13.TSTT ())
                }
            }

            Method (CSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP13.CSTT))
                {
                    Return (\_SB.SCK0.CP13.CSTT ())
                }
            }

            Method (_PDC, 1, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP13._PDC))
                {
                    Return (\_SB.SCK0.CP13._PDC (Arg0))
                }
            }

            Method (_OSC, 4, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP13._OSC))
                {
                    Return (\_SB.SCK0.CP13._OSC (Arg0, Arg1, Arg2, Arg3))
                }
            }

            Method (_PSD, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP13._PSD))
                {
                    Return (\_SB.SCK0.CP13._PSD ())
                }
            }

            Method (_PPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP13._PPC))
                {
                    Return (\_SB.SCK0.CP13._PPC ())
                }
            }

            Method (_PCT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP13._PCT))
                {
                    Return (\_SB.SCK0.CP13._PCT ())
                }
            }

            Method (_PSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP13._PSS))
                {
                    Return (\_SB.SCK0.CP13._PSS ())
                }
            }

            Method (_CPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP13._CPC))
                {
                    Return (\_SB.SCK0.CP13._CPC ())
                }
            }

            Method (_TPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP13._TPC))
                {
                    Return (\_SB.SCK0.CP13._TPC ())
                }
            }

            Method (_PTC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP13._PTC))
                {
                    Return (\_SB.SCK0.CP13._PTC ())
                }
            }

            Method (_TSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP13._TSS))
                {
                    Return (\_SB.SCK0.CP13._TSS ())
                }
            }
            
            Method (_CST, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP13._CST))
                {
                    Return (\_SB.SCK0.CP13._CST ())
                }
            }
        }
        
        Processor (PR20, 0x14, 0x00000510, 0x06)
        {
            Method (_HID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP14._HID)
            }

            Method (_UID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP14._UID)
            }

            Method (_PXM, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP14._PXM ())
            }

            Method (_STA, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP14._STA ())
            }

            Method (_MAT, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP14._MAT ())
            }

            Method (HWPT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP14.HWPT))
                {
                    Return (\_SB.SCK0.CP14.HWPT ())
                }
            }

            Method (ISTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP14.ISTT))
                {
                    Return (\_SB.SCK0.CP14.ISTT ())
                }
            }

            Method (TSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP14.TSTT))
                {
                    Return (\_SB.SCK0.CP14.TSTT ())
                }
            }

            Method (CSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP14.CSTT))
                {
                    Return (\_SB.SCK0.CP14.CSTT ())
                }
            }

            Method (_PDC, 1, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP14._PDC))
                {
                    Return (\_SB.SCK0.CP14._PDC (Arg0))
                }
            }

            Method (_OSC, 4, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP14._OSC))
                {
                    Return (\_SB.SCK0.CP14._OSC (Arg0, Arg1, Arg2, Arg3))
                }
            }

            Method (_PSD, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP14._PSD))
                {
                    Return (\_SB.SCK0.CP14._PSD ())
                }
            }

            Method (_PPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP14._PPC))
                {
                    Return (\_SB.SCK0.CP14._PPC ())
                }
            }

            Method (_PCT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP14._PCT))
                {
                    Return (\_SB.SCK0.CP14._PCT ())
                }
            }

            Method (_PSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP14._PSS))
                {
                    Return (\_SB.SCK0.CP14._PSS ())
                }
            }

            Method (_CPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP14._CPC))
                {
                    Return (\_SB.SCK0.CP14._CPC ())
                }
            }

            Method (_TPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP14._TPC))
                {
                    Return (\_SB.SCK0.CP14._TPC ())
                }
            }

            Method (_PTC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP14._PTC))
                {
                    Return (\_SB.SCK0.CP14._PTC ())
                }
            }

            Method (_TSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP14._TSS))
                {
                    Return (\_SB.SCK0.CP14._TSS ())
                }
            }
            
            Method (_CST, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP14._CST))
                {
                    Return (\_SB.SCK0.CP14._CST ())
                }
            }
        }
        
        Processor (PR21, 0x15, 0x00000510, 0x06)
        {
            Method (_HID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP15._HID)
            }

            Method (_UID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP15._UID)
            }

            Method (_PXM, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP15._PXM ())
            }

            Method (_STA, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP15._STA ())
            }

            Method (_MAT, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP15._MAT ())
            }

            Method (HWPT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP15.HWPT))
                {
                    Return (\_SB.SCK0.CP15.HWPT ())
                }
            }

            Method (ISTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP15.ISTT))
                {
                    Return (\_SB.SCK0.CP15.ISTT ())
                }
            }

            Method (TSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP15.TSTT))
                {
                    Return (\_SB.SCK0.CP15.TSTT ())
                }
            }

            Method (CSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP15.CSTT))
                {
                    Return (\_SB.SCK0.CP15.CSTT ())
                }
            }

            Method (_PDC, 1, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP15._PDC))
                {
                    Return (\_SB.SCK0.CP15._PDC (Arg0))
                }
            }

            Method (_OSC, 4, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP15._OSC))
                {
                    Return (\_SB.SCK0.CP15._OSC (Arg0, Arg1, Arg2, Arg3))
                }
            }

            Method (_PSD, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP15._PSD))
                {
                    Return (\_SB.SCK0.CP15._PSD ())
                }
            }

            Method (_PPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP15._PPC))
                {
                    Return (\_SB.SCK0.CP15._PPC ())
                }
            }

            Method (_PCT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP15._PCT))
                {
                    Return (\_SB.SCK0.CP15._PCT ())
                }
            }

            Method (_PSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP15._PSS))
                {
                    Return (\_SB.SCK0.CP15._PSS ())
                }
            }

            Method (_CPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP15._CPC))
                {
                    Return (\_SB.SCK0.CP15._CPC ())
                }
            }

            Method (_TPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP15._TPC))
                {
                    Return (\_SB.SCK0.CP15._TPC ())
                }
            }

            Method (_PTC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP15._PTC))
                {
                    Return (\_SB.SCK0.CP15._PTC ())
                }
            }

            Method (_TSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP15._TSS))
                {
                    Return (\_SB.SCK0.CP15._TSS ())
                }
            }
            
            Method (_CST, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP15._CST))
                {
                    Return (\_SB.SCK0.CP15._CST ())
                }
            }
        }
        
        Processor (PR22, 0x16, 0x00000510, 0x06)
        {
            Method (_HID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP16._HID)
            }

            Method (_UID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP16._UID)
            }

            Method (_PXM, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP16._PXM ())
            }

            Method (_STA, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP16._STA ())
            }

            Method (_MAT, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP16._MAT ())
            }

            Method (HWPT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP16.HWPT))
                {
                    Return (\_SB.SCK0.CP16.HWPT ())
                }
            }

            Method (ISTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP16.ISTT))
                {
                    Return (\_SB.SCK0.CP16.ISTT ())
                }
            }

            Method (TSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP16.TSTT))
                {
                    Return (\_SB.SCK0.CP16.TSTT ())
                }
            }

            Method (CSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP16.CSTT))
                {
                    Return (\_SB.SCK0.CP16.CSTT ())
                }
            }

            Method (_PDC, 1, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP16._PDC))
                {
                    Return (\_SB.SCK0.CP16._PDC (Arg0))
                }
            }

            Method (_OSC, 4, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP16._OSC))
                {
                    Return (\_SB.SCK0.CP16._OSC (Arg0, Arg1, Arg2, Arg3))
                }
            }

            Method (_PSD, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP16._PSD))
                {
                    Return (\_SB.SCK0.CP16._PSD ())
                }
            }

            Method (_PPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP16._PPC))
                {
                    Return (\_SB.SCK0.CP16._PPC ())
                }
            }

            Method (_PCT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP16._PCT))
                {
                    Return (\_SB.SCK0.CP16._PCT ())
                }
            }

            Method (_PSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP16._PSS))
                {
                    Return (\_SB.SCK0.CP16._PSS ())
                }
            }

            Method (_CPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP16._CPC))
                {
                    Return (\_SB.SCK0.CP16._CPC ())
                }
            }

            Method (_TPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP16._TPC))
                {
                    Return (\_SB.SCK0.CP16._TPC ())
                }
            }

            Method (_PTC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP16._PTC))
                {
                    Return (\_SB.SCK0.CP16._PTC ())
                }
            }

            Method (_TSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP16._TSS))
                {
                    Return (\_SB.SCK0.CP16._TSS ())
                }
            }
            
            Method (_CST, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP16._CST))
                {
                    Return (\_SB.SCK0.CP16._CST ())
                }
            }
        }
        
        Processor (PR23, 0x17, 0x00000510, 0x06)
        {
            Method (_HID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP17._HID)
            }

            Method (_UID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP17._UID)
            }

            Method (_PXM, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP17._PXM ())
            }

            Method (_STA, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP17._STA ())
            }

            Method (_MAT, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP17._MAT ())
            }

            Method (HWPT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP17.HWPT))
                {
                    Return (\_SB.SCK0.CP17.HWPT ())
                }
            }

            Method (ISTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP17.ISTT))
                {
                    Return (\_SB.SCK0.CP17.ISTT ())
                }
            }

            Method (TSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP17.TSTT))
                {
                    Return (\_SB.SCK0.CP17.TSTT ())
                }
            }

            Method (CSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP17.CSTT))
                {
                    Return (\_SB.SCK0.CP17.CSTT ())
                }
            }

            Method (_PDC, 1, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP17._PDC))
                {
                    Return (\_SB.SCK0.CP17._PDC (Arg0))
                }
            }

            Method (_OSC, 4, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP17._OSC))
                {
                    Return (\_SB.SCK0.CP17._OSC (Arg0, Arg1, Arg2, Arg3))
                }
            }

            Method (_PSD, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP17._PSD))
                {
                    Return (\_SB.SCK0.CP17._PSD ())
                }
            }

            Method (_PPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP17._PPC))
                {
                    Return (\_SB.SCK0.CP17._PPC ())
                }
            }

            Method (_PCT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP17._PCT))
                {
                    Return (\_SB.SCK0.CP17._PCT ())
                }
            }

            Method (_PSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP17._PSS))
                {
                    Return (\_SB.SCK0.CP17._PSS ())
                }
            }

            Method (_CPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP17._CPC))
                {
                    Return (\_SB.SCK0.CP17._CPC ())
                }
            }

            Method (_TPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP17._TPC))
                {
                    Return (\_SB.SCK0.CP17._TPC ())
                }
            }

            Method (_PTC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP17._PTC))
                {
                    Return (\_SB.SCK0.CP17._PTC ())
                }
            }

            Method (_TSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP17._TSS))
                {
                    Return (\_SB.SCK0.CP17._TSS ())
                }
            }
            
            Method (_CST, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP17._CST))
                {
                    Return (\_SB.SCK0.CP17._CST ())
                }
            }
        }
        
        Processor (PR24, 0x18, 0x00000510, 0x06)
        {
            Method (_HID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP18._HID)
            }

            Method (_UID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP18._UID)
            }

            Method (_PXM, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP18._PXM ())
            }

            Method (_STA, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP18._STA ())
            }

            Method (_MAT, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP18._MAT ())
            }

            Method (HWPT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP18.HWPT))
                {
                    Return (\_SB.SCK0.CP18.HWPT ())
                }
            }

            Method (ISTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP18.ISTT))
                {
                    Return (\_SB.SCK0.CP18.ISTT ())
                }
            }

            Method (TSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP18.TSTT))
                {
                    Return (\_SB.SCK0.CP18.TSTT ())
                }
            }

            Method (CSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP18.CSTT))
                {
                    Return (\_SB.SCK0.CP18.CSTT ())
                }
            }

            Method (_PDC, 1, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP18._PDC))
                {
                    Return (\_SB.SCK0.CP18._PDC (Arg0))
                }
            }

            Method (_OSC, 4, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP18._OSC))
                {
                    Return (\_SB.SCK0.CP18._OSC (Arg0, Arg1, Arg2, Arg3))
                }
            }

            Method (_PSD, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP18._PSD))
                {
                    Return (\_SB.SCK0.CP18._PSD ())
                }
            }

            Method (_PPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP18._PPC))
                {
                    Return (\_SB.SCK0.CP18._PPC ())
                }
            }

            Method (_PCT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP18._PCT))
                {
                    Return (\_SB.SCK0.CP18._PCT ())
                }
            }

            Method (_PSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP18._PSS))
                {
                    Return (\_SB.SCK0.CP18._PSS ())
                }
            }

            Method (_CPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP18._CPC))
                {
                    Return (\_SB.SCK0.CP18._CPC ())
                }
            }

            Method (_TPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP18._TPC))
                {
                    Return (\_SB.SCK0.CP18._TPC ())
                }
            }

            Method (_PTC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP18._PTC))
                {
                    Return (\_SB.SCK0.CP18._PTC ())
                }
            }

            Method (_TSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP18._TSS))
                {
                    Return (\_SB.SCK0.CP18._TSS ())
                }
            }
            
            Method (_CST, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP18._CST))
                {
                    Return (\_SB.SCK0.CP18._CST ())
                }
            }
        }
    
        Processor (PR25, 0x19, 0x00000510, 0x06)
        {
            Method (_HID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP19._HID)
            }

            Method (_UID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP19._UID)
            }

            Method (_PXM, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP19._PXM ())
            }

            Method (_STA, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP19._STA ())
            }

            Method (_MAT, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP19._MAT ())
            }

            Method (HWPT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP19.HWPT))
                {
                    Return (\_SB.SCK0.CP19.HWPT ())
                }
            }

            Method (ISTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP19.ISTT))
                {
                    Return (\_SB.SCK0.CP19.ISTT ())
                }
            }

            Method (TSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP19.TSTT))
                {
                    Return (\_SB.SCK0.CP19.TSTT ())
                }
            }

            Method (CSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP19.CSTT))
                {
                    Return (\_SB.SCK0.CP19.CSTT ())
                }
            }

            Method (_PDC, 1, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP19._PDC))
                {
                    Return (\_SB.SCK0.CP19._PDC (Arg0))
                }
            }

            Method (_OSC, 4, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP19._OSC))
                {
                    Return (\_SB.SCK0.CP19._OSC (Arg0, Arg1, Arg2, Arg3))
                }
            }

            Method (_PSD, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP19._PSD))
                {
                    Return (\_SB.SCK0.CP19._PSD ())
                }
            }

            Method (_PPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP19._PPC))
                {
                    Return (\_SB.SCK0.CP19._PPC ())
                }
            }

            Method (_PCT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP19._PCT))
                {
                    Return (\_SB.SCK0.CP19._PCT ())
                }
            }

            Method (_PSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP19._PSS))
                {
                    Return (\_SB.SCK0.CP19._PSS ())
                }
            }

            Method (_CPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP19._CPC))
                {
                    Return (\_SB.SCK0.CP19._CPC ())
                }
            }

            Method (_TPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP19._TPC))
                {
                    Return (\_SB.SCK0.CP19._TPC ())
                }
            }

            Method (_PTC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP19._PTC))
                {
                    Return (\_SB.SCK0.CP19._PTC ())
                }
            }

            Method (_TSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP19._TSS))
                {
                    Return (\_SB.SCK0.CP19._TSS ())
                }
            }
            
            Method (_CST, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP19._CST))
                {
                    Return (\_SB.SCK0.CP19._CST ())
                }
            }
        }
        
        Processor (PR26, 0x1A, 0x00000510, 0x06)
        {
            Method (_HID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP1A._HID)
            }

            Method (_UID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP1A._UID)
            }

            Method (_PXM, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP1A._PXM ())
            }

            Method (_STA, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP1A._STA ())
            }

            Method (_MAT, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP1A._MAT ())
            }

            Method (HWPT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1A.HWPT))
                {
                    Return (\_SB.SCK0.CP1A.HWPT ())
                }
            }

            Method (ISTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1A.ISTT))
                {
                    Return (\_SB.SCK0.CP1A.ISTT ())
                }
            }

            Method (TSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1A.TSTT))
                {
                    Return (\_SB.SCK0.CP1A.TSTT ())
                }
            }

            Method (CSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1A.CSTT))
                {
                    Return (\_SB.SCK0.CP1A.CSTT ())
                }
            }

            Method (_PDC, 1, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1A._PDC))
                {
                    Return (\_SB.SCK0.CP1A._PDC (Arg0))
                }
            }

            Method (_OSC, 4, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1A._OSC))
                {
                    Return (\_SB.SCK0.CP1A._OSC (Arg0, Arg1, Arg2, Arg3))
                }
            }

            Method (_PSD, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1A._PSD))
                {
                    Return (\_SB.SCK0.CP1A._PSD ())
                }
            }

            Method (_PPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1A._PPC))
                {
                    Return (\_SB.SCK0.CP1A._PPC ())
                }
            }

            Method (_PCT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1A._PCT))
                {
                    Return (\_SB.SCK0.CP1A._PCT ())
                }
            }

            Method (_PSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1A._PSS))
                {
                    Return (\_SB.SCK0.CP1A._PSS ())
                }
            }

            Method (_CPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1A._CPC))
                {
                    Return (\_SB.SCK0.CP1A._CPC ())
                }
            }

            Method (_TPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1A._TPC))
                {
                    Return (\_SB.SCK0.CP1A._TPC ())
                }
            }

            Method (_PTC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1A._PTC))
                {
                    Return (\_SB.SCK0.CP1A._PTC ())
                }
            }

            Method (_TSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1A._TSS))
                {
                    Return (\_SB.SCK0.CP1A._TSS ())
                }
            }
            
            Method (_CST, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1A._CST))
                {
                    Return (\_SB.SCK0.CP1A._CST ())
                }
            }
        }
        
        Processor (PR27, 0x1B, 0x00000510, 0x06)
        {
            Method (_HID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP1B._HID)
            }

            Method (_UID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP1B._UID)
            }

            Method (_PXM, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP1B._PXM ())
            }

            Method (_STA, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP1B._STA ())
            }

            Method (_MAT, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP1B._MAT ())
            }

            Method (HWPT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1B.HWPT))
                {
                    Return (\_SB.SCK0.CP1B.HWPT ())
                }
            }

            Method (ISTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1B.ISTT))
                {
                    Return (\_SB.SCK0.CP1B.ISTT ())
                }
            }

            Method (TSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1B.TSTT))
                {
                    Return (\_SB.SCK0.CP1B.TSTT ())
                }
            }

            Method (CSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1B.CSTT))
                {
                    Return (\_SB.SCK0.CP1B.CSTT ())
                }
            }

            Method (_PDC, 1, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1B._PDC))
                {
                    Return (\_SB.SCK0.CP1B._PDC (Arg0))
                }
            }

            Method (_OSC, 4, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1B._OSC))
                {
                    Return (\_SB.SCK0.CP1B._OSC (Arg0, Arg1, Arg2, Arg3))
                }
            }

            Method (_PSD, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1B._PSD))
                {
                    Return (\_SB.SCK0.CP1B._PSD ())
                }
            }

            Method (_PPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1B._PPC))
                {
                    Return (\_SB.SCK0.CP1B._PPC ())
                }
            }

            Method (_PCT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1B._PCT))
                {
                    Return (\_SB.SCK0.CP1B._PCT ())
                }
            }

            Method (_PSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1B._PSS))
                {
                    Return (\_SB.SCK0.CP1B._PSS ())
                }
            }

            Method (_CPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1B._CPC))
                {
                    Return (\_SB.SCK0.CP1B._CPC ())
                }
            }

            Method (_TPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1B._TPC))
                {
                    Return (\_SB.SCK0.CP1B._TPC ())
                }
            }

            Method (_PTC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1B._PTC))
                {
                    Return (\_SB.SCK0.CP1B._PTC ())
                }
            }

            Method (_TSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1B._TSS))
                {
                    Return (\_SB.SCK0.CP1B._TSS ())
                }
            }
            
            Method (_CST, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1B._CST))
                {
                    Return (\_SB.SCK0.CP1B._CST ())
                }
            }
        }
        
        Processor (PR28, 0x1C, 0x00000510, 0x06)
        {
            Method (_HID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP1C._HID)
            }

            Method (_UID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP1C._UID)
            }

            Method (_PXM, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP1C._PXM ())
            }

            Method (_STA, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP1C._STA ())
            }

            Method (_MAT, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP1C._MAT ())
            }

            Method (HWPT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1C.HWPT))
                {
                    Return (\_SB.SCK0.CP1C.HWPT ())
                }
            }

            Method (ISTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1C.ISTT))
                {
                    Return (\_SB.SCK0.CP1C.ISTT ())
                }
            }

            Method (TSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1C.TSTT))
                {
                    Return (\_SB.SCK0.CP1C.TSTT ())
                }
            }

            Method (CSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1C.CSTT))
                {
                    Return (\_SB.SCK0.CP1C.CSTT ())
                }
            }

            Method (_PDC, 1, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1C._PDC))
                {
                    Return (\_SB.SCK0.CP1C._PDC (Arg0))
                }
            }

            Method (_OSC, 4, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1C._OSC))
                {
                    Return (\_SB.SCK0.CP1C._OSC (Arg0, Arg1, Arg2, Arg3))
                }
            }

            Method (_PSD, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1C._PSD))
                {
                    Return (\_SB.SCK0.CP1C._PSD ())
                }
            }

            Method (_PPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1C._PPC))
                {
                    Return (\_SB.SCK0.CP1C._PPC ())
                }
            }

            Method (_PCT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1C._PCT))
                {
                    Return (\_SB.SCK0.CP1C._PCT ())
                }
            }

            Method (_PSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1C._PSS))
                {
                    Return (\_SB.SCK0.CP1C._PSS ())
                }
            }

            Method (_CPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1C._CPC))
                {
                    Return (\_SB.SCK0.CP1C._CPC ())
                }
            }

            Method (_TPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1C._TPC))
                {
                    Return (\_SB.SCK0.CP1C._TPC ())
                }
            }

            Method (_PTC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1C._PTC))
                {
                    Return (\_SB.SCK0.CP1C._PTC ())
                }
            }

            Method (_TSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1C._TSS))
                {
                    Return (\_SB.SCK0.CP1C._TSS ())
                }
            }
            
            Method (_CST, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1C._CST))
                {
                    Return (\_SB.SCK0.CP1C._CST ())
                }
            }
        }
        
        Processor (PR29, 0x1D, 0x00000510, 0x06)
        {
            Method (_HID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP1D._HID)
            }

            Method (_UID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP1D._UID)
            }

            Method (_PXM, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP1D._PXM ())
            }

            Method (_STA, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP1D._STA ())
            }

            Method (_MAT, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP1D._MAT ())
            }

            Method (HWPT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1D.HWPT))
                {
                    Return (\_SB.SCK0.CP1D.HWPT ())
                }
            }

            Method (ISTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1D.ISTT))
                {
                    Return (\_SB.SCK0.CP1D.ISTT ())
                }
            }

            Method (TSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1D.TSTT))
                {
                    Return (\_SB.SCK0.CP1D.TSTT ())
                }
            }

            Method (CSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1D.CSTT))
                {
                    Return (\_SB.SCK0.CP1D.CSTT ())
                }
            }

            Method (_PDC, 1, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1D._PDC))
                {
                    Return (\_SB.SCK0.CP1D._PDC (Arg0))
                }
            }

            Method (_OSC, 4, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1D._OSC))
                {
                    Return (\_SB.SCK0.CP1D._OSC (Arg0, Arg1, Arg2, Arg3))
                }
            }

            Method (_PSD, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1D._PSD))
                {
                    Return (\_SB.SCK0.CP1D._PSD ())
                }
            }

            Method (_PPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1D._PPC))
                {
                    Return (\_SB.SCK0.CP1D._PPC ())
                }
            }

            Method (_PCT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1D._PCT))
                {
                    Return (\_SB.SCK0.CP1D._PCT ())
                }
            }

            Method (_PSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1D._PSS))
                {
                    Return (\_SB.SCK0.CP1D._PSS ())
                }
            }

            Method (_CPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1D._CPC))
                {
                    Return (\_SB.SCK0.CP1D._CPC ())
                }
            }

            Method (_TPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1D._TPC))
                {
                    Return (\_SB.SCK0.CP1D._TPC ())
                }
            }

            Method (_PTC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1D._PTC))
                {
                    Return (\_SB.SCK0.CP1D._PTC ())
                }
            }

            Method (_TSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1D._TSS))
                {
                    Return (\_SB.SCK0.CP1D._TSS ())
                }
            }
            
            Method (_CST, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1D._CST))
                {
                    Return (\_SB.SCK0.CP1D._CST ())
                }
            }
        }
        
        Processor (PR30, 0x1E, 0x00000510, 0x06)
        {
            Method (_HID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP1E._HID)
            }

            Method (_UID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP1E._UID)
            }

            Method (_PXM, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP1E._PXM ())
            }

            Method (_STA, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP1E._STA ())
            }

            Method (_MAT, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP1E._MAT ())
            }

            Method (HWPT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1E.HWPT))
                {
                    Return (\_SB.SCK0.CP1E.HWPT ())
                }
            }

            Method (ISTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1E.ISTT))
                {
                    Return (\_SB.SCK0.CP1E.ISTT ())
                }
            }

            Method (TSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1E.TSTT))
                {
                    Return (\_SB.SCK0.CP1E.TSTT ())
                }
            }

            Method (CSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1E.CSTT))
                {
                    Return (\_SB.SCK0.CP1E.CSTT ())
                }
            }

            Method (_PDC, 1, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1E._PDC))
                {
                    Return (\_SB.SCK0.CP1E._PDC (Arg0))
                }
            }

            Method (_OSC, 4, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1E._OSC))
                {
                    Return (\_SB.SCK0.CP1E._OSC (Arg0, Arg1, Arg2, Arg3))
                }
            }

            Method (_PSD, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1E._PSD))
                {
                    Return (\_SB.SCK0.CP1E._PSD ())
                }
            }

            Method (_PPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1E._PPC))
                {
                    Return (\_SB.SCK0.CP1E._PPC ())
                }
            }

            Method (_PCT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1E._PCT))
                {
                    Return (\_SB.SCK0.CP1E._PCT ())
                }
            }

            Method (_PSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1E._PSS))
                {
                    Return (\_SB.SCK0.CP1E._PSS ())
                }
            }

            Method (_CPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1E._CPC))
                {
                    Return (\_SB.SCK0.CP1E._CPC ())
                }
            }

            Method (_TPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1E._TPC))
                {
                    Return (\_SB.SCK0.CP1E._TPC ())
                }
            }

            Method (_PTC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1E._PTC))
                {
                    Return (\_SB.SCK0.CP1E._PTC ())
                }
            }

            Method (_TSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1E._TSS))
                {
                    Return (\_SB.SCK0.CP1E._TSS ())
                }
            }
            
            Method (_CST, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1E._CST))
                {
                    Return (\_SB.SCK0.CP1E._CST ())
                }
            }
        }
        
        Processor (PR31, 0x1F, 0x00000510, 0x06)
        {
            Method (_HID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP1F._HID)
            }

            Method (_UID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP1F._UID)
            }

            Method (_PXM, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP1F._PXM ())
            }

            Method (_STA, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP1F._STA ())
            }

            Method (_MAT, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP1F._MAT ())
            }

            Method (HWPT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1F.HWPT))
                {
                    Return (\_SB.SCK0.CP1F.HWPT ())
                }
            }

            Method (ISTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1F.ISTT))
                {
                    Return (\_SB.SCK0.CP1F.ISTT ())
                }
            }

            Method (TSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1F.TSTT))
                {
                    Return (\_SB.SCK0.CP1F.TSTT ())
                }
            }

            Method (CSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1F.CSTT))
                {
                    Return (\_SB.SCK0.CP1F.CSTT ())
                }
            }

            Method (_PDC, 1, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1F._PDC))
                {
                    Return (\_SB.SCK0.CP1F._PDC (Arg0))
                }
            }

            Method (_OSC, 4, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1F._OSC))
                {
                    Return (\_SB.SCK0.CP1F._OSC (Arg0, Arg1, Arg2, Arg3))
                }
            }

            Method (_PSD, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1F._PSD))
                {
                    Return (\_SB.SCK0.CP1F._PSD ())
                }
            }

            Method (_PPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1F._PPC))
                {
                    Return (\_SB.SCK0.CP1F._PPC ())
                }
            }

            Method (_PCT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1F._PCT))
                {
                    Return (\_SB.SCK0.CP1F._PCT ())
                }
            }

            Method (_PSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1F._PSS))
                {
                    Return (\_SB.SCK0.CP1F._PSS ())
                }
            }

            Method (_CPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1F._CPC))
                {
                    Return (\_SB.SCK0.CP1F._CPC ())
                }
            }

            Method (_TPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1F._TPC))
                {
                    Return (\_SB.SCK0.CP1F._TPC ())
                }
            }

            Method (_PTC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1F._PTC))
                {
                    Return (\_SB.SCK0.CP1F._PTC ())
                }
            }

            Method (_TSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1F._TSS))
                {
                    Return (\_SB.SCK0.CP1F._TSS ())
                }
            }
            
            Method (_CST, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP1F._CST))
                {
                    Return (\_SB.SCK0.CP1F._CST ())
                }
            }
        }

        Processor (PR32, 0x20, 0x00000510, 0x06)
        {
            Method (_HID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP20._HID)
            }

            Method (_UID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP20._UID)
            }

            Method (_PXM, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP20._PXM ())
            }

            Method (_STA, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP20._STA ())
            }

            Method (_MAT, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP20._MAT ())
            }

            Method (HWPT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP20.HWPT))
                {
                    Return (\_SB.SCK0.CP20.HWPT ())
                }
            }

            Method (ISTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP20.ISTT))
                {
                    Return (\_SB.SCK0.CP20.ISTT ())
                }
            }

            Method (TSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP20.TSTT))
                {
                    Return (\_SB.SCK0.CP20.TSTT ())
                }
            }

            Method (CSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP20.CSTT))
                {
                    Return (\_SB.SCK0.CP20.CSTT ())
                }
            }

            Method (_PDC, 1, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP20._PDC))
                {
                    Return (\_SB.SCK0.CP20._PDC (Arg0))
                }
            }

            Method (_OSC, 4, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP20._OSC))
                {
                    Return (\_SB.SCK0.CP20._OSC (Arg0, Arg1, Arg2, Arg3))
                }
            }

            Method (_PSD, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP20._PSD))
                {
                    Return (\_SB.SCK0.CP20._PSD ())
                }
            }

            Method (_PPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP20._PPC))
                {
                    Return (\_SB.SCK0.CP20._PPC ())
                }
            }

            Method (_PCT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP20._PCT))
                {
                    Return (\_SB.SCK0.CP20._PCT ())
                }
            }

            Method (_PSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP20._PSS))
                {
                    Return (\_SB.SCK0.CP20._PSS ())
                }
            }

            Method (_CPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP20._CPC))
                {
                    Return (\_SB.SCK0.CP20._CPC ())
                }
            }

            Method (_TPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP20._TPC))
                {
                    Return (\_SB.SCK0.CP20._TPC ())
                }
            }

            Method (_PTC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP20._PTC))
                {
                    Return (\_SB.SCK0.CP20._PTC ())
                }
            }

            Method (_TSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP20._TSS))
                {
                    Return (\_SB.SCK0.CP20._TSS ())
                }
            }
            
            Method (_CST, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP20._CST))
                {
                    Return (\_SB.SCK0.CP20._CST ())
                }
            }
        }
    
        Processor (PR33, 0x21, 0x00000510, 0x06)
        {
            Method (_HID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP21._HID)
            }

            Method (_UID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP21._UID)
            }

            Method (_PXM, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP21._PXM ())
            }

            Method (_STA, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP21._STA ())
            }

            Method (_MAT, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP21._MAT ())
            }

            Method (HWPT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP21.HWPT))
                {
                    Return (\_SB.SCK0.CP21.HWPT ())
                }
            }

            Method (ISTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP21.ISTT))
                {
                    Return (\_SB.SCK0.CP21.ISTT ())
                }
            }

            Method (TSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP21.TSTT))
                {
                    Return (\_SB.SCK0.CP21.TSTT ())
                }
            }

            Method (CSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP21.CSTT))
                {
                    Return (\_SB.SCK0.CP21.CSTT ())
                }
            }

            Method (_PDC, 1, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP21._PDC))
                {
                    Return (\_SB.SCK0.CP21._PDC (Arg0))
                }
            }

            Method (_OSC, 4, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP21._OSC))
                {
                    Return (\_SB.SCK0.CP21._OSC (Arg0, Arg1, Arg2, Arg3))
                }
            }

            Method (_PSD, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP21._PSD))
                {
                    Return (\_SB.SCK0.CP21._PSD ())
                }
            }

            Method (_PPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP21._PPC))
                {
                    Return (\_SB.SCK0.CP21._PPC ())
                }
            }

            Method (_PCT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP21._PCT))
                {
                    Return (\_SB.SCK0.CP21._PCT ())
                }
            }

            Method (_PSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP21._PSS))
                {
                    Return (\_SB.SCK0.CP21._PSS ())
                }
            }

            Method (_CPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP21._CPC))
                {
                    Return (\_SB.SCK0.CP21._CPC ())
                }
            }

            Method (_TPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP21._TPC))
                {
                    Return (\_SB.SCK0.CP21._TPC ())
                }
            }

            Method (_PTC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP21._PTC))
                {
                    Return (\_SB.SCK0.CP21._PTC ())
                }
            }

            Method (_TSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP21._TSS))
                {
                    Return (\_SB.SCK0.CP21._TSS ())
                }
            }
            
            Method (_CST, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP21._CST))
                {
                    Return (\_SB.SCK0.CP21._CST ())
                }
            }
        }
        
        Processor (PR34, 0x22, 0x00000510, 0x06)
        {
            Method (_HID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP22._HID)
            }

            Method (_UID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP22._UID)
            }

            Method (_PXM, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP22._PXM ())
            }

            Method (_STA, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP22._STA ())
            }

            Method (_MAT, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP22._MAT ())
            }

            Method (HWPT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP22.HWPT))
                {
                    Return (\_SB.SCK0.CP22.HWPT ())
                }
            }

            Method (ISTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP22.ISTT))
                {
                    Return (\_SB.SCK0.CP22.ISTT ())
                }
            }

            Method (TSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP22.TSTT))
                {
                    Return (\_SB.SCK0.CP22.TSTT ())
                }
            }

            Method (CSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP22.CSTT))
                {
                    Return (\_SB.SCK0.CP22.CSTT ())
                }
            }

            Method (_PDC, 1, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP22._PDC))
                {
                    Return (\_SB.SCK0.CP22._PDC (Arg0))
                }
            }

            Method (_OSC, 4, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP22._OSC))
                {
                    Return (\_SB.SCK0.CP22._OSC (Arg0, Arg1, Arg2, Arg3))
                }
            }

            Method (_PSD, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP22._PSD))
                {
                    Return (\_SB.SCK0.CP22._PSD ())
                }
            }

            Method (_PPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP22._PPC))
                {
                    Return (\_SB.SCK0.CP22._PPC ())
                }
            }

            Method (_PCT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP22._PCT))
                {
                    Return (\_SB.SCK0.CP22._PCT ())
                }
            }

            Method (_PSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP22._PSS))
                {
                    Return (\_SB.SCK0.CP22._PSS ())
                }
            }

            Method (_CPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP22._CPC))
                {
                    Return (\_SB.SCK0.CP22._CPC ())
                }
            }

            Method (_TPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP22._TPC))
                {
                    Return (\_SB.SCK0.CP22._TPC ())
                }
            }

            Method (_PTC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP22._PTC))
                {
                    Return (\_SB.SCK0.CP22._PTC ())
                }
            }

            Method (_TSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP22._TSS))
                {
                    Return (\_SB.SCK0.CP22._TSS ())
                }
            }
            
            Method (_CST, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP22._CST))
                {
                    Return (\_SB.SCK0.CP22._CST ())
                }
            }
        }
        
        Processor (PR35, 0x23, 0x00000510, 0x06)
        {
            Method (_HID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP23._HID)
            }

            Method (_UID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP23._UID)
            }

            Method (_PXM, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP23._PXM ())
            }

            Method (_STA, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP23._STA ())
            }

            Method (_MAT, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP23._MAT ())
            }

            Method (HWPT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP23.HWPT))
                {
                    Return (\_SB.SCK0.CP23.HWPT ())
                }
            }

            Method (ISTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP23.ISTT))
                {
                    Return (\_SB.SCK0.CP23.ISTT ())
                }
            }

            Method (TSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP23.TSTT))
                {
                    Return (\_SB.SCK0.CP23.TSTT ())
                }
            }

            Method (CSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP23.CSTT))
                {
                    Return (\_SB.SCK0.CP23.CSTT ())
                }
            }

            Method (_PDC, 1, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP23._PDC))
                {
                    Return (\_SB.SCK0.CP23._PDC (Arg0))
                }
            }

            Method (_OSC, 4, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP23._OSC))
                {
                    Return (\_SB.SCK0.CP23._OSC (Arg0, Arg1, Arg2, Arg3))
                }
            }

            Method (_PSD, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP23._PSD))
                {
                    Return (\_SB.SCK0.CP23._PSD ())
                }
            }

            Method (_PPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP23._PPC))
                {
                    Return (\_SB.SCK0.CP23._PPC ())
                }
            }

            Method (_PCT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP23._PCT))
                {
                    Return (\_SB.SCK0.CP23._PCT ())
                }
            }

            Method (_PSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP23._PSS))
                {
                    Return (\_SB.SCK0.CP23._PSS ())
                }
            }

            Method (_CPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP23._CPC))
                {
                    Return (\_SB.SCK0.CP23._CPC ())
                }
            }

            Method (_TPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP23._TPC))
                {
                    Return (\_SB.SCK0.CP23._TPC ())
                }
            }

            Method (_PTC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP23._PTC))
                {
                    Return (\_SB.SCK0.CP23._PTC ())
                }
            }

            Method (_TSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP23._TSS))
                {
                    Return (\_SB.SCK0.CP23._TSS ())
                }
            }
            
            Method (_CST, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP23._CST))
                {
                    Return (\_SB.SCK0.CP23._CST ())
                }
            }
        }
        
        Processor (PR36, 0x24, 0x00000510, 0x06)
        {
            Method (_HID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP24._HID)
            }

            Method (_UID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP24._UID)
            }

            Method (_PXM, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP24._PXM ())
            }

            Method (_STA, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP24._STA ())
            }

            Method (_MAT, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP24._MAT ())
            }

            Method (HWPT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP24.HWPT))
                {
                    Return (\_SB.SCK0.CP24.HWPT ())
                }
            }

            Method (ISTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP24.ISTT))
                {
                    Return (\_SB.SCK0.CP24.ISTT ())
                }
            }

            Method (TSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP24.TSTT))
                {
                    Return (\_SB.SCK0.CP24.TSTT ())
                }
            }

            Method (CSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP24.CSTT))
                {
                    Return (\_SB.SCK0.CP24.CSTT ())
                }
            }

            Method (_PDC, 1, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP24._PDC))
                {
                    Return (\_SB.SCK0.CP24._PDC (Arg0))
                }
            }

            Method (_OSC, 4, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP24._OSC))
                {
                    Return (\_SB.SCK0.CP24._OSC (Arg0, Arg1, Arg2, Arg3))
                }
            }

            Method (_PSD, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP24._PSD))
                {
                    Return (\_SB.SCK0.CP24._PSD ())
                }
            }

            Method (_PPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP24._PPC))
                {
                    Return (\_SB.SCK0.CP24._PPC ())
                }
            }

            Method (_PCT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP24._PCT))
                {
                    Return (\_SB.SCK0.CP24._PCT ())
                }
            }

            Method (_PSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP24._PSS))
                {
                    Return (\_SB.SCK0.CP24._PSS ())
                }
            }

            Method (_CPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP24._CPC))
                {
                    Return (\_SB.SCK0.CP24._CPC ())
                }
            }

            Method (_TPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP24._TPC))
                {
                    Return (\_SB.SCK0.CP24._TPC ())
                }
            }

            Method (_PTC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP24._PTC))
                {
                    Return (\_SB.SCK0.CP24._PTC ())
                }
            }

            Method (_TSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP24._TSS))
                {
                    Return (\_SB.SCK0.CP24._TSS ())
                }
            }
            
            Method (_CST, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP24._CST))
                {
                    Return (\_SB.SCK0.CP24._CST ())
                }
            }
        }
        
        Processor (PR37, 0x25, 0x00000510, 0x06)
        {
            Method (_HID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP25._HID)
            }

            Method (_UID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP25._UID)
            }

            Method (_PXM, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP25._PXM ())
            }

            Method (_STA, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP25._STA ())
            }

            Method (_MAT, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP25._MAT ())
            }

            Method (HWPT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP25.HWPT))
                {
                    Return (\_SB.SCK0.CP25.HWPT ())
                }
            }

            Method (ISTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP25.ISTT))
                {
                    Return (\_SB.SCK0.CP25.ISTT ())
                }
            }

            Method (TSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP25.TSTT))
                {
                    Return (\_SB.SCK0.CP25.TSTT ())
                }
            }

            Method (CSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP25.CSTT))
                {
                    Return (\_SB.SCK0.CP25.CSTT ())
                }
            }

            Method (_PDC, 1, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP25._PDC))
                {
                    Return (\_SB.SCK0.CP25._PDC (Arg0))
                }
            }

            Method (_OSC, 4, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP25._OSC))
                {
                    Return (\_SB.SCK0.CP25._OSC (Arg0, Arg1, Arg2, Arg3))
                }
            }

            Method (_PSD, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP25._PSD))
                {
                    Return (\_SB.SCK0.CP25._PSD ())
                }
            }

            Method (_PPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP25._PPC))
                {
                    Return (\_SB.SCK0.CP25._PPC ())
                }
            }

            Method (_PCT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP25._PCT))
                {
                    Return (\_SB.SCK0.CP25._PCT ())
                }
            }

            Method (_PSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP25._PSS))
                {
                    Return (\_SB.SCK0.CP25._PSS ())
                }
            }

            Method (_CPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP25._CPC))
                {
                    Return (\_SB.SCK0.CP25._CPC ())
                }
            }

            Method (_TPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP25._TPC))
                {
                    Return (\_SB.SCK0.CP25._TPC ())
                }
            }

            Method (_PTC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP25._PTC))
                {
                    Return (\_SB.SCK0.CP25._PTC ())
                }
            }

            Method (_TSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP25._TSS))
                {
                    Return (\_SB.SCK0.CP25._TSS ())
                }
            }
            
            Method (_CST, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP25._CST))
                {
                    Return (\_SB.SCK0.CP25._CST ())
                }
            }
        }
        
        Processor (PR38, 0x26, 0x00000510, 0x06)
        {
            Method (_HID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP26._HID)
            }

            Method (_UID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP26._UID)
            }

            Method (_PXM, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP26._PXM ())
            }

            Method (_STA, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP26._STA ())
            }

            Method (_MAT, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP26._MAT ())
            }

            Method (HWPT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP26.HWPT))
                {
                    Return (\_SB.SCK0.CP26.HWPT ())
                }
            }

            Method (ISTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP26.ISTT))
                {
                    Return (\_SB.SCK0.CP26.ISTT ())
                }
            }

            Method (TSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP26.TSTT))
                {
                    Return (\_SB.SCK0.CP26.TSTT ())
                }
            }

            Method (CSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP26.CSTT))
                {
                    Return (\_SB.SCK0.CP26.CSTT ())
                }
            }

            Method (_PDC, 1, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP26._PDC))
                {
                    Return (\_SB.SCK0.CP26._PDC (Arg0))
                }
            }

            Method (_OSC, 4, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP26._OSC))
                {
                    Return (\_SB.SCK0.CP26._OSC (Arg0, Arg1, Arg2, Arg3))
                }
            }

            Method (_PSD, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP26._PSD))
                {
                    Return (\_SB.SCK0.CP26._PSD ())
                }
            }

            Method (_PPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP26._PPC))
                {
                    Return (\_SB.SCK0.CP26._PPC ())
                }
            }

            Method (_PCT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP26._PCT))
                {
                    Return (\_SB.SCK0.CP26._PCT ())
                }
            }

            Method (_PSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP26._PSS))
                {
                    Return (\_SB.SCK0.CP26._PSS ())
                }
            }

            Method (_CPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP26._CPC))
                {
                    Return (\_SB.SCK0.CP26._CPC ())
                }
            }

            Method (_TPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP26._TPC))
                {
                    Return (\_SB.SCK0.CP26._TPC ())
                }
            }

            Method (_PTC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP26._PTC))
                {
                    Return (\_SB.SCK0.CP26._PTC ())
                }
            }

            Method (_TSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP26._TSS))
                {
                    Return (\_SB.SCK0.CP26._TSS ())
                }
            }
            
            Method (_CST, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP26._CST))
                {
                    Return (\_SB.SCK0.CP26._CST ())
                }
            }
        }
        
        Processor (PR39, 0x27, 0x00000510, 0x06)
        {
            Method (_HID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP27._HID)
            }

            Method (_UID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP27._UID)
            }

            Method (_PXM, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP27._PXM ())
            }

            Method (_STA, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP27._STA ())
            }

            Method (_MAT, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP27._MAT ())
            }

            Method (HWPT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP27.HWPT))
                {
                    Return (\_SB.SCK0.CP27.HWPT ())
                }
            }

            Method (ISTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP27.ISTT))
                {
                    Return (\_SB.SCK0.CP27.ISTT ())
                }
            }

            Method (TSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP27.TSTT))
                {
                    Return (\_SB.SCK0.CP27.TSTT ())
                }
            }

            Method (CSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP27.CSTT))
                {
                    Return (\_SB.SCK0.CP27.CSTT ())
                }
            }

            Method (_PDC, 1, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP27._PDC))
                {
                    Return (\_SB.SCK0.CP27._PDC (Arg0))
                }
            }

            Method (_OSC, 4, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP27._OSC))
                {
                    Return (\_SB.SCK0.CP27._OSC (Arg0, Arg1, Arg2, Arg3))
                }
            }

            Method (_PSD, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP27._PSD))
                {
                    Return (\_SB.SCK0.CP27._PSD ())
                }
            }

            Method (_PPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP27._PPC))
                {
                    Return (\_SB.SCK0.CP27._PPC ())
                }
            }

            Method (_PCT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP27._PCT))
                {
                    Return (\_SB.SCK0.CP27._PCT ())
                }
            }

            Method (_PSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP27._PSS))
                {
                    Return (\_SB.SCK0.CP27._PSS ())
                }
            }

            Method (_CPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP27._CPC))
                {
                    Return (\_SB.SCK0.CP27._CPC ())
                }
            }

            Method (_TPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP27._TPC))
                {
                    Return (\_SB.SCK0.CP27._TPC ())
                }
            }

            Method (_PTC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP27._PTC))
                {
                    Return (\_SB.SCK0.CP27._PTC ())
                }
            }

            Method (_TSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP27._TSS))
                {
                    Return (\_SB.SCK0.CP27._TSS ())
                }
            }
            
            Method (_CST, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP27._CST))
                {
                    Return (\_SB.SCK0.CP27._CST ())
                }
            }
        }
        
        Processor (PR40, 0x28, 0x00000510, 0x06)
        {
            Method (_HID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP28._HID)
            }

            Method (_UID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP28._UID)
            }

            Method (_PXM, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP28._PXM ())
            }

            Method (_STA, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP28._STA ())
            }

            Method (_MAT, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP28._MAT ())
            }

            Method (HWPT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP28.HWPT))
                {
                    Return (\_SB.SCK0.CP28.HWPT ())
                }
            }

            Method (ISTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP28.ISTT))
                {
                    Return (\_SB.SCK0.CP28.ISTT ())
                }
            }

            Method (TSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP28.TSTT))
                {
                    Return (\_SB.SCK0.CP28.TSTT ())
                }
            }

            Method (CSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP28.CSTT))
                {
                    Return (\_SB.SCK0.CP28.CSTT ())
                }
            }

            Method (_PDC, 1, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP28._PDC))
                {
                    Return (\_SB.SCK0.CP28._PDC (Arg0))
                }
            }

            Method (_OSC, 4, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP28._OSC))
                {
                    Return (\_SB.SCK0.CP28._OSC (Arg0, Arg1, Arg2, Arg3))
                }
            }

            Method (_PSD, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP28._PSD))
                {
                    Return (\_SB.SCK0.CP28._PSD ())
                }
            }

            Method (_PPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP28._PPC))
                {
                    Return (\_SB.SCK0.CP28._PPC ())
                }
            }

            Method (_PCT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP28._PCT))
                {
                    Return (\_SB.SCK0.CP28._PCT ())
                }
            }

            Method (_PSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP28._PSS))
                {
                    Return (\_SB.SCK0.CP28._PSS ())
                }
            }

            Method (_CPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP28._CPC))
                {
                    Return (\_SB.SCK0.CP28._CPC ())
                }
            }

            Method (_TPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP28._TPC))
                {
                    Return (\_SB.SCK0.CP28._TPC ())
                }
            }

            Method (_PTC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP28._PTC))
                {
                    Return (\_SB.SCK0.CP28._PTC ())
                }
            }

            Method (_TSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP28._TSS))
                {
                    Return (\_SB.SCK0.CP28._TSS ())
                }
            }
            
            Method (_CST, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP28._CST))
                {
                    Return (\_SB.SCK0.CP28._CST ())
                }
            }
        }
    
        Processor (PR41, 0x29, 0x00000510, 0x06)
        {
            Method (_HID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP29._HID)
            }

            Method (_UID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP29._UID)
            }

            Method (_PXM, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP29._PXM ())
            }

            Method (_STA, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP29._STA ())
            }

            Method (_MAT, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP29._MAT ())
            }

            Method (HWPT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP29.HWPT))
                {
                    Return (\_SB.SCK0.CP29.HWPT ())
                }
            }

            Method (ISTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP29.ISTT))
                {
                    Return (\_SB.SCK0.CP29.ISTT ())
                }
            }

            Method (TSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP29.TSTT))
                {
                    Return (\_SB.SCK0.CP29.TSTT ())
                }
            }

            Method (CSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP29.CSTT))
                {
                    Return (\_SB.SCK0.CP29.CSTT ())
                }
            }

            Method (_PDC, 1, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP29._PDC))
                {
                    Return (\_SB.SCK0.CP29._PDC (Arg0))
                }
            }

            Method (_OSC, 4, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP29._OSC))
                {
                    Return (\_SB.SCK0.CP29._OSC (Arg0, Arg1, Arg2, Arg3))
                }
            }

            Method (_PSD, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP29._PSD))
                {
                    Return (\_SB.SCK0.CP29._PSD ())
                }
            }

            Method (_PPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP29._PPC))
                {
                    Return (\_SB.SCK0.CP29._PPC ())
                }
            }

            Method (_PCT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP29._PCT))
                {
                    Return (\_SB.SCK0.CP29._PCT ())
                }
            }

            Method (_PSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP29._PSS))
                {
                    Return (\_SB.SCK0.CP29._PSS ())
                }
            }

            Method (_CPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP29._CPC))
                {
                    Return (\_SB.SCK0.CP29._CPC ())
                }
            }

            Method (_TPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP29._TPC))
                {
                    Return (\_SB.SCK0.CP29._TPC ())
                }
            }

            Method (_PTC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP29._PTC))
                {
                    Return (\_SB.SCK0.CP29._PTC ())
                }
            }

            Method (_TSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP29._TSS))
                {
                    Return (\_SB.SCK0.CP29._TSS ())
                }
            }
            
            Method (_CST, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP29._CST))
                {
                    Return (\_SB.SCK0.CP29._CST ())
                }
            }
        }
        
        Processor (PR42, 0x2A, 0x00000510, 0x06)
        {
            Method (_HID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP2A._HID)
            }

            Method (_UID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP2A._UID)
            }

            Method (_PXM, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP2A._PXM ())
            }

            Method (_STA, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP2A._STA ())
            }

            Method (_MAT, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP2A._MAT ())
            }

            Method (HWPT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2A.HWPT))
                {
                    Return (\_SB.SCK0.CP2A.HWPT ())
                }
            }

            Method (ISTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2A.ISTT))
                {
                    Return (\_SB.SCK0.CP2A.ISTT ())
                }
            }

            Method (TSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2A.TSTT))
                {
                    Return (\_SB.SCK0.CP2A.TSTT ())
                }
            }

            Method (CSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2A.CSTT))
                {
                    Return (\_SB.SCK0.CP2A.CSTT ())
                }
            }

            Method (_PDC, 1, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2A._PDC))
                {
                    Return (\_SB.SCK0.CP2A._PDC (Arg0))
                }
            }

            Method (_OSC, 4, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2A._OSC))
                {
                    Return (\_SB.SCK0.CP2A._OSC (Arg0, Arg1, Arg2, Arg3))
                }
            }

            Method (_PSD, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2A._PSD))
                {
                    Return (\_SB.SCK0.CP2A._PSD ())
                }
            }

            Method (_PPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2A._PPC))
                {
                    Return (\_SB.SCK0.CP2A._PPC ())
                }
            }

            Method (_PCT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2A._PCT))
                {
                    Return (\_SB.SCK0.CP2A._PCT ())
                }
            }

            Method (_PSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2A._PSS))
                {
                    Return (\_SB.SCK0.CP2A._PSS ())
                }
            }

            Method (_CPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2A._CPC))
                {
                    Return (\_SB.SCK0.CP2A._CPC ())
                }
            }

            Method (_TPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2A._TPC))
                {
                    Return (\_SB.SCK0.CP2A._TPC ())
                }
            }

            Method (_PTC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2A._PTC))
                {
                    Return (\_SB.SCK0.CP2A._PTC ())
                }
            }

            Method (_TSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2A._TSS))
                {
                    Return (\_SB.SCK0.CP2A._TSS ())
                }
            }
            
            Method (_CST, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2A._CST))
                {
                    Return (\_SB.SCK0.CP2A._CST ())
                }
            }
        }
        
        Processor (PR43, 0x2B, 0x00000510, 0x06)
        {
            Method (_HID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP2B._HID)
            }

            Method (_UID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP2B._UID)
            }

            Method (_PXM, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP2B._PXM ())
            }

            Method (_STA, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP2B._STA ())
            }

            Method (_MAT, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP2B._MAT ())
            }

            Method (HWPT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2B.HWPT))
                {
                    Return (\_SB.SCK0.CP2B.HWPT ())
                }
            }

            Method (ISTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2B.ISTT))
                {
                    Return (\_SB.SCK0.CP2B.ISTT ())
                }
            }

            Method (TSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2B.TSTT))
                {
                    Return (\_SB.SCK0.CP2B.TSTT ())
                }
            }

            Method (CSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2B.CSTT))
                {
                    Return (\_SB.SCK0.CP2B.CSTT ())
                }
            }

            Method (_PDC, 1, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2B._PDC))
                {
                    Return (\_SB.SCK0.CP2B._PDC (Arg0))
                }
            }

            Method (_OSC, 4, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2B._OSC))
                {
                    Return (\_SB.SCK0.CP2B._OSC (Arg0, Arg1, Arg2, Arg3))
                }
            }

            Method (_PSD, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2B._PSD))
                {
                    Return (\_SB.SCK0.CP2B._PSD ())
                }
            }

            Method (_PPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2B._PPC))
                {
                    Return (\_SB.SCK0.CP2B._PPC ())
                }
            }

            Method (_PCT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2B._PCT))
                {
                    Return (\_SB.SCK0.CP2B._PCT ())
                }
            }

            Method (_PSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2B._PSS))
                {
                    Return (\_SB.SCK0.CP2B._PSS ())
                }
            }

            Method (_CPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2B._CPC))
                {
                    Return (\_SB.SCK0.CP2B._CPC ())
                }
            }

            Method (_TPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2B._TPC))
                {
                    Return (\_SB.SCK0.CP2B._TPC ())
                }
            }

            Method (_PTC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2B._PTC))
                {
                    Return (\_SB.SCK0.CP2B._PTC ())
                }
            }

            Method (_TSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2B._TSS))
                {
                    Return (\_SB.SCK0.CP2B._TSS ())
                }
            }
            
            Method (_CST, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2B._CST))
                {
                    Return (\_SB.SCK0.CP2B._CST ())
                }
            }
        }
        
        Processor (PR44, 0x2C, 0x00000510, 0x06)
        {
            Method (_HID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP2C._HID)
            }

            Method (_UID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP2C._UID)
            }

            Method (_PXM, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP2C._PXM ())
            }

            Method (_STA, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP2C._STA ())
            }

            Method (_MAT, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP2C._MAT ())
            }

            Method (HWPT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2C.HWPT))
                {
                    Return (\_SB.SCK0.CP2C.HWPT ())
                }
            }

            Method (ISTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2C.ISTT))
                {
                    Return (\_SB.SCK0.CP2C.ISTT ())
                }
            }

            Method (TSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2C.TSTT))
                {
                    Return (\_SB.SCK0.CP2C.TSTT ())
                }
            }

            Method (CSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2C.CSTT))
                {
                    Return (\_SB.SCK0.CP2C.CSTT ())
                }
            }

            Method (_PDC, 1, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2C._PDC))
                {
                    Return (\_SB.SCK0.CP2C._PDC (Arg0))
                }
            }

            Method (_OSC, 4, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2C._OSC))
                {
                    Return (\_SB.SCK0.CP2C._OSC (Arg0, Arg1, Arg2, Arg3))
                }
            }

            Method (_PSD, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2C._PSD))
                {
                    Return (\_SB.SCK0.CP2C._PSD ())
                }
            }

            Method (_PPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2C._PPC))
                {
                    Return (\_SB.SCK0.CP2C._PPC ())
                }
            }

            Method (_PCT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2C._PCT))
                {
                    Return (\_SB.SCK0.CP2C._PCT ())
                }
            }

            Method (_PSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2C._PSS))
                {
                    Return (\_SB.SCK0.CP2C._PSS ())
                }
            }

            Method (_CPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2C._CPC))
                {
                    Return (\_SB.SCK0.CP2C._CPC ())
                }
            }

            Method (_TPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2C._TPC))
                {
                    Return (\_SB.SCK0.CP2C._TPC ())
                }
            }

            Method (_PTC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2C._PTC))
                {
                    Return (\_SB.SCK0.CP2C._PTC ())
                }
            }

            Method (_TSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2C._TSS))
                {
                    Return (\_SB.SCK0.CP2C._TSS ())
                }
            }
            
            Method (_CST, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2C._CST))
                {
                    Return (\_SB.SCK0.CP2C._CST ())
                }
            }
        }
        
        Processor (PR45, 0x2D, 0x00000510, 0x06)
        {
            Method (_HID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP2D._HID)
            }

            Method (_UID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP2D._UID)
            }

            Method (_PXM, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP2D._PXM ())
            }

            Method (_STA, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP2D._STA ())
            }

            Method (_MAT, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP2D._MAT ())
            }

            Method (HWPT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2D.HWPT))
                {
                    Return (\_SB.SCK0.CP2D.HWPT ())
                }
            }

            Method (ISTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2D.ISTT))
                {
                    Return (\_SB.SCK0.CP2D.ISTT ())
                }
            }

            Method (TSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2D.TSTT))
                {
                    Return (\_SB.SCK0.CP2D.TSTT ())
                }
            }

            Method (CSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2D.CSTT))
                {
                    Return (\_SB.SCK0.CP2D.CSTT ())
                }
            }

            Method (_PDC, 1, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2D._PDC))
                {
                    Return (\_SB.SCK0.CP2D._PDC (Arg0))
                }
            }

            Method (_OSC, 4, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2D._OSC))
                {
                    Return (\_SB.SCK0.CP2D._OSC (Arg0, Arg1, Arg2, Arg3))
                }
            }

            Method (_PSD, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2D._PSD))
                {
                    Return (\_SB.SCK0.CP2D._PSD ())
                }
            }

            Method (_PPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2D._PPC))
                {
                    Return (\_SB.SCK0.CP2D._PPC ())
                }
            }

            Method (_PCT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2D._PCT))
                {
                    Return (\_SB.SCK0.CP2D._PCT ())
                }
            }

            Method (_PSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2D._PSS))
                {
                    Return (\_SB.SCK0.CP2D._PSS ())
                }
            }

            Method (_CPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2D._CPC))
                {
                    Return (\_SB.SCK0.CP2D._CPC ())
                }
            }

            Method (_TPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2D._TPC))
                {
                    Return (\_SB.SCK0.CP2D._TPC ())
                }
            }

            Method (_PTC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2D._PTC))
                {
                    Return (\_SB.SCK0.CP2D._PTC ())
                }
            }

            Method (_TSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2D._TSS))
                {
                    Return (\_SB.SCK0.CP2D._TSS ())
                }
            }
            
            Method (_CST, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2D._CST))
                {
                    Return (\_SB.SCK0.CP2D._CST ())
                }
            }
        }
        
        Processor (PR46, 0x2E, 0x00000510, 0x06)
        {
            Method (_HID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP2E._HID)
            }

            Method (_UID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP2E._UID)
            }

            Method (_PXM, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP2E._PXM ())
            }

            Method (_STA, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP2E._STA ())
            }

            Method (_MAT, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP2E._MAT ())
            }

            Method (HWPT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2E.HWPT))
                {
                    Return (\_SB.SCK0.CP2E.HWPT ())
                }
            }

            Method (ISTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2E.ISTT))
                {
                    Return (\_SB.SCK0.CP2E.ISTT ())
                }
            }

            Method (TSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2E.TSTT))
                {
                    Return (\_SB.SCK0.CP2E.TSTT ())
                }
            }

            Method (CSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2E.CSTT))
                {
                    Return (\_SB.SCK0.CP2E.CSTT ())
                }
            }

            Method (_PDC, 1, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2E._PDC))
                {
                    Return (\_SB.SCK0.CP2E._PDC (Arg0))
                }
            }

            Method (_OSC, 4, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2E._OSC))
                {
                    Return (\_SB.SCK0.CP2E._OSC (Arg0, Arg1, Arg2, Arg3))
                }
            }

            Method (_PSD, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2E._PSD))
                {
                    Return (\_SB.SCK0.CP2E._PSD ())
                }
            }

            Method (_PPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2E._PPC))
                {
                    Return (\_SB.SCK0.CP2E._PPC ())
                }
            }

            Method (_PCT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2E._PCT))
                {
                    Return (\_SB.SCK0.CP2E._PCT ())
                }
            }

            Method (_PSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2E._PSS))
                {
                    Return (\_SB.SCK0.CP2E._PSS ())
                }
            }

            Method (_CPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2E._CPC))
                {
                    Return (\_SB.SCK0.CP2E._CPC ())
                }
            }

            Method (_TPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2E._TPC))
                {
                    Return (\_SB.SCK0.CP2E._TPC ())
                }
            }

            Method (_PTC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2E._PTC))
                {
                    Return (\_SB.SCK0.CP2E._PTC ())
                }
            }

            Method (_TSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2E._TSS))
                {
                    Return (\_SB.SCK0.CP2E._TSS ())
                }
            }
            
            Method (_CST, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2E._CST))
                {
                    Return (\_SB.SCK0.CP2E._CST ())
                }
            }
        }
        
        Processor (PR47, 0x2F, 0x00000510, 0x06)
        {
            Method (_HID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP2F._HID)
            }

            Method (_UID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP2F._UID)
            }

            Method (_PXM, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP2F._PXM ())
            }

            Method (_STA, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP2F._STA ())
            }

            Method (_MAT, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP2F._MAT ())
            }

            Method (HWPT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2F.HWPT))
                {
                    Return (\_SB.SCK0.CP2F.HWPT ())
                }
            }

            Method (ISTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2F.ISTT))
                {
                    Return (\_SB.SCK0.CP2F.ISTT ())
                }
            }

            Method (TSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2F.TSTT))
                {
                    Return (\_SB.SCK0.CP2F.TSTT ())
                }
            }

            Method (CSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2F.CSTT))
                {
                    Return (\_SB.SCK0.CP2F.CSTT ())
                }
            }

            Method (_PDC, 1, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2F._PDC))
                {
                    Return (\_SB.SCK0.CP2F._PDC (Arg0))
                }
            }

            Method (_OSC, 4, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2F._OSC))
                {
                    Return (\_SB.SCK0.CP2F._OSC (Arg0, Arg1, Arg2, Arg3))
                }
            }

            Method (_PSD, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2F._PSD))
                {
                    Return (\_SB.SCK0.CP2F._PSD ())
                }
            }

            Method (_PPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2F._PPC))
                {
                    Return (\_SB.SCK0.CP2F._PPC ())
                }
            }

            Method (_PCT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2F._PCT))
                {
                    Return (\_SB.SCK0.CP2F._PCT ())
                }
            }

            Method (_PSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2F._PSS))
                {
                    Return (\_SB.SCK0.CP2F._PSS ())
                }
            }

            Method (_CPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2F._CPC))
                {
                    Return (\_SB.SCK0.CP2F._CPC ())
                }
            }

            Method (_TPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2F._TPC))
                {
                    Return (\_SB.SCK0.CP2F._TPC ())
                }
            }

            Method (_PTC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2F._PTC))
                {
                    Return (\_SB.SCK0.CP2F._PTC ())
                }
            }

            Method (_TSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2F._TSS))
                {
                    Return (\_SB.SCK0.CP2F._TSS ())
                }
            }
            
            Method (_CST, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP2F._CST))
                {
                    Return (\_SB.SCK0.CP2F._CST ())
                }
            }
        }

        Processor (PR48, 0x30, 0x00000510, 0x06)
        {
            Method (_HID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP30._HID)
            }

            Method (_UID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP30._UID)
            }

            Method (_PXM, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP30._PXM ())
            }

            Method (_STA, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP30._STA ())
            }

            Method (_MAT, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP30._MAT ())
            }

            Method (HWPT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP30.HWPT))
                {
                    Return (\_SB.SCK0.CP30.HWPT ())
                }
            }

            Method (ISTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP30.ISTT))
                {
                    Return (\_SB.SCK0.CP30.ISTT ())
                }
            }

            Method (TSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP30.TSTT))
                {
                    Return (\_SB.SCK0.CP30.TSTT ())
                }
            }

            Method (CSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP30.CSTT))
                {
                    Return (\_SB.SCK0.CP30.CSTT ())
                }
            }

            Method (_PDC, 1, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP30._PDC))
                {
                    Return (\_SB.SCK0.CP30._PDC (Arg0))
                }
            }

            Method (_OSC, 4, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP30._OSC))
                {
                    Return (\_SB.SCK0.CP30._OSC (Arg0, Arg1, Arg2, Arg3))
                }
            }

            Method (_PSD, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP30._PSD))
                {
                    Return (\_SB.SCK0.CP30._PSD ())
                }
            }

            Method (_PPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP30._PPC))
                {
                    Return (\_SB.SCK0.CP30._PPC ())
                }
            }

            Method (_PCT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP30._PCT))
                {
                    Return (\_SB.SCK0.CP30._PCT ())
                }
            }

            Method (_PSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP30._PSS))
                {
                    Return (\_SB.SCK0.CP30._PSS ())
                }
            }

            Method (_CPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP30._CPC))
                {
                    Return (\_SB.SCK0.CP30._CPC ())
                }
            }

            Method (_TPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP30._TPC))
                {
                    Return (\_SB.SCK0.CP30._TPC ())
                }
            }

            Method (_PTC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP30._PTC))
                {
                    Return (\_SB.SCK0.CP30._PTC ())
                }
            }

            Method (_TSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP30._TSS))
                {
                    Return (\_SB.SCK0.CP30._TSS ())
                }
            }
            
            Method (_CST, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP30._CST))
                {
                    Return (\_SB.SCK0.CP30._CST ())
                }
            }
        }
    
        Processor (PR49, 0x31, 0x00000510, 0x06)
        {
            Method (_HID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP31._HID)
            }

            Method (_UID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP31._UID)
            }

            Method (_PXM, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP31._PXM ())
            }

            Method (_STA, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP31._STA ())
            }

            Method (_MAT, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP31._MAT ())
            }

            Method (HWPT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP31.HWPT))
                {
                    Return (\_SB.SCK0.CP31.HWPT ())
                }
            }

            Method (ISTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP31.ISTT))
                {
                    Return (\_SB.SCK0.CP31.ISTT ())
                }
            }

            Method (TSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP31.TSTT))
                {
                    Return (\_SB.SCK0.CP31.TSTT ())
                }
            }

            Method (CSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP31.CSTT))
                {
                    Return (\_SB.SCK0.CP31.CSTT ())
                }
            }

            Method (_PDC, 1, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP31._PDC))
                {
                    Return (\_SB.SCK0.CP31._PDC (Arg0))
                }
            }

            Method (_OSC, 4, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP31._OSC))
                {
                    Return (\_SB.SCK0.CP31._OSC (Arg0, Arg1, Arg2, Arg3))
                }
            }

            Method (_PSD, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP31._PSD))
                {
                    Return (\_SB.SCK0.CP31._PSD ())
                }
            }

            Method (_PPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP31._PPC))
                {
                    Return (\_SB.SCK0.CP31._PPC ())
                }
            }

            Method (_PCT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP31._PCT))
                {
                    Return (\_SB.SCK0.CP31._PCT ())
                }
            }

            Method (_PSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP31._PSS))
                {
                    Return (\_SB.SCK0.CP31._PSS ())
                }
            }

            Method (_CPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP31._CPC))
                {
                    Return (\_SB.SCK0.CP31._CPC ())
                }
            }

            Method (_TPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP31._TPC))
                {
                    Return (\_SB.SCK0.CP31._TPC ())
                }
            }

            Method (_PTC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP31._PTC))
                {
                    Return (\_SB.SCK0.CP31._PTC ())
                }
            }

            Method (_TSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP31._TSS))
                {
                    Return (\_SB.SCK0.CP31._TSS ())
                }
            }
            
            Method (_CST, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP31._CST))
                {
                    Return (\_SB.SCK0.CP31._CST ())
                }
            }
        }
        
        Processor (PR50, 0x32, 0x00000510, 0x06)
        {
            Method (_HID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP32._HID)
            }

            Method (_UID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP32._UID)
            }

            Method (_PXM, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP32._PXM ())
            }

            Method (_STA, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP32._STA ())
            }

            Method (_MAT, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP32._MAT ())
            }

            Method (HWPT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP32.HWPT))
                {
                    Return (\_SB.SCK0.CP32.HWPT ())
                }
            }

            Method (ISTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP32.ISTT))
                {
                    Return (\_SB.SCK0.CP32.ISTT ())
                }
            }

            Method (TSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP32.TSTT))
                {
                    Return (\_SB.SCK0.CP32.TSTT ())
                }
            }

            Method (CSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP32.CSTT))
                {
                    Return (\_SB.SCK0.CP32.CSTT ())
                }
            }

            Method (_PDC, 1, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP32._PDC))
                {
                    Return (\_SB.SCK0.CP32._PDC (Arg0))
                }
            }

            Method (_OSC, 4, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP32._OSC))
                {
                    Return (\_SB.SCK0.CP32._OSC (Arg0, Arg1, Arg2, Arg3))
                }
            }

            Method (_PSD, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP32._PSD))
                {
                    Return (\_SB.SCK0.CP32._PSD ())
                }
            }

            Method (_PPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP32._PPC))
                {
                    Return (\_SB.SCK0.CP32._PPC ())
                }
            }

            Method (_PCT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP32._PCT))
                {
                    Return (\_SB.SCK0.CP32._PCT ())
                }
            }

            Method (_PSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP32._PSS))
                {
                    Return (\_SB.SCK0.CP32._PSS ())
                }
            }

            Method (_CPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP32._CPC))
                {
                    Return (\_SB.SCK0.CP32._CPC ())
                }
            }

            Method (_TPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP32._TPC))
                {
                    Return (\_SB.SCK0.CP32._TPC ())
                }
            }

            Method (_PTC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP32._PTC))
                {
                    Return (\_SB.SCK0.CP32._PTC ())
                }
            }

            Method (_TSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP32._TSS))
                {
                    Return (\_SB.SCK0.CP32._TSS ())
                }
            }
            
            Method (_CST, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP32._CST))
                {
                    Return (\_SB.SCK0.CP32._CST ())
                }
            }
        }
        
        Processor (PR51, 0x33, 0x00000510, 0x06)
        {
            Method (_HID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP33._HID)
            }

            Method (_UID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP33._UID)
            }

            Method (_PXM, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP33._PXM ())
            }

            Method (_STA, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP33._STA ())
            }

            Method (_MAT, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP33._MAT ())
            }

            Method (HWPT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP33.HWPT))
                {
                    Return (\_SB.SCK0.CP33.HWPT ())
                }
            }

            Method (ISTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP33.ISTT))
                {
                    Return (\_SB.SCK0.CP33.ISTT ())
                }
            }

            Method (TSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP33.TSTT))
                {
                    Return (\_SB.SCK0.CP33.TSTT ())
                }
            }

            Method (CSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP33.CSTT))
                {
                    Return (\_SB.SCK0.CP33.CSTT ())
                }
            }

            Method (_PDC, 1, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP33._PDC))
                {
                    Return (\_SB.SCK0.CP33._PDC (Arg0))
                }
            }

            Method (_OSC, 4, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP33._OSC))
                {
                    Return (\_SB.SCK0.CP33._OSC (Arg0, Arg1, Arg2, Arg3))
                }
            }

            Method (_PSD, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP33._PSD))
                {
                    Return (\_SB.SCK0.CP33._PSD ())
                }
            }

            Method (_PPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP33._PPC))
                {
                    Return (\_SB.SCK0.CP33._PPC ())
                }
            }

            Method (_PCT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP33._PCT))
                {
                    Return (\_SB.SCK0.CP33._PCT ())
                }
            }

            Method (_PSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP33._PSS))
                {
                    Return (\_SB.SCK0.CP33._PSS ())
                }
            }

            Method (_CPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP33._CPC))
                {
                    Return (\_SB.SCK0.CP33._CPC ())
                }
            }

            Method (_TPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP33._TPC))
                {
                    Return (\_SB.SCK0.CP33._TPC ())
                }
            }

            Method (_PTC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP33._PTC))
                {
                    Return (\_SB.SCK0.CP33._PTC ())
                }
            }

            Method (_TSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP33._TSS))
                {
                    Return (\_SB.SCK0.CP33._TSS ())
                }
            }
            
            Method (_CST, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP33._CST))
                {
                    Return (\_SB.SCK0.CP33._CST ())
                }
            }
        }
        
        Processor (PR52, 0x34, 0x00000510, 0x06)
        {
            Method (_HID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP34._HID)
            }

            Method (_UID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP34._UID)
            }

            Method (_PXM, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP34._PXM ())
            }

            Method (_STA, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP34._STA ())
            }

            Method (_MAT, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP34._MAT ())
            }

            Method (HWPT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP34.HWPT))
                {
                    Return (\_SB.SCK0.CP34.HWPT ())
                }
            }

            Method (ISTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP34.ISTT))
                {
                    Return (\_SB.SCK0.CP34.ISTT ())
                }
            }

            Method (TSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP34.TSTT))
                {
                    Return (\_SB.SCK0.CP34.TSTT ())
                }
            }

            Method (CSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP34.CSTT))
                {
                    Return (\_SB.SCK0.CP34.CSTT ())
                }
            }

            Method (_PDC, 1, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP34._PDC))
                {
                    Return (\_SB.SCK0.CP34._PDC (Arg0))
                }
            }

            Method (_OSC, 4, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP34._OSC))
                {
                    Return (\_SB.SCK0.CP34._OSC (Arg0, Arg1, Arg2, Arg3))
                }
            }

            Method (_PSD, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP34._PSD))
                {
                    Return (\_SB.SCK0.CP34._PSD ())
                }
            }

            Method (_PPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP34._PPC))
                {
                    Return (\_SB.SCK0.CP34._PPC ())
                }
            }

            Method (_PCT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP34._PCT))
                {
                    Return (\_SB.SCK0.CP34._PCT ())
                }
            }

            Method (_PSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP34._PSS))
                {
                    Return (\_SB.SCK0.CP34._PSS ())
                }
            }

            Method (_CPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP34._CPC))
                {
                    Return (\_SB.SCK0.CP34._CPC ())
                }
            }

            Method (_TPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP34._TPC))
                {
                    Return (\_SB.SCK0.CP34._TPC ())
                }
            }

            Method (_PTC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP34._PTC))
                {
                    Return (\_SB.SCK0.CP34._PTC ())
                }
            }

            Method (_TSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP34._TSS))
                {
                    Return (\_SB.SCK0.CP34._TSS ())
                }
            }
            
            Method (_CST, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP34._CST))
                {
                    Return (\_SB.SCK0.CP34._CST ())
                }
            }
        }
        
        Processor (PR53, 0x35, 0x00000510, 0x06)
        {
            Method (_HID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP35._HID)
            }

            Method (_UID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP35._UID)
            }

            Method (_PXM, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP35._PXM ())
            }

            Method (_STA, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP35._STA ())
            }

            Method (_MAT, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP35._MAT ())
            }

            Method (HWPT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP35.HWPT))
                {
                    Return (\_SB.SCK0.CP35.HWPT ())
                }
            }

            Method (ISTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP35.ISTT))
                {
                    Return (\_SB.SCK0.CP35.ISTT ())
                }
            }

            Method (TSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP35.TSTT))
                {
                    Return (\_SB.SCK0.CP35.TSTT ())
                }
            }

            Method (CSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP35.CSTT))
                {
                    Return (\_SB.SCK0.CP35.CSTT ())
                }
            }

            Method (_PDC, 1, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP35._PDC))
                {
                    Return (\_SB.SCK0.CP35._PDC (Arg0))
                }
            }

            Method (_OSC, 4, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP35._OSC))
                {
                    Return (\_SB.SCK0.CP35._OSC (Arg0, Arg1, Arg2, Arg3))
                }
            }

            Method (_PSD, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP35._PSD))
                {
                    Return (\_SB.SCK0.CP35._PSD ())
                }
            }

            Method (_PPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP35._PPC))
                {
                    Return (\_SB.SCK0.CP35._PPC ())
                }
            }

            Method (_PCT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP35._PCT))
                {
                    Return (\_SB.SCK0.CP35._PCT ())
                }
            }

            Method (_PSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP35._PSS))
                {
                    Return (\_SB.SCK0.CP35._PSS ())
                }
            }

            Method (_CPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP35._CPC))
                {
                    Return (\_SB.SCK0.CP35._CPC ())
                }
            }

            Method (_TPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP35._TPC))
                {
                    Return (\_SB.SCK0.CP35._TPC ())
                }
            }

            Method (_PTC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP35._PTC))
                {
                    Return (\_SB.SCK0.CP35._PTC ())
                }
            }

            Method (_TSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP35._TSS))
                {
                    Return (\_SB.SCK0.CP35._TSS ())
                }
            }
            
            Method (_CST, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP35._CST))
                {
                    Return (\_SB.SCK0.CP35._CST ())
                }
            }
        }
        
        Processor (PR54, 0x36, 0x00000510, 0x06)
        {
            Method (_HID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP36._HID)
            }

            Method (_UID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP36._UID)
            }

            Method (_PXM, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP36._PXM ())
            }

            Method (_STA, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP36._STA ())
            }

            Method (_MAT, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP36._MAT ())
            }

            Method (HWPT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP36.HWPT))
                {
                    Return (\_SB.SCK0.CP36.HWPT ())
                }
            }

            Method (ISTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP36.ISTT))
                {
                    Return (\_SB.SCK0.CP36.ISTT ())
                }
            }

            Method (TSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP36.TSTT))
                {
                    Return (\_SB.SCK0.CP36.TSTT ())
                }
            }

            Method (CSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP36.CSTT))
                {
                    Return (\_SB.SCK0.CP36.CSTT ())
                }
            }

            Method (_PDC, 1, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP36._PDC))
                {
                    Return (\_SB.SCK0.CP36._PDC (Arg0))
                }
            }

            Method (_OSC, 4, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP36._OSC))
                {
                    Return (\_SB.SCK0.CP36._OSC (Arg0, Arg1, Arg2, Arg3))
                }
            }

            Method (_PSD, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP36._PSD))
                {
                    Return (\_SB.SCK0.CP36._PSD ())
                }
            }

            Method (_PPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP36._PPC))
                {
                    Return (\_SB.SCK0.CP36._PPC ())
                }
            }

            Method (_PCT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP36._PCT))
                {
                    Return (\_SB.SCK0.CP36._PCT ())
                }
            }

            Method (_PSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP36._PSS))
                {
                    Return (\_SB.SCK0.CP36._PSS ())
                }
            }

            Method (_CPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP36._CPC))
                {
                    Return (\_SB.SCK0.CP36._CPC ())
                }
            }

            Method (_TPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP36._TPC))
                {
                    Return (\_SB.SCK0.CP36._TPC ())
                }
            }

            Method (_PTC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP36._PTC))
                {
                    Return (\_SB.SCK0.CP36._PTC ())
                }
            }

            Method (_TSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP36._TSS))
                {
                    Return (\_SB.SCK0.CP36._TSS ())
                }
            }
            
            Method (_CST, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP36._CST))
                {
                    Return (\_SB.SCK0.CP36._CST ())
                }
            }
        }
        
        Processor (PR55, 0x37, 0x00000510, 0x06)
        {
            Method (_HID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP37._HID)
            }

            Method (_UID, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP37._UID)
            }

            Method (_PXM, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP37._PXM ())
            }

            Method (_STA, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP37._STA ())
            }

            Method (_MAT, 0, NotSerialized)  
            {
                Return (\_SB.SCK0.CP37._MAT ())
            }

            Method (HWPT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP37.HWPT))
                {
                    Return (\_SB.SCK0.CP37.HWPT ())
                }
            }

            Method (ISTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP37.ISTT))
                {
                    Return (\_SB.SCK0.CP37.ISTT ())
                }
            }

            Method (TSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP37.TSTT))
                {
                    Return (\_SB.SCK0.CP37.TSTT ())
                }
            }

            Method (CSTT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP37.CSTT))
                {
                    Return (\_SB.SCK0.CP37.CSTT ())
                }
            }

            Method (_PDC, 1, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP37._PDC))
                {
                    Return (\_SB.SCK0.CP37._PDC (Arg0))
                }
            }

            Method (_OSC, 4, Serialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP37._OSC))
                {
                    Return (\_SB.SCK0.CP37._OSC (Arg0, Arg1, Arg2, Arg3))
                }
            }

            Method (_PSD, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP37._PSD))
                {
                    Return (\_SB.SCK0.CP37._PSD ())
                }
            }

            Method (_PPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP37._PPC))
                {
                    Return (\_SB.SCK0.CP37._PPC ())
                }
            }

            Method (_PCT, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP37._PCT))
                {
                    Return (\_SB.SCK0.CP37._PCT ())
                }
            }

            Method (_PSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP37._PSS))
                {
                    Return (\_SB.SCK0.CP37._PSS ())
                }
            }

            Method (_CPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP37._CPC))
                {
                    Return (\_SB.SCK0.CP37._CPC ())
                }
            }

            Method (_TPC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP37._TPC))
                {
                    Return (\_SB.SCK0.CP37._TPC ())
                }
            }

            Method (_PTC, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP37._PTC))
                {
                    Return (\_SB.SCK0.CP37._PTC ())
                }
            }

            Method (_TSS, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP37._TSS))
                {
                    Return (\_SB.SCK0.CP37._TSS ())
                }
            }
            
            Method (_CST, 0, NotSerialized)  
            {
                If (CondRefOf (\_SB.SCK0.CP37._CST))
                {
                    Return (\_SB.SCK0.CP37._CST ())
                }
            }
        }

    }
}

